OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.Version20

Contents

- Types
- Enums
- Functions

Description

Synopsis

- type GLbitfield = Word32
- type GLboolean = Word8
- type GLbyte = Int8
- type GLchar = CChar
- type GLclampd = Double
- type GLclampf = Float
- type GLdouble = Double
- type GLenum = Word32
- type GLfloat = Float
- type GLint = Int32
- type GLintptr = CPtrdiff
- type GLshort = Int16
- type GLsizei = Int32
- type GLsizeiptr = CPtrdiff
- type GLubyte = Word8
- type GLuint = Word32
- type GLushort = Word16
- type GLvoid = ()
- pattern GL_2D :: GLenum
- pattern GL_2_BYTES :: GLenum
- pattern GL_3D :: GLenum
- pattern GL_3D_COLOR :: GLenum
- pattern GL_3D_COLOR_TEXTURE :: GLenum
- pattern GL_3_BYTES :: GLenum
- pattern GL_4D_COLOR_TEXTURE :: GLenum
- pattern GL_4_BYTES :: GLenum
- pattern GL_ACCUM :: GLenum
- pattern GL_ACCUM_ALPHA_BITS :: GLenum
- pattern GL_ACCUM_BLUE_BITS :: GLenum
- pattern GL_ACCUM_BUFFER_BIT :: GLbitfield
- pattern GL_ACCUM_CLEAR_VALUE :: GLenum
- pattern GL_ACCUM_GREEN_BITS :: GLenum
- pattern GL_ACCUM_RED_BITS :: GLenum
- pattern GL_ACTIVE_ATTRIBUTES :: GLenum
- pattern GL_ACTIVE_ATTRIBUTE_MAX_LENGTH :: GLenum
- pattern GL_ACTIVE_TEXTURE :: GLenum
- pattern GL_ACTIVE_UNIFORMS :: GLenum
- pattern GL_ACTIVE_UNIFORM_MAX_LENGTH :: GLenum
- pattern GL_ADD :: GLenum
- pattern GL_ADD_SIGNED :: GLenum
- pattern GL_ALIASED_LINE_WIDTH_RANGE :: GLenum
- pattern GL_ALIASED_POINT_SIZE_RANGE :: GLenum
- pattern GL_ALL_ATTRIB_BITS :: GLbitfield
- pattern GL_ALPHA :: GLenum
- pattern GL_ALPHA12 :: GLenum
- pattern GL_ALPHA16 :: GLenum
- pattern GL_ALPHA4 :: GLenum
- pattern GL_ALPHA8 :: GLenum
- pattern GL_ALPHA_BIAS :: GLenum
- pattern GL_ALPHA_BITS :: GLenum
- pattern GL_ALPHA_SCALE :: GLenum
- pattern GL_ALPHA_TEST :: GLenum
- pattern GL_ALPHA_TEST_FUNC :: GLenum
- pattern GL_ALPHA_TEST_REF :: GLenum
- pattern GL_ALWAYS :: GLenum
- pattern GL_AMBIENT :: GLenum
- pattern GL_AMBIENT_AND_DIFFUSE :: GLenum
- pattern GL_AND :: GLenum
- pattern GL_AND_INVERTED :: GLenum
- pattern GL_AND_REVERSE :: GLenum
- pattern GL_ARRAY_BUFFER :: GLenum
- pattern GL_ARRAY_BUFFER_BINDING :: GLenum
- pattern GL_ATTACHED_SHADERS :: GLenum
- pattern GL_ATTRIB_STACK_DEPTH :: GLenum
- pattern GL_AUTO_NORMAL :: GLenum
- pattern GL_AUX0 :: GLenum
- pattern GL_AUX1 :: GLenum
- pattern GL_AUX2 :: GLenum
- pattern GL_AUX3 :: GLenum
- pattern GL_AUX_BUFFERS :: GLenum
- pattern GL_BACK :: GLenum
- pattern GL_BACK_LEFT :: GLenum
- pattern GL_BACK_RIGHT :: GLenum
- pattern GL_BGR :: GLenum
- pattern GL_BGRA :: GLenum
- pattern GL_BITMAP :: GLenum
- pattern GL_BITMAP_TOKEN :: GLenum
- pattern GL_BLEND :: GLenum
- pattern GL_BLEND_COLOR :: GLenum
- pattern GL_BLEND_DST :: GLenum
- pattern GL_BLEND_DST_ALPHA :: GLenum
- pattern GL_BLEND_DST_RGB :: GLenum
- pattern GL_BLEND_EQUATION :: GLenum
- pattern GL_BLEND_EQUATION_ALPHA :: GLenum
- pattern GL_BLEND_EQUATION_RGB :: GLenum
- pattern GL_BLEND_SRC :: GLenum
- pattern GL_BLEND_SRC_ALPHA :: GLenum
- pattern GL_BLEND_SRC_RGB :: GLenum
- pattern GL_BLUE :: GLenum
- pattern GL_BLUE_BIAS :: GLenum
- pattern GL_BLUE_BITS :: GLenum
- pattern GL_BLUE_SCALE :: GLenum
- pattern GL_BOOL :: GLenum
- pattern GL_BOOL_VEC2 :: GLenum
- pattern GL_BOOL_VEC3 :: GLenum
- pattern GL_BOOL_VEC4 :: GLenum
- pattern GL_BUFFER_ACCESS :: GLenum
- pattern GL_BUFFER_MAPPED :: GLenum
- pattern GL_BUFFER_MAP_POINTER :: GLenum
- pattern GL_BUFFER_SIZE :: GLenum
- pattern GL_BUFFER_USAGE :: GLenum
- pattern GL_BYTE :: GLenum
- pattern GL_C3F_V3F :: GLenum
- pattern GL_C4F_N3F_V3F :: GLenum
- pattern GL_C4UB_V2F :: GLenum
- pattern GL_C4UB_V3F :: GLenum
- pattern GL_CCW :: GLenum
- pattern GL_CLAMP :: GLenum
- pattern GL_CLAMP_TO_BORDER :: GLenum
- pattern GL_CLAMP_TO_EDGE :: GLenum
- pattern GL_CLEAR :: GLenum
- pattern GL_CLIENT_ACTIVE_TEXTURE :: GLenum
- pattern GL_CLIENT_ALL_ATTRIB_BITS :: GLbitfield
- pattern GL_CLIENT_ATTRIB_STACK_DEPTH :: GLenum
- pattern GL_CLIENT_PIXEL_STORE_BIT :: GLbitfield
- pattern GL_CLIENT_VERTEX_ARRAY_BIT :: GLbitfield
- pattern GL_CLIP_PLANE0 :: GLenum
- pattern GL_CLIP_PLANE1 :: GLenum
- pattern GL_CLIP_PLANE2 :: GLenum
- pattern GL_CLIP_PLANE3 :: GLenum
- pattern GL_CLIP_PLANE4 :: GLenum
- pattern GL_CLIP_PLANE5 :: GLenum
- pattern GL_COEFF :: GLenum
- pattern GL_COLOR :: GLenum
- pattern GL_COLOR_ARRAY :: GLenum
- pattern GL_COLOR_ARRAY_BUFFER_BINDING :: GLenum
- pattern GL_COLOR_ARRAY_POINTER :: GLenum
- pattern GL_COLOR_ARRAY_SIZE :: GLenum
- pattern GL_COLOR_ARRAY_STRIDE :: GLenum
- pattern GL_COLOR_ARRAY_TYPE :: GLenum
- pattern GL_COLOR_BUFFER_BIT :: GLbitfield
- pattern GL_COLOR_CLEAR_VALUE :: GLenum
- pattern GL_COLOR_INDEX :: GLenum
- pattern GL_COLOR_INDEXES :: GLenum
- pattern GL_COLOR_LOGIC_OP :: GLenum
- pattern GL_COLOR_MATERIAL :: GLenum
- pattern GL_COLOR_MATERIAL_FACE :: GLenum
- pattern GL_COLOR_MATERIAL_PARAMETER :: GLenum
- pattern GL_COLOR_SUM :: GLenum
- pattern GL_COLOR_WRITEMASK :: GLenum
- pattern GL_COMBINE :: GLenum
- pattern GL_COMBINE_ALPHA :: GLenum
- pattern GL_COMBINE_RGB :: GLenum
- pattern GL_COMPARE_R_TO_TEXTURE :: GLenum
- pattern GL_COMPILE :: GLenum
- pattern GL_COMPILE_AND_EXECUTE :: GLenum
- pattern GL_COMPILE_STATUS :: GLenum
- pattern GL_COMPRESSED_ALPHA :: GLenum
- pattern GL_COMPRESSED_INTENSITY :: GLenum
- pattern GL_COMPRESSED_LUMINANCE :: GLenum
- pattern GL_COMPRESSED_LUMINANCE_ALPHA :: GLenum
- pattern GL_COMPRESSED_RGB :: GLenum
- pattern GL_COMPRESSED_RGBA :: GLenum
- pattern GL_COMPRESSED_TEXTURE_FORMATS :: GLenum
- pattern GL_CONSTANT :: GLenum
- pattern GL_CONSTANT_ALPHA :: GLenum
- pattern GL_CONSTANT_ATTENUATION :: GLenum
- pattern GL_CONSTANT_COLOR :: GLenum
- pattern GL_COORD_REPLACE :: GLenum
- pattern GL_COPY :: GLenum
- pattern GL_COPY_INVERTED :: GLenum
- pattern GL_COPY_PIXEL_TOKEN :: GLenum
- pattern GL_CULL_FACE :: GLenum
- pattern GL_CULL_FACE_MODE :: GLenum
- pattern GL_CURRENT_BIT :: GLbitfield
- pattern GL_CURRENT_COLOR :: GLenum
- pattern GL_CURRENT_FOG_COORD :: GLenum
- pattern GL_CURRENT_FOG_COORDINATE :: GLenum
- pattern GL_CURRENT_INDEX :: GLenum
- pattern GL_CURRENT_NORMAL :: GLenum
- pattern GL_CURRENT_PROGRAM :: GLenum
- pattern GL_CURRENT_QUERY :: GLenum
- pattern GL_CURRENT_RASTER_COLOR :: GLenum
- pattern GL_CURRENT_RASTER_DISTANCE :: GLenum
- pattern GL_CURRENT_RASTER_INDEX :: GLenum
- pattern GL_CURRENT_RASTER_POSITION :: GLenum
- pattern GL_CURRENT_RASTER_POSITION_VALID :: GLenum
- pattern GL_CURRENT_RASTER_TEXTURE_COORDS :: GLenum
- pattern GL_CURRENT_SECONDARY_COLOR :: GLenum
- pattern GL_CURRENT_TEXTURE_COORDS :: GLenum
- pattern GL_CURRENT_VERTEX_ATTRIB :: GLenum
- pattern GL_CW :: GLenum
- pattern GL_DECAL :: GLenum
- pattern GL_DECR :: GLenum
- pattern GL_DECR_WRAP :: GLenum
- pattern GL_DELETE_STATUS :: GLenum
- pattern GL_DEPTH :: GLenum
- pattern GL_DEPTH_BIAS :: GLenum
- pattern GL_DEPTH_BITS :: GLenum
- pattern GL_DEPTH_BUFFER_BIT :: GLbitfield
- pattern GL_DEPTH_CLEAR_VALUE :: GLenum
- pattern GL_DEPTH_COMPONENT :: GLenum
- pattern GL_DEPTH_COMPONENT16 :: GLenum
- pattern GL_DEPTH_COMPONENT24 :: GLenum
- pattern GL_DEPTH_COMPONENT32 :: GLenum
- pattern GL_DEPTH_FUNC :: GLenum
- pattern GL_DEPTH_RANGE :: GLenum
- pattern GL_DEPTH_SCALE :: GLenum
- pattern GL_DEPTH_TEST :: GLenum
- pattern GL_DEPTH_TEXTURE_MODE :: GLenum
- pattern GL_DEPTH_WRITEMASK :: GLenum
- pattern GL_DIFFUSE :: GLenum
- pattern GL_DITHER :: GLenum
- pattern GL_DOMAIN :: GLenum
- pattern GL_DONT_CARE :: GLenum
- pattern GL_DOT3_RGB :: GLenum
- pattern GL_DOT3_RGBA :: GLenum
- pattern GL_DOUBLE :: GLenum
- pattern GL_DOUBLEBUFFER :: GLenum
- pattern GL_DRAW_BUFFER :: GLenum
- pattern GL_DRAW_BUFFER0 :: GLenum
- pattern GL_DRAW_BUFFER1 :: GLenum
- pattern GL_DRAW_BUFFER10 :: GLenum
- pattern GL_DRAW_BUFFER11 :: GLenum
- pattern GL_DRAW_BUFFER12 :: GLenum
- pattern GL_DRAW_BUFFER13 :: GLenum
- pattern GL_DRAW_BUFFER14 :: GLenum
- pattern GL_DRAW_BUFFER15 :: GLenum
- pattern GL_DRAW_BUFFER2 :: GLenum
- pattern GL_DRAW_BUFFER3 :: GLenum
- pattern GL_DRAW_BUFFER4 :: GLenum
- pattern GL_DRAW_BUFFER5 :: GLenum
- pattern GL_DRAW_BUFFER6 :: GLenum
- pattern GL_DRAW_BUFFER7 :: GLenum
- pattern GL_DRAW_BUFFER8 :: GLenum
- pattern GL_DRAW_BUFFER9 :: GLenum
- pattern GL_DRAW_PIXEL_TOKEN :: GLenum
- pattern GL_DST_ALPHA :: GLenum
- pattern GL_DST_COLOR :: GLenum
- pattern GL_DYNAMIC_COPY :: GLenum
- pattern GL_DYNAMIC_DRAW :: GLenum
- pattern GL_DYNAMIC_READ :: GLenum
- pattern GL_EDGE_FLAG :: GLenum
- pattern GL_EDGE_FLAG_ARRAY :: GLenum
- pattern GL_EDGE_FLAG_ARRAY_BUFFER_BINDING :: GLenum
- pattern GL_EDGE_FLAG_ARRAY_POINTER :: GLenum
- pattern GL_EDGE_FLAG_ARRAY_STRIDE :: GLenum
- pattern GL_ELEMENT_ARRAY_BUFFER :: GLenum
- pattern GL_ELEMENT_ARRAY_BUFFER_BINDING :: GLenum
- pattern GL_EMISSION :: GLenum
- pattern GL_ENABLE_BIT :: GLbitfield
- pattern GL_EQUAL :: GLenum
- pattern GL_EQUIV :: GLenum
- pattern GL_EVAL_BIT :: GLbitfield
- pattern GL_EXP :: GLenum
- pattern GL_EXP2 :: GLenum
- pattern GL_EXTENSIONS :: GLenum
- pattern GL_EYE_LINEAR :: GLenum
- pattern GL_EYE_PLANE :: GLenum
- pattern GL_FALSE :: GLboolean
- pattern GL_FASTEST :: GLenum
- pattern GL_FEEDBACK :: GLenum
- pattern GL_FEEDBACK_BUFFER_POINTER :: GLenum
- pattern GL_FEEDBACK_BUFFER_SIZE :: GLenum
- pattern GL_FEEDBACK_BUFFER_TYPE :: GLenum
- pattern GL_FILL :: GLenum
- pattern GL_FLAT :: GLenum
- pattern GL_FLOAT :: GLenum
- pattern GL_FLOAT_MAT2 :: GLenum
- pattern GL_FLOAT_MAT3 :: GLenum
- pattern GL_FLOAT_MAT4 :: GLenum
- pattern GL_FLOAT_VEC2 :: GLenum
- pattern GL_FLOAT_VEC3 :: GLenum
- pattern GL_FLOAT_VEC4 :: GLenum
- pattern GL_FOG :: GLenum
- pattern GL_FOG_BIT :: GLbitfield
- pattern GL_FOG_COLOR :: GLenum
- pattern GL_FOG_COORD :: GLenum
- pattern GL_FOG_COORDINATE :: GLenum
- pattern GL_FOG_COORDINATE_ARRAY :: GLenum
- pattern GL_FOG_COORDINATE_ARRAY_BUFFER_BINDING :: GLenum
- pattern GL_FOG_COORDINATE_ARRAY_POINTER :: GLenum
- pattern GL_FOG_COORDINATE_ARRAY_STRIDE :: GLenum
- pattern GL_FOG_COORDINATE_ARRAY_TYPE :: GLenum
- pattern GL_FOG_COORDINATE_SOURCE :: GLenum
- pattern GL_FOG_COORD_ARRAY :: GLenum
- pattern GL_FOG_COORD_ARRAY_BUFFER_BINDING :: GLenum
- pattern GL_FOG_COORD_ARRAY_POINTER :: GLenum
- pattern GL_FOG_COORD_ARRAY_STRIDE :: GLenum
- pattern GL_FOG_COORD_ARRAY_TYPE :: GLenum
- pattern GL_FOG_COORD_SRC :: GLenum
- pattern GL_FOG_DENSITY :: GLenum
- pattern GL_FOG_END :: GLenum
- pattern GL_FOG_HINT :: GLenum
- pattern GL_FOG_INDEX :: GLenum
- pattern GL_FOG_MODE :: GLenum
- pattern GL_FOG_START :: GLenum
- pattern GL_FRAGMENT_DEPTH :: GLenum
- pattern GL_FRAGMENT_SHADER :: GLenum
- pattern GL_FRAGMENT_SHADER_DERIVATIVE_HINT :: GLenum
- pattern GL_FRONT :: GLenum
- pattern GL_FRONT_AND_BACK :: GLenum
- pattern GL_FRONT_FACE :: GLenum
- pattern GL_FRONT_LEFT :: GLenum
- pattern GL_FRONT_RIGHT :: GLenum
- pattern GL_FUNC_ADD :: GLenum
- pattern GL_FUNC_REVERSE_SUBTRACT :: GLenum
- pattern GL_FUNC_SUBTRACT :: GLenum
- pattern GL_GENERATE_MIPMAP :: GLenum
- pattern GL_GENERATE_MIPMAP_HINT :: GLenum
- pattern GL_GEQUAL :: GLenum
- pattern GL_GREATER :: GLenum
- pattern GL_GREEN :: GLenum
- pattern GL_GREEN_BIAS :: GLenum
- pattern GL_GREEN_BITS :: GLenum
- pattern GL_GREEN_SCALE :: GLenum
- pattern GL_HINT_BIT :: GLbitfield
- pattern GL_INCR :: GLenum
- pattern GL_INCR_WRAP :: GLenum
- pattern GL_INDEX_ARRAY :: GLenum
- pattern GL_INDEX_ARRAY_BUFFER_BINDING :: GLenum
- pattern GL_INDEX_ARRAY_POINTER :: GLenum
- pattern GL_INDEX_ARRAY_STRIDE :: GLenum
- pattern GL_INDEX_ARRAY_TYPE :: GLenum
- pattern GL_INDEX_BITS :: GLenum
- pattern GL_INDEX_CLEAR_VALUE :: GLenum
- pattern GL_INDEX_LOGIC_OP :: GLenum
- pattern GL_INDEX_MODE :: GLenum
- pattern GL_INDEX_OFFSET :: GLenum
- pattern GL_INDEX_SHIFT :: GLenum
- pattern GL_INDEX_WRITEMASK :: GLenum
- pattern GL_INFO_LOG_LENGTH :: GLenum
- pattern GL_INT :: GLenum
- pattern GL_INTENSITY :: GLenum
- pattern GL_INTENSITY12 :: GLenum
- pattern GL_INTENSITY16 :: GLenum
- pattern GL_INTENSITY4 :: GLenum
- pattern GL_INTENSITY8 :: GLenum
- pattern GL_INTERPOLATE :: GLenum
- pattern GL_INT_VEC2 :: GLenum
- pattern GL_INT_VEC3 :: GLenum
- pattern GL_INT_VEC4 :: GLenum
- pattern GL_INVALID_ENUM :: GLenum
- pattern GL_INVALID_OPERATION :: GLenum
- pattern GL_INVALID_VALUE :: GLenum
- pattern GL_INVERT :: GLenum
- pattern GL_KEEP :: GLenum
- pattern GL_LEFT :: GLenum
- pattern GL_LEQUAL :: GLenum
- pattern GL_LESS :: GLenum
- pattern GL_LIGHT0 :: GLenum
- pattern GL_LIGHT1 :: GLenum
- pattern GL_LIGHT2 :: GLenum
- pattern GL_LIGHT3 :: GLenum
- pattern GL_LIGHT4 :: GLenum
- pattern GL_LIGHT5 :: GLenum
- pattern GL_LIGHT6 :: GLenum
- pattern GL_LIGHT7 :: GLenum
- pattern GL_LIGHTING :: GLenum
- pattern GL_LIGHTING_BIT :: GLbitfield
- pattern GL_LIGHT_MODEL_AMBIENT :: GLenum
- pattern GL_LIGHT_MODEL_COLOR_CONTROL :: GLenum
- pattern GL_LIGHT_MODEL_LOCAL_VIEWER :: GLenum
- pattern GL_LIGHT_MODEL_TWO_SIDE :: GLenum
- pattern GL_LINE :: GLenum
- pattern GL_LINEAR :: GLenum
- pattern GL_LINEAR_ATTENUATION :: GLenum
- pattern GL_LINEAR_MIPMAP_LINEAR :: GLenum
- pattern GL_LINEAR_MIPMAP_NEAREST :: GLenum
- pattern GL_LINES :: GLenum
- pattern GL_LINE_BIT :: GLbitfield
- pattern GL_LINE_LOOP :: GLenum
- pattern GL_LINE_RESET_TOKEN :: GLenum
- pattern GL_LINE_SMOOTH :: GLenum
- pattern GL_LINE_SMOOTH_HINT :: GLenum
- pattern GL_LINE_STIPPLE :: GLenum
- pattern GL_LINE_STIPPLE_PATTERN :: GLenum
- pattern GL_LINE_STIPPLE_REPEAT :: GLenum
- pattern GL_LINE_STRIP :: GLenum
- pattern GL_LINE_TOKEN :: GLenum
- pattern GL_LINE_WIDTH :: GLenum
- pattern GL_LINE_WIDTH_GRANULARITY :: GLenum
- pattern GL_LINE_WIDTH_RANGE :: GLenum
- pattern GL_LINK_STATUS :: GLenum
- pattern GL_LIST_BASE :: GLenum
- pattern GL_LIST_BIT :: GLbitfield
- pattern GL_LIST_INDEX :: GLenum
- pattern GL_LIST_MODE :: GLenum
- pattern GL_LOAD :: GLenum
- pattern GL_LOGIC_OP :: GLenum
- pattern GL_LOGIC_OP_MODE :: GLenum
- pattern GL_LOWER_LEFT :: GLenum
- pattern GL_LUMINANCE :: GLenum
- pattern GL_LUMINANCE12 :: GLenum
- pattern GL_LUMINANCE12_ALPHA12 :: GLenum
- pattern GL_LUMINANCE12_ALPHA4 :: GLenum
- pattern GL_LUMINANCE16 :: GLenum
- pattern GL_LUMINANCE16_ALPHA16 :: GLenum
- pattern GL_LUMINANCE4 :: GLenum
- pattern GL_LUMINANCE4_ALPHA4 :: GLenum
- pattern GL_LUMINANCE6_ALPHA2 :: GLenum
- pattern GL_LUMINANCE8 :: GLenum
- pattern GL_LUMINANCE8_ALPHA8 :: GLenum
- pattern GL_LUMINANCE_ALPHA :: GLenum
- pattern GL_MAP1_COLOR_4 :: GLenum
- pattern GL_MAP1_GRID_DOMAIN :: GLenum
- pattern GL_MAP1_GRID_SEGMENTS :: GLenum
- pattern GL_MAP1_INDEX :: GLenum
- pattern GL_MAP1_NORMAL :: GLenum
- pattern GL_MAP1_TEXTURE_COORD_1 :: GLenum
- pattern GL_MAP1_TEXTURE_COORD_2 :: GLenum
- pattern GL_MAP1_TEXTURE_COORD_3 :: GLenum
- pattern GL_MAP1_TEXTURE_COORD_4 :: GLenum
- pattern GL_MAP1_VERTEX_3 :: GLenum
- pattern GL_MAP1_VERTEX_4 :: GLenum
- pattern GL_MAP2_COLOR_4 :: GLenum
- pattern GL_MAP2_GRID_DOMAIN :: GLenum
- pattern GL_MAP2_GRID_SEGMENTS :: GLenum
- pattern GL_MAP2_INDEX :: GLenum
- pattern GL_MAP2_NORMAL :: GLenum
- pattern GL_MAP2_TEXTURE_COORD_1 :: GLenum
- pattern GL_MAP2_TEXTURE_COORD_2 :: GLenum
- pattern GL_MAP2_TEXTURE_COORD_3 :: GLenum
- pattern GL_MAP2_TEXTURE_COORD_4 :: GLenum
- pattern GL_MAP2_VERTEX_3 :: GLenum
- pattern GL_MAP2_VERTEX_4 :: GLenum
- pattern GL_MAP_COLOR :: GLenum
- pattern GL_MAP_STENCIL :: GLenum
- pattern GL_MATRIX_MODE :: GLenum
- pattern GL_MAX :: GLenum
- pattern GL_MAX_3D_TEXTURE_SIZE :: GLenum
- pattern GL_MAX_ATTRIB_STACK_DEPTH :: GLenum
- pattern GL_MAX_CLIENT_ATTRIB_STACK_DEPTH :: GLenum
- pattern GL_MAX_CLIP_PLANES :: GLenum
- pattern GL_MAX_COMBINED_TEXTURE_IMAGE_UNITS :: GLenum
- pattern GL_MAX_CUBE_MAP_TEXTURE_SIZE :: GLenum
- pattern GL_MAX_DRAW_BUFFERS :: GLenum
- pattern GL_MAX_ELEMENTS_INDICES :: GLenum
- pattern GL_MAX_ELEMENTS_VERTICES :: GLenum
- pattern GL_MAX_EVAL_ORDER :: GLenum
- pattern GL_MAX_FRAGMENT_UNIFORM_COMPONENTS :: GLenum
- pattern GL_MAX_LIGHTS :: GLenum
- pattern GL_MAX_LIST_NESTING :: GLenum
- pattern GL_MAX_MODELVIEW_STACK_DEPTH :: GLenum
- pattern GL_MAX_NAME_STACK_DEPTH :: GLenum
- pattern GL_MAX_PIXEL_MAP_TABLE :: GLenum
- pattern GL_MAX_PROJECTION_STACK_DEPTH :: GLenum
- pattern GL_MAX_TEXTURE_COORDS :: GLenum
- pattern GL_MAX_TEXTURE_IMAGE_UNITS :: GLenum
- pattern GL_MAX_TEXTURE_LOD_BIAS :: GLenum
- pattern GL_MAX_TEXTURE_SIZE :: GLenum
- pattern GL_MAX_TEXTURE_STACK_DEPTH :: GLenum
- pattern GL_MAX_TEXTURE_UNITS :: GLenum
- pattern GL_MAX_VARYING_FLOATS :: GLenum
- pattern GL_MAX_VERTEX_ATTRIBS :: GLenum
- pattern GL_MAX_VERTEX_TEXTURE_IMAGE_UNITS :: GLenum
- pattern GL_MAX_VERTEX_UNIFORM_COMPONENTS :: GLenum
- pattern GL_MAX_VIEWPORT_DIMS :: GLenum
- pattern GL_MIN :: GLenum
- pattern GL_MIRRORED_REPEAT :: GLenum
- pattern GL_MODELVIEW :: GLenum
- pattern GL_MODELVIEW_MATRIX :: GLenum
- pattern GL_MODELVIEW_STACK_DEPTH :: GLenum
- pattern GL_MODULATE :: GLenum
- pattern GL_MULT :: GLenum
- pattern GL_MULTISAMPLE :: GLenum
- pattern GL_MULTISAMPLE_BIT :: GLbitfield
- pattern GL_N3F_V3F :: GLenum
- pattern GL_NAME_STACK_DEPTH :: GLenum
- pattern GL_NAND :: GLenum
- pattern GL_NEAREST :: GLenum
- pattern GL_NEAREST_MIPMAP_LINEAR :: GLenum
- pattern GL_NEAREST_MIPMAP_NEAREST :: GLenum
- pattern GL_NEVER :: GLenum
- pattern GL_NICEST :: GLenum
- pattern GL_NONE :: GLenum
- pattern GL_NOOP :: GLenum
- pattern GL_NOR :: GLenum
- pattern GL_NORMALIZE :: GLenum
- pattern GL_NORMAL_ARRAY :: GLenum
- pattern GL_NORMAL_ARRAY_BUFFER_BINDING :: GLenum
- pattern GL_NORMAL_ARRAY_POINTER :: GLenum
- pattern GL_NORMAL_ARRAY_STRIDE :: GLenum
- pattern GL_NORMAL_ARRAY_TYPE :: GLenum
- pattern GL_NORMAL_MAP :: GLenum
- pattern GL_NOTEQUAL :: GLenum
- pattern GL_NO_ERROR :: GLenum
- pattern GL_NUM_COMPRESSED_TEXTURE_FORMATS :: GLenum
- pattern GL_OBJECT_LINEAR :: GLenum
- pattern GL_OBJECT_PLANE :: GLenum
- pattern GL_ONE :: GLenum
- pattern GL_ONE_MINUS_CONSTANT_ALPHA :: GLenum
- pattern GL_ONE_MINUS_CONSTANT_COLOR :: GLenum
- pattern GL_ONE_MINUS_DST_ALPHA :: GLenum
- pattern GL_ONE_MINUS_DST_COLOR :: GLenum
- pattern GL_ONE_MINUS_SRC_ALPHA :: GLenum
- pattern GL_ONE_MINUS_SRC_COLOR :: GLenum
- pattern GL_OPERAND0_ALPHA :: GLenum
- pattern GL_OPERAND0_RGB :: GLenum
- pattern GL_OPERAND1_ALPHA :: GLenum
- pattern GL_OPERAND1_RGB :: GLenum
- pattern GL_OPERAND2_ALPHA :: GLenum
- pattern GL_OPERAND2_RGB :: GLenum
- pattern GL_OR :: GLenum
- pattern GL_ORDER :: GLenum
- pattern GL_OR_INVERTED :: GLenum
- pattern GL_OR_REVERSE :: GLenum
- pattern GL_OUT_OF_MEMORY :: GLenum
- pattern GL_PACK_ALIGNMENT :: GLenum
- pattern GL_PACK_IMAGE_HEIGHT :: GLenum
- pattern GL_PACK_LSB_FIRST :: GLenum
- pattern GL_PACK_ROW_LENGTH :: GLenum
- pattern GL_PACK_SKIP_IMAGES :: GLenum
- pattern GL_PACK_SKIP_PIXELS :: GLenum
- pattern GL_PACK_SKIP_ROWS :: GLenum
- pattern GL_PACK_SWAP_BYTES :: GLenum
- pattern GL_PASS_THROUGH_TOKEN :: GLenum
- pattern GL_PERSPECTIVE_CORRECTION_HINT :: GLenum
- pattern GL_PIXEL_MAP_A_TO_A :: GLenum
- pattern GL_PIXEL_MAP_A_TO_A_SIZE :: GLenum
- pattern GL_PIXEL_MAP_B_TO_B :: GLenum
- pattern GL_PIXEL_MAP_B_TO_B_SIZE :: GLenum
- pattern GL_PIXEL_MAP_G_TO_G :: GLenum
- pattern GL_PIXEL_MAP_G_TO_G_SIZE :: GLenum
- pattern GL_PIXEL_MAP_I_TO_A :: GLenum
- pattern GL_PIXEL_MAP_I_TO_A_SIZE :: GLenum
- pattern GL_PIXEL_MAP_I_TO_B :: GLenum
- pattern GL_PIXEL_MAP_I_TO_B_SIZE :: GLenum
- pattern GL_PIXEL_MAP_I_TO_G :: GLenum
- pattern GL_PIXEL_MAP_I_TO_G_SIZE :: GLenum
- pattern GL_PIXEL_MAP_I_TO_I :: GLenum
- pattern GL_PIXEL_MAP_I_TO_I_SIZE :: GLenum
- pattern GL_PIXEL_MAP_I_TO_R :: GLenum
- pattern GL_PIXEL_MAP_I_TO_R_SIZE :: GLenum
- pattern GL_PIXEL_MAP_R_TO_R :: GLenum
- pattern GL_PIXEL_MAP_R_TO_R_SIZE :: GLenum
- pattern GL_PIXEL_MAP_S_TO_S :: GLenum
- pattern GL_PIXEL_MAP_S_TO_S_SIZE :: GLenum
- pattern GL_PIXEL_MODE_BIT :: GLbitfield
- pattern GL_POINT :: GLenum
- pattern GL_POINTS :: GLenum
- pattern GL_POINT_BIT :: GLbitfield
- pattern GL_POINT_DISTANCE_ATTENUATION :: GLenum
- pattern GL_POINT_FADE_THRESHOLD_SIZE :: GLenum
- pattern GL_POINT_SIZE :: GLenum
- pattern GL_POINT_SIZE_GRANULARITY :: GLenum
- pattern GL_POINT_SIZE_MAX :: GLenum
- pattern GL_POINT_SIZE_MIN :: GLenum
- pattern GL_POINT_SIZE_RANGE :: GLenum
- pattern GL_POINT_SMOOTH :: GLenum
- pattern GL_POINT_SMOOTH_HINT :: GLenum
- pattern GL_POINT_SPRITE :: GLenum
- pattern GL_POINT_SPRITE_COORD_ORIGIN :: GLenum
- pattern GL_POINT_TOKEN :: GLenum
- pattern GL_POLYGON :: GLenum
- pattern GL_POLYGON_BIT :: GLbitfield
- pattern GL_POLYGON_MODE :: GLenum
- pattern GL_POLYGON_OFFSET_FACTOR :: GLenum
- pattern GL_POLYGON_OFFSET_FILL :: GLenum
- pattern GL_POLYGON_OFFSET_LINE :: GLenum
- pattern GL_POLYGON_OFFSET_POINT :: GLenum
- pattern GL_POLYGON_OFFSET_UNITS :: GLenum
- pattern GL_POLYGON_SMOOTH :: GLenum
- pattern GL_POLYGON_SMOOTH_HINT :: GLenum
- pattern GL_POLYGON_STIPPLE :: GLenum
- pattern GL_POLYGON_STIPPLE_BIT :: GLbitfield
- pattern GL_POLYGON_TOKEN :: GLenum
- pattern GL_POSITION :: GLenum
- pattern GL_PREVIOUS :: GLenum
- pattern GL_PRIMARY_COLOR :: GLenum
- pattern GL_PROJECTION :: GLenum
- pattern GL_PROJECTION_MATRIX :: GLenum
- pattern GL_PROJECTION_STACK_DEPTH :: GLenum
- pattern GL_PROXY_TEXTURE_1D :: GLenum
- pattern GL_PROXY_TEXTURE_2D :: GLenum
- pattern GL_PROXY_TEXTURE_3D :: GLenum
- pattern GL_PROXY_TEXTURE_CUBE_MAP :: GLenum
- pattern GL_Q :: GLenum
- pattern GL_QUADRATIC_ATTENUATION :: GLenum
- pattern GL_QUADS :: GLenum
- pattern GL_QUAD_STRIP :: GLenum
- pattern GL_QUERY_COUNTER_BITS :: GLenum
- pattern GL_QUERY_RESULT :: GLenum
- pattern GL_QUERY_RESULT_AVAILABLE :: GLenum
- pattern GL_R :: GLenum
- pattern GL_R3_G3_B2 :: GLenum
- pattern GL_READ_BUFFER :: GLenum
- pattern GL_READ_ONLY :: GLenum
- pattern GL_READ_WRITE :: GLenum
- pattern GL_RED :: GLenum
- pattern GL_RED_BIAS :: GLenum
- pattern GL_RED_BITS :: GLenum
- pattern GL_RED_SCALE :: GLenum
- pattern GL_REFLECTION_MAP :: GLenum
- pattern GL_RENDER :: GLenum
- pattern GL_RENDERER :: GLenum
- pattern GL_RENDER_MODE :: GLenum
- pattern GL_REPEAT :: GLenum
- pattern GL_REPLACE :: GLenum
- pattern GL_RESCALE_NORMAL :: GLenum
- pattern GL_RETURN :: GLenum
- pattern GL_RGB :: GLenum
- pattern GL_RGB10 :: GLenum
- pattern GL_RGB10_A2 :: GLenum
- pattern GL_RGB12 :: GLenum
- pattern GL_RGB16 :: GLenum
- pattern GL_RGB4 :: GLenum
- pattern GL_RGB5 :: GLenum
- pattern GL_RGB5_A1 :: GLenum
- pattern GL_RGB8 :: GLenum
- pattern GL_RGBA :: GLenum
- pattern GL_RGBA12 :: GLenum
- pattern GL_RGBA16 :: GLenum
- pattern GL_RGBA2 :: GLenum
- pattern GL_RGBA4 :: GLenum
- pattern GL_RGBA8 :: GLenum
- pattern GL_RGBA_MODE :: GLenum
- pattern GL_RGB_SCALE :: GLenum
- pattern GL_RIGHT :: GLenum
- pattern GL_S :: GLenum
- pattern GL_SAMPLER_1D :: GLenum
- pattern GL_SAMPLER_1D_SHADOW :: GLenum
- pattern GL_SAMPLER_2D :: GLenum
- pattern GL_SAMPLER_2D_SHADOW :: GLenum
- pattern GL_SAMPLER_3D :: GLenum
- pattern GL_SAMPLER_CUBE :: GLenum
- pattern GL_SAMPLES :: GLenum
- pattern GL_SAMPLES_PASSED :: GLenum
- pattern GL_SAMPLE_ALPHA_TO_COVERAGE :: GLenum
- pattern GL_SAMPLE_ALPHA_TO_ONE :: GLenum
- pattern GL_SAMPLE_BUFFERS :: GLenum
- pattern GL_SAMPLE_COVERAGE :: GLenum
- pattern GL_SAMPLE_COVERAGE_INVERT :: GLenum
- pattern GL_SAMPLE_COVERAGE_VALUE :: GLenum
- pattern GL_SCISSOR_BIT :: GLbitfield
- pattern GL_SCISSOR_BOX :: GLenum
- pattern GL_SCISSOR_TEST :: GLenum
- pattern GL_SECONDARY_COLOR_ARRAY :: GLenum
- pattern GL_SECONDARY_COLOR_ARRAY_BUFFER_BINDING :: GLenum
- pattern GL_SECONDARY_COLOR_ARRAY_POINTER :: GLenum
- pattern GL_SECONDARY_COLOR_ARRAY_SIZE :: GLenum
- pattern GL_SECONDARY_COLOR_ARRAY_STRIDE :: GLenum
- pattern GL_SECONDARY_COLOR_ARRAY_TYPE :: GLenum
- pattern GL_SELECT :: GLenum
- pattern GL_SELECTION_BUFFER_POINTER :: GLenum
- pattern GL_SELECTION_BUFFER_SIZE :: GLenum
- pattern GL_SEPARATE_SPECULAR_COLOR :: GLenum
- pattern GL_SET :: GLenum
- pattern GL_SHADER_SOURCE_LENGTH :: GLenum
- pattern GL_SHADER_TYPE :: GLenum
- pattern GL_SHADE_MODEL :: GLenum
- pattern GL_SHADING_LANGUAGE_VERSION :: GLenum
- pattern GL_SHININESS :: GLenum
- pattern GL_SHORT :: GLenum
- pattern GL_SINGLE_COLOR :: GLenum
- pattern GL_SMOOTH :: GLenum
- pattern GL_SMOOTH_LINE_WIDTH_GRANULARITY :: GLenum
- pattern GL_SMOOTH_LINE_WIDTH_RANGE :: GLenum
- pattern GL_SMOOTH_POINT_SIZE_GRANULARITY :: GLenum
- pattern GL_SMOOTH_POINT_SIZE_RANGE :: GLenum
- pattern GL_SOURCE0_ALPHA :: GLenum
- pattern GL_SOURCE0_RGB :: GLenum
- pattern GL_SOURCE1_ALPHA :: GLenum
- pattern GL_SOURCE1_RGB :: GLenum
- pattern GL_SOURCE2_ALPHA :: GLenum
- pattern GL_SOURCE2_RGB :: GLenum
- pattern GL_SPECULAR :: GLenum
- pattern GL_SPHERE_MAP :: GLenum
- pattern GL_SPOT_CUTOFF :: GLenum
- pattern GL_SPOT_DIRECTION :: GLenum
- pattern GL_SPOT_EXPONENT :: GLenum
- pattern GL_SRC0_ALPHA :: GLenum
- pattern GL_SRC0_RGB :: GLenum
- pattern GL_SRC1_ALPHA :: GLenum
- pattern GL_SRC1_RGB :: GLenum
- pattern GL_SRC2_ALPHA :: GLenum
- pattern GL_SRC2_RGB :: GLenum
- pattern GL_SRC_ALPHA :: GLenum
- pattern GL_SRC_ALPHA_SATURATE :: GLenum
- pattern GL_SRC_COLOR :: GLenum
- pattern GL_STACK_OVERFLOW :: GLenum
- pattern GL_STACK_UNDERFLOW :: GLenum
- pattern GL_STATIC_COPY :: GLenum
- pattern GL_STATIC_DRAW :: GLenum
- pattern GL_STATIC_READ :: GLenum
- pattern GL_STENCIL :: GLenum
- pattern GL_STENCIL_BACK_FAIL :: GLenum
- pattern GL_STENCIL_BACK_FUNC :: GLenum
- pattern GL_STENCIL_BACK_PASS_DEPTH_FAIL :: GLenum
- pattern GL_STENCIL_BACK_PASS_DEPTH_PASS :: GLenum
- pattern GL_STENCIL_BACK_REF :: GLenum
- pattern GL_STENCIL_BACK_VALUE_MASK :: GLenum
- pattern GL_STENCIL_BACK_WRITEMASK :: GLenum
- pattern GL_STENCIL_BITS :: GLenum
- pattern GL_STENCIL_BUFFER_BIT :: GLbitfield
- pattern GL_STENCIL_CLEAR_VALUE :: GLenum
- pattern GL_STENCIL_FAIL :: GLenum
- pattern GL_STENCIL_FUNC :: GLenum
- pattern GL_STENCIL_INDEX :: GLenum
- pattern GL_STENCIL_PASS_DEPTH_FAIL :: GLenum
- pattern GL_STENCIL_PASS_DEPTH_PASS :: GLenum
- pattern GL_STENCIL_REF :: GLenum
- pattern GL_STENCIL_TEST :: GLenum
- pattern GL_STENCIL_VALUE_MASK :: GLenum
- pattern GL_STENCIL_WRITEMASK :: GLenum
- pattern GL_STEREO :: GLenum
- pattern GL_STREAM_COPY :: GLenum
- pattern GL_STREAM_DRAW :: GLenum
- pattern GL_STREAM_READ :: GLenum
- pattern GL_SUBPIXEL_BITS :: GLenum
- pattern GL_SUBTRACT :: GLenum
- pattern GL_T :: GLenum
- pattern GL_T2F_C3F_V3F :: GLenum
- pattern GL_T2F_C4F_N3F_V3F :: GLenum
- pattern GL_T2F_C4UB_V3F :: GLenum
- pattern GL_T2F_N3F_V3F :: GLenum
- pattern GL_T2F_V3F :: GLenum
- pattern GL_T4F_C4F_N3F_V4F :: GLenum
- pattern GL_T4F_V4F :: GLenum
- pattern GL_TEXTURE :: GLenum
- pattern GL_TEXTURE0 :: GLenum
- pattern GL_TEXTURE1 :: GLenum
- pattern GL_TEXTURE10 :: GLenum
- pattern GL_TEXTURE11 :: GLenum
- pattern GL_TEXTURE12 :: GLenum
- pattern GL_TEXTURE13 :: GLenum
- pattern GL_TEXTURE14 :: GLenum
- pattern GL_TEXTURE15 :: GLenum
- pattern GL_TEXTURE16 :: GLenum
- pattern GL_TEXTURE17 :: GLenum
- pattern GL_TEXTURE18 :: GLenum
- pattern GL_TEXTURE19 :: GLenum
- pattern GL_TEXTURE2 :: GLenum
- pattern GL_TEXTURE20 :: GLenum
- pattern GL_TEXTURE21 :: GLenum
- pattern GL_TEXTURE22 :: GLenum
- pattern GL_TEXTURE23 :: GLenum
- pattern GL_TEXTURE24 :: GLenum
- pattern GL_TEXTURE25 :: GLenum
- pattern GL_TEXTURE26 :: GLenum
- pattern GL_TEXTURE27 :: GLenum
- pattern GL_TEXTURE28 :: GLenum
- pattern GL_TEXTURE29 :: GLenum
- pattern GL_TEXTURE3 :: GLenum
- pattern GL_TEXTURE30 :: GLenum
- pattern GL_TEXTURE31 :: GLenum
- pattern GL_TEXTURE4 :: GLenum
- pattern GL_TEXTURE5 :: GLenum
- pattern GL_TEXTURE6 :: GLenum
- pattern GL_TEXTURE7 :: GLenum
- pattern GL_TEXTURE8 :: GLenum
- pattern GL_TEXTURE9 :: GLenum
- pattern GL_TEXTURE_1D :: GLenum
- pattern GL_TEXTURE_2D :: GLenum
- pattern GL_TEXTURE_3D :: GLenum
- pattern GL_TEXTURE_ALPHA_SIZE :: GLenum
- pattern GL_TEXTURE_BASE_LEVEL :: GLenum
- pattern GL_TEXTURE_BINDING_1D :: GLenum
- pattern GL_TEXTURE_BINDING_2D :: GLenum
- pattern GL_TEXTURE_BINDING_3D :: GLenum
- pattern GL_TEXTURE_BINDING_CUBE_MAP :: GLenum
- pattern GL_TEXTURE_BIT :: GLbitfield
- pattern GL_TEXTURE_BLUE_SIZE :: GLenum
- pattern GL_TEXTURE_BORDER :: GLenum
- pattern GL_TEXTURE_BORDER_COLOR :: GLenum
- pattern GL_TEXTURE_COMPARE_FUNC :: GLenum
- pattern GL_TEXTURE_COMPARE_MODE :: GLenum
- pattern GL_TEXTURE_COMPONENTS :: GLenum
- pattern GL_TEXTURE_COMPRESSED :: GLenum
- pattern GL_TEXTURE_COMPRESSED_IMAGE_SIZE :: GLenum
- pattern GL_TEXTURE_COMPRESSION_HINT :: GLenum
- pattern GL_TEXTURE_COORD_ARRAY :: GLenum
- pattern GL_TEXTURE_COORD_ARRAY_BUFFER_BINDING :: GLenum
- pattern GL_TEXTURE_COORD_ARRAY_POINTER :: GLenum
- pattern GL_TEXTURE_COORD_ARRAY_SIZE :: GLenum
- pattern GL_TEXTURE_COORD_ARRAY_STRIDE :: GLenum
- pattern GL_TEXTURE_COORD_ARRAY_TYPE :: GLenum
- pattern GL_TEXTURE_CUBE_MAP :: GLenum
- pattern GL_TEXTURE_CUBE_MAP_NEGATIVE_X :: GLenum
- pattern GL_TEXTURE_CUBE_MAP_NEGATIVE_Y :: GLenum
- pattern GL_TEXTURE_CUBE_MAP_NEGATIVE_Z :: GLenum
- pattern GL_TEXTURE_CUBE_MAP_POSITIVE_X :: GLenum
- pattern GL_TEXTURE_CUBE_MAP_POSITIVE_Y :: GLenum
- pattern GL_TEXTURE_CUBE_MAP_POSITIVE_Z :: GLenum
- pattern GL_TEXTURE_DEPTH :: GLenum
- pattern GL_TEXTURE_DEPTH_SIZE :: GLenum
- pattern GL_TEXTURE_ENV :: GLenum
- pattern GL_TEXTURE_ENV_COLOR :: GLenum
- pattern GL_TEXTURE_ENV_MODE :: GLenum
- pattern GL_TEXTURE_FILTER_CONTROL :: GLenum
- pattern GL_TEXTURE_GEN_MODE :: GLenum
- pattern GL_TEXTURE_GEN_Q :: GLenum
- pattern GL_TEXTURE_GEN_R :: GLenum
- pattern GL_TEXTURE_GEN_S :: GLenum
- pattern GL_TEXTURE_GEN_T :: GLenum
- pattern GL_TEXTURE_GREEN_SIZE :: GLenum
- pattern GL_TEXTURE_HEIGHT :: GLenum
- pattern GL_TEXTURE_INTENSITY_SIZE :: GLenum
- pattern GL_TEXTURE_INTERNAL_FORMAT :: GLenum
- pattern GL_TEXTURE_LOD_BIAS :: GLenum
- pattern GL_TEXTURE_LUMINANCE_SIZE :: GLenum
- pattern GL_TEXTURE_MAG_FILTER :: GLenum
- pattern GL_TEXTURE_MATRIX :: GLenum
- pattern GL_TEXTURE_MAX_LEVEL :: GLenum
- pattern GL_TEXTURE_MAX_LOD :: GLenum
- pattern GL_TEXTURE_MIN_FILTER :: GLenum
- pattern GL_TEXTURE_MIN_LOD :: GLenum
- pattern GL_TEXTURE_PRIORITY :: GLenum
- pattern GL_TEXTURE_RED_SIZE :: GLenum
- pattern GL_TEXTURE_RESIDENT :: GLenum
- pattern GL_TEXTURE_STACK_DEPTH :: GLenum
- pattern GL_TEXTURE_WIDTH :: GLenum
- pattern GL_TEXTURE_WRAP_R :: GLenum
- pattern GL_TEXTURE_WRAP_S :: GLenum
- pattern GL_TEXTURE_WRAP_T :: GLenum
- pattern GL_TRANSFORM_BIT :: GLbitfield
- pattern GL_TRANSPOSE_COLOR_MATRIX :: GLenum
- pattern GL_TRANSPOSE_MODELVIEW_MATRIX :: GLenum
- pattern GL_TRANSPOSE_PROJECTION_MATRIX :: GLenum
- pattern GL_TRANSPOSE_TEXTURE_MATRIX :: GLenum
- pattern GL_TRIANGLES :: GLenum
- pattern GL_TRIANGLE_FAN :: GLenum
- pattern GL_TRIANGLE_STRIP :: GLenum
- pattern GL_TRUE :: GLboolean
- pattern GL_UNPACK_ALIGNMENT :: GLenum
- pattern GL_UNPACK_IMAGE_HEIGHT :: GLenum
- pattern GL_UNPACK_LSB_FIRST :: GLenum
- pattern GL_UNPACK_ROW_LENGTH :: GLenum
- pattern GL_UNPACK_SKIP_IMAGES :: GLenum
- pattern GL_UNPACK_SKIP_PIXELS :: GLenum
- pattern GL_UNPACK_SKIP_ROWS :: GLenum
- pattern GL_UNPACK_SWAP_BYTES :: GLenum
- pattern GL_UNSIGNED_BYTE :: GLenum
- pattern GL_UNSIGNED_BYTE_2_3_3_REV :: GLenum
- pattern GL_UNSIGNED_BYTE_3_3_2 :: GLenum
- pattern GL_UNSIGNED_INT :: GLenum
- pattern GL_UNSIGNED_INT_10_10_10_2 :: GLenum
- pattern GL_UNSIGNED_INT_2_10_10_10_REV :: GLenum
- pattern GL_UNSIGNED_INT_8_8_8_8 :: GLenum
- pattern GL_UNSIGNED_INT_8_8_8_8_REV :: GLenum
- pattern GL_UNSIGNED_SHORT :: GLenum
- pattern GL_UNSIGNED_SHORT_1_5_5_5_REV :: GLenum
- pattern GL_UNSIGNED_SHORT_4_4_4_4 :: GLenum
- pattern GL_UNSIGNED_SHORT_4_4_4_4_REV :: GLenum
- pattern GL_UNSIGNED_SHORT_5_5_5_1 :: GLenum
- pattern GL_UNSIGNED_SHORT_5_6_5 :: GLenum
- pattern GL_UNSIGNED_SHORT_5_6_5_REV :: GLenum
- pattern GL_UPPER_LEFT :: GLenum
- pattern GL_V2F :: GLenum
- pattern GL_V3F :: GLenum
- pattern GL_VALIDATE_STATUS :: GLenum
- pattern GL_VENDOR :: GLenum
- pattern GL_VERSION :: GLenum
- pattern GL_VERTEX_ARRAY :: GLenum
- pattern GL_VERTEX_ARRAY_BUFFER_BINDING :: GLenum
- pattern GL_VERTEX_ARRAY_POINTER :: GLenum
- pattern GL_VERTEX_ARRAY_SIZE :: GLenum
- pattern GL_VERTEX_ARRAY_STRIDE :: GLenum
- pattern GL_VERTEX_ARRAY_TYPE :: GLenum
- pattern GL_VERTEX_ATTRIB_ARRAY_BUFFER_BINDING :: GLenum
- pattern GL_VERTEX_ATTRIB_ARRAY_ENABLED :: GLenum
- pattern GL_VERTEX_ATTRIB_ARRAY_NORMALIZED :: GLenum
- pattern GL_VERTEX_ATTRIB_ARRAY_POINTER :: GLenum
- pattern GL_VERTEX_ATTRIB_ARRAY_SIZE :: GLenum
- pattern GL_VERTEX_ATTRIB_ARRAY_STRIDE :: GLenum
- pattern GL_VERTEX_ATTRIB_ARRAY_TYPE :: GLenum
- pattern GL_VERTEX_PROGRAM_POINT_SIZE :: GLenum
- pattern GL_VERTEX_PROGRAM_TWO_SIDE :: GLenum
- pattern GL_VERTEX_SHADER :: GLenum
- pattern GL_VIEWPORT :: GLenum
- pattern GL_VIEWPORT_BIT :: GLbitfield
- pattern GL_WEIGHT_ARRAY_BUFFER_BINDING :: GLenum
- pattern GL_WRITE_ONLY :: GLenum
- pattern GL_XOR :: GLenum
- pattern GL_ZERO :: GLenum
- pattern GL_ZOOM_X :: GLenum
- pattern GL_ZOOM_Y :: GLenum
- glAccum :: MonadIO m => GLenum -> GLfloat -> m ()
- glActiveTexture :: MonadIO m => GLenum -> m ()
- glAlphaFunc :: MonadIO m => GLenum -> GLfloat -> m ()
- glAreTexturesResident :: MonadIO m => GLsizei -> Ptr GLuint -> Ptr GLboolean -> m GLboolean
- glArrayElement :: MonadIO m => GLint -> m ()
- glAttachShader :: MonadIO m => GLuint -> GLuint -> m ()
- glBegin :: MonadIO m => GLenum -> m ()
- glBeginQuery :: MonadIO m => GLenum -> GLuint -> m ()
- glBindAttribLocation :: MonadIO m => GLuint -> GLuint -> Ptr GLchar -> m ()
- glBindBuffer :: MonadIO m => GLenum -> GLuint -> m ()
- glBindTexture :: MonadIO m => GLenum -> GLuint -> m ()
- glBitmap :: MonadIO m => GLsizei -> GLsizei -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> Ptr GLubyte -> m ()
- glBlendColor :: MonadIO m => GLfloat -> GLfloat -> GLfloat -> GLfloat -> m ()
- glBlendEquation :: MonadIO m => GLenum -> m ()
- glBlendEquationSeparate :: MonadIO m => GLenum -> GLenum -> m ()
- glBlendFunc :: MonadIO m => GLenum -> GLenum -> m ()
- glBlendFuncSeparate :: MonadIO m => GLenum -> GLenum -> GLenum -> GLenum -> m ()
- glBufferData :: MonadIO m => GLenum -> GLsizeiptr -> Ptr a -> GLenum -> m ()
- glBufferSubData :: MonadIO m => GLenum -> GLintptr -> GLsizeiptr -> Ptr a -> m ()
- glCallList :: MonadIO m => GLuint -> m ()
- glCallLists :: MonadIO m => GLsizei -> GLenum -> Ptr a -> m ()
- glClear :: MonadIO m => GLbitfield -> m ()
- glClearAccum :: MonadIO m => GLfloat -> GLfloat -> GLfloat -> GLfloat -> m ()
- glClearColor :: MonadIO m => GLfloat -> GLfloat -> GLfloat -> GLfloat -> m ()
- glClearDepth :: MonadIO m => GLdouble -> m ()
- glClearIndex :: MonadIO m => GLfloat -> m ()
- glClearStencil :: MonadIO m => GLint -> m ()
- glClientActiveTexture :: MonadIO m => GLenum -> m ()
- glClipPlane :: MonadIO m => GLenum -> Ptr GLdouble -> m ()
- glColor3b :: MonadIO m => GLbyte -> GLbyte -> GLbyte -> m ()
- glColor3bv :: MonadIO m => Ptr GLbyte -> m ()
- glColor3d :: MonadIO m => GLdouble -> GLdouble -> GLdouble -> m ()
- glColor3dv :: MonadIO m => Ptr GLdouble -> m ()
- glColor3f :: MonadIO m => GLfloat -> GLfloat -> GLfloat -> m ()
- glColor3fv :: MonadIO m => Ptr GLfloat -> m ()
- glColor3i :: MonadIO m => GLint -> GLint -> GLint -> m ()
- glColor3iv :: MonadIO m => Ptr GLint -> m ()
- glColor3s :: MonadIO m => GLshort -> GLshort -> GLshort -> m ()
- glColor3sv :: MonadIO m => Ptr GLshort -> m ()
- glColor3ub :: MonadIO m => GLubyte -> GLubyte -> GLubyte -> m ()
- glColor3ubv :: MonadIO m => Ptr GLubyte -> m ()
- glColor3ui :: MonadIO m => GLuint -> GLuint -> GLuint -> m ()
- glColor3uiv :: MonadIO m => Ptr GLuint -> m ()
- glColor3us :: MonadIO m => GLushort -> GLushort -> GLushort -> m ()
- glColor3usv :: MonadIO m => Ptr GLushort -> m ()
- glColor4b :: MonadIO m => GLbyte -> GLbyte -> GLbyte -> GLbyte -> m ()
- glColor4bv :: MonadIO m => Ptr GLbyte -> m ()
- glColor4d :: MonadIO m => GLdouble -> GLdouble -> GLdouble -> GLdouble -> m ()
- glColor4dv :: MonadIO m => Ptr GLdouble -> m ()
- glColor4f :: MonadIO m => GLfloat -> GLfloat -> GLfloat -> GLfloat -> m ()
- glColor4fv :: MonadIO m => Ptr GLfloat -> m ()
- glColor4i :: MonadIO m => GLint -> GLint -> GLint -> GLint -> m ()
- glColor4iv :: MonadIO m => Ptr GLint -> m ()
- glColor4s :: MonadIO m => GLshort -> GLshort -> GLshort -> GLshort -> m ()
- glColor4sv :: MonadIO m => Ptr GLshort -> m ()
- glColor4ub :: MonadIO m => GLubyte -> GLubyte -> GLubyte -> GLubyte -> m ()
- glColor4ubv :: MonadIO m => Ptr GLubyte -> m ()
- glColor4ui :: MonadIO m => GLuint -> GLuint -> GLuint -> GLuint -> m ()
- glColor4uiv :: MonadIO m => Ptr GLuint -> m ()
- glColor4us :: MonadIO m => GLushort -> GLushort -> GLushort -> GLushort -> m ()
- glColor4usv :: MonadIO m => Ptr GLushort -> m ()
- glColorMask :: MonadIO m => GLboolean -> GLboolean -> GLboolean -> GLboolean -> m ()
- glColorMaterial :: MonadIO m => GLenum -> GLenum -> m ()
- glColorPointer :: MonadIO m => GLint -> GLenum -> GLsizei -> Ptr a -> m ()
- glCompileShader :: MonadIO m => GLuint -> m ()
- glCompressedTexImage1D :: MonadIO m => GLenum -> GLint -> GLenum -> GLsizei -> GLint -> GLsizei -> Ptr a -> m ()
- glCompressedTexImage2D :: MonadIO m => GLenum -> GLint -> GLenum -> GLsizei -> GLsizei -> GLint -> GLsizei -> Ptr a -> m ()
- glCompressedTexImage3D :: MonadIO m => GLenum -> GLint -> GLenum -> GLsizei -> GLsizei -> GLsizei -> GLint -> GLsizei -> Ptr a -> m ()
- glCompressedTexSubImage1D :: MonadIO m => GLenum -> GLint -> GLint -> GLsizei -> GLenum -> GLsizei -> Ptr a -> m ()
- glCompressedTexSubImage2D :: MonadIO m => GLenum -> GLint -> GLint -> GLint -> GLsizei -> GLsizei -> GLenum -> GLsizei -> Ptr a -> m ()
- glCompressedTexSubImage3D :: MonadIO m => GLenum -> GLint -> GLint -> GLint -> GLint -> GLsizei -> GLsizei -> GLsizei -> GLenum -> GLsizei -> Ptr a -> m ()
- glCopyPixels :: MonadIO m => GLint -> GLint -> GLsizei -> GLsizei -> GLenum -> m ()
- glCopyTexImage1D :: MonadIO m => GLenum -> GLint -> GLenum -> GLint -> GLint -> GLsizei -> GLint -> m ()
- glCopyTexImage2D :: MonadIO m => GLenum -> GLint -> GLenum -> GLint -> GLint -> GLsizei -> GLsizei -> GLint -> m ()
- glCopyTexSubImage1D :: MonadIO m => GLenum -> GLint -> GLint -> GLint -> GLint -> GLsizei -> m ()
- glCopyTexSubImage2D :: MonadIO m => GLenum -> GLint -> GLint -> GLint -> GLint -> GLint -> GLsizei -> GLsizei -> m ()
- glCopyTexSubImage3D :: MonadIO m => GLenum -> GLint -> GLint -> GLint -> GLint -> GLint -> GLint -> GLsizei -> GLsizei -> m ()
- glCreateProgram :: MonadIO m => m GLuint
- glCreateShader :: MonadIO m => GLenum -> m GLuint
- glCullFace :: MonadIO m => GLenum -> m ()
- glDeleteBuffers :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glDeleteLists :: MonadIO m => GLuint -> GLsizei -> m ()
- glDeleteProgram :: MonadIO m => GLuint -> m ()
- glDeleteQueries :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glDeleteShader :: MonadIO m => GLuint -> m ()
- glDeleteTextures :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glDepthFunc :: MonadIO m => GLenum -> m ()
- glDepthMask :: MonadIO m => GLboolean -> m ()
- glDepthRange :: MonadIO m => GLdouble -> GLdouble -> m ()
- glDetachShader :: MonadIO m => GLuint -> GLuint -> m ()
- glDisable :: MonadIO m => GLenum -> m ()
- glDisableClientState :: MonadIO m => GLenum -> m ()
- glDisableVertexAttribArray :: MonadIO m => GLuint -> m ()
- glDrawArrays :: MonadIO m => GLenum -> GLint -> GLsizei -> m ()
- glDrawBuffer :: MonadIO m => GLenum -> m ()
- glDrawBuffers :: MonadIO m => GLsizei -> Ptr GLenum -> m ()
- glDrawElements :: MonadIO m => GLenum -> GLsizei -> GLenum -> Ptr a -> m ()
- glDrawPixels :: MonadIO m => GLsizei -> GLsizei -> GLenum -> GLenum -> Ptr a -> m ()
- glDrawRangeElements :: MonadIO m => GLenum -> GLuint -> GLuint -> GLsizei -> GLenum -> Ptr a -> m ()
- glEdgeFlag :: MonadIO m => GLboolean -> m ()
- glEdgeFlagPointer :: MonadIO m => GLsizei -> Ptr a -> m ()
- glEdgeFlagv :: MonadIO m => Ptr GLboolean -> m ()
- glEnable :: MonadIO m => GLenum -> m ()
- glEnableClientState :: MonadIO m => GLenum -> m ()
- glEnableVertexAttribArray :: MonadIO m => GLuint -> m ()
- glEnd :: MonadIO m => m ()
- glEndList :: MonadIO m => m ()
- glEndQuery :: MonadIO m => GLenum -> m ()
- glEvalCoord1d :: MonadIO m => GLdouble -> m ()
- glEvalCoord1dv :: MonadIO m => Ptr GLdouble -> m ()
- glEvalCoord1f :: MonadIO m => GLfloat -> m ()
- glEvalCoord1fv :: MonadIO m => Ptr GLfloat -> m ()
- glEvalCoord2d :: MonadIO m => GLdouble -> GLdouble -> m ()
- glEvalCoord2dv :: MonadIO m => Ptr GLdouble -> m ()
- glEvalCoord2f :: MonadIO m => GLfloat -> GLfloat -> m ()
- glEvalCoord2fv :: MonadIO m => Ptr GLfloat -> m ()
- glEvalMesh1 :: MonadIO m => GLenum -> GLint -> GLint -> m ()
- glEvalMesh2 :: MonadIO m => GLenum -> GLint -> GLint -> GLint -> GLint -> m ()
- glEvalPoint1 :: MonadIO m => GLint -> m ()
- glEvalPoint2 :: MonadIO m => GLint -> GLint -> m ()
- glFeedbackBuffer :: MonadIO m => GLsizei -> GLenum -> Ptr GLfloat -> m ()
- glFinish :: MonadIO m => m ()
- glFlush :: MonadIO m => m ()
- glFogCoordPointer :: MonadIO m => GLenum -> GLsizei -> Ptr a -> m ()
- glFogCoordd :: MonadIO m => GLdouble -> m ()
- glFogCoorddv :: MonadIO m => Ptr GLdouble -> m ()
- glFogCoordf :: MonadIO m => GLfloat -> m ()
- glFogCoordfv :: MonadIO m => Ptr GLfloat -> m ()
- glFogf :: MonadIO m => GLenum -> GLfloat -> m ()
- glFogfv :: MonadIO m => GLenum -> Ptr GLfloat -> m ()
- glFogi :: MonadIO m => GLenum -> GLint -> m ()
- glFogiv :: MonadIO m => GLenum -> Ptr GLint -> m ()
- glFrontFace :: MonadIO m => GLenum -> m ()
- glFrustum :: MonadIO m => GLdouble -> GLdouble -> GLdouble -> GLdouble -> GLdouble -> GLdouble -> m ()
- glGenBuffers :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glGenLists :: MonadIO m => GLsizei -> m GLuint
- glGenQueries :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glGenTextures :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glGetActiveAttrib :: MonadIO m => GLuint -> GLuint -> GLsizei -> Ptr GLsizei -> Ptr GLint -> Ptr GLenum -> Ptr GLchar -> m ()
- glGetActiveUniform :: MonadIO m => GLuint -> GLuint -> GLsizei -> Ptr GLsizei -> Ptr GLint -> Ptr GLenum -> Ptr GLchar -> m ()
- glGetAttachedShaders :: MonadIO m => GLuint -> GLsizei -> Ptr GLsizei -> Ptr GLuint -> m ()
- glGetAttribLocation :: MonadIO m => GLuint -> Ptr GLchar -> m GLint
- glGetBooleanv :: MonadIO m => GLenum -> Ptr GLboolean -> m ()
- glGetBufferParameteriv :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()
- glGetBufferPointerv :: MonadIO m => GLenum -> GLenum -> Ptr (Ptr a) -> m ()
- glGetBufferSubData :: MonadIO m => GLenum -> GLintptr -> GLsizeiptr -> Ptr a -> m ()
- glGetClipPlane :: MonadIO m => GLenum -> Ptr GLdouble -> m ()
- glGetCompressedTexImage :: MonadIO m => GLenum -> GLint -> Ptr a -> m ()
- glGetDoublev :: MonadIO m => GLenum -> Ptr GLdouble -> m ()
- glGetError :: MonadIO m => m GLenum
- glGetFloatv :: MonadIO m => GLenum -> Ptr GLfloat -> m ()
- glGetIntegerv :: MonadIO m => GLenum -> Ptr GLint -> m ()
- glGetLightfv :: MonadIO m => GLenum -> GLenum -> Ptr GLfloat -> m ()
- glGetLightiv :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()
- glGetMapdv :: MonadIO m => GLenum -> GLenum -> Ptr GLdouble -> m ()
- glGetMapfv :: MonadIO m => GLenum -> GLenum -> Ptr GLfloat -> m ()
- glGetMapiv :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()
- glGetMaterialfv :: MonadIO m => GLenum -> GLenum -> Ptr GLfloat -> m ()
- glGetMaterialiv :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()
- glGetPixelMapfv :: MonadIO m => GLenum -> Ptr GLfloat -> m ()
- glGetPixelMapuiv :: MonadIO m => GLenum -> Ptr GLuint -> m ()
- glGetPixelMapusv :: MonadIO m => GLenum -> Ptr GLushort -> m ()
- glGetPointerv :: MonadIO m => GLenum -> Ptr (Ptr a) -> m ()
- glGetPolygonStipple :: MonadIO m => Ptr GLubyte -> m ()
- glGetProgramInfoLog :: MonadIO m => GLuint -> GLsizei -> Ptr GLsizei -> Ptr GLchar -> m ()
- glGetProgramiv :: MonadIO m => GLuint -> GLenum -> Ptr GLint -> m ()
- glGetQueryObjectiv :: MonadIO m => GLuint -> GLenum -> Ptr GLint -> m ()
- glGetQueryObjectuiv :: MonadIO m => GLuint -> GLenum -> Ptr GLuint -> m ()
- glGetQueryiv :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()
- glGetShaderInfoLog :: MonadIO m => GLuint -> GLsizei -> Ptr GLsizei -> Ptr GLchar -> m ()
- glGetShaderSource :: MonadIO m => GLuint -> GLsizei -> Ptr GLsizei -> Ptr GLchar -> m ()
- glGetShaderiv :: MonadIO m => GLuint -> GLenum -> Ptr GLint -> m ()
- glGetString :: MonadIO m => GLenum -> m (Ptr GLubyte)
- glGetTexEnvfv :: MonadIO m => GLenum -> GLenum -> Ptr GLfloat -> m ()
- glGetTexEnviv :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()
- glGetTexGendv :: MonadIO m => GLenum -> GLenum -> Ptr GLdouble -> m ()
- glGetTexGenfv :: MonadIO m => GLenum -> GLenum -> Ptr GLfloat -> m ()
- glGetTexGeniv :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()
- glGetTexImage :: MonadIO m => GLenum -> GLint -> GLenum -> GLenum -> Ptr a -> m ()
- glGetTexLevelParameterfv :: MonadIO m => GLenum -> GLint -> GLenum -> Ptr GLfloat -> m ()
- glGetTexLevelParameteriv :: MonadIO m => GLenum -> GLint -> GLenum -> Ptr GLint -> m ()
- glGetTexParameterfv :: MonadIO m => GLenum -> GLenum -> Ptr GLfloat -> m ()
- glGetTexParameteriv :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()
- glGetUniformLocation :: MonadIO m => GLuint -> Ptr GLchar -> m GLint
- glGetUniformfv :: MonadIO m => GLuint -> GLint -> Ptr GLfloat -> m ()
- glGetUniformiv :: MonadIO m => GLuint -> GLint -> Ptr GLint -> m ()
- glGetVertexAttribPointerv :: MonadIO m => GLuint -> GLenum -> Ptr (Ptr a) -> m ()
- glGetVertexAttribdv :: MonadIO m => GLuint -> GLenum -> Ptr GLdouble -> m ()
- glGetVertexAttribfv :: MonadIO m => GLuint -> GLenum -> Ptr GLfloat -> m ()
- glGetVertexAttribiv :: MonadIO m => GLuint -> GLenum -> Ptr GLint -> m ()
- glHint :: MonadIO m => GLenum -> GLenum -> m ()
- glIndexMask :: MonadIO m => GLuint -> m ()
- glIndexPointer :: MonadIO m => GLenum -> GLsizei -> Ptr a -> m ()
- glIndexd :: MonadIO m => GLdouble -> m ()
- glIndexdv :: MonadIO m => Ptr GLdouble -> m ()
- glIndexf :: MonadIO m => GLfloat -> m ()
- glIndexfv :: MonadIO m => Ptr GLfloat -> m ()
- glIndexi :: MonadIO m => GLint -> m ()
- glIndexiv :: MonadIO m => Ptr GLint -> m ()
- glIndexs :: MonadIO m => GLshort -> m ()
- glIndexsv :: MonadIO m => Ptr GLshort -> m ()
- glIndexub :: MonadIO m => GLubyte -> m ()
- glIndexubv :: MonadIO m => Ptr GLubyte -> m ()
- glInitNames :: MonadIO m => m ()
- glInterleavedArrays :: MonadIO m => GLenum -> GLsizei -> Ptr a -> m ()
- glIsBuffer :: MonadIO m => GLuint -> m GLboolean
- glIsEnabled :: MonadIO m => GLenum -> m GLboolean
- glIsList :: MonadIO m => GLuint -> m GLboolean
- glIsProgram :: MonadIO m => GLuint -> m GLboolean
- glIsQuery :: MonadIO m => GLuint -> m GLboolean
- glIsShader :: MonadIO m => GLuint -> m GLboolean
- glIsTexture :: MonadIO m => GLuint -> m GLboolean
- glLightModelf :: MonadIO m => GLenum -> GLfloat -> m ()
- glLightModelfv :: MonadIO m => GLenum -> Ptr GLfloat -> m ()
- glLightModeli :: MonadIO m => GLenum -> GLint -> m ()
- glLightModeliv :: MonadIO m => GLenum -> Ptr GLint -> m ()
- glLightf :: MonadIO m => GLenum -> GLenum -> GLfloat -> m ()
- glLightfv :: MonadIO m => GLenum -> GLenum -> Ptr GLfloat -> m ()
- glLighti :: MonadIO m => GLenum -> GLenum -> GLint -> m ()
- glLightiv :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()
- glLineStipple :: MonadIO m => GLint -> GLushort -> m ()
- glLineWidth :: MonadIO m => GLfloat -> m ()
- glLinkProgram :: MonadIO m => GLuint -> m ()
- glListBase :: MonadIO m => GLuint -> m ()
- glLoadIdentity :: MonadIO m => m ()
- glLoadMatrixd :: MonadIO m => Ptr GLdouble -> m ()
- glLoadMatrixf :: MonadIO m => Ptr GLfloat -> m ()
- glLoadName :: MonadIO m => GLuint -> m ()
- glLoadTransposeMatrixd :: MonadIO m => Ptr GLdouble -> m ()
- glLoadTransposeMatrixf :: MonadIO m => Ptr GLfloat -> m ()
- glLogicOp :: MonadIO m => GLenum -> m ()
- glMap1d :: MonadIO m => GLenum -> GLdouble -> GLdouble -> GLint -> GLint -> Ptr GLdouble -> m ()
- glMap1f :: MonadIO m => GLenum -> GLfloat -> GLfloat -> GLint -> GLint -> Ptr GLfloat -> m ()
- glMap2d :: MonadIO m => GLenum -> GLdouble -> GLdouble -> GLint -> GLint -> GLdouble -> GLdouble -> GLint -> GLint -> Ptr GLdouble -> m ()
- glMap2f :: MonadIO m => GLenum -> GLfloat -> GLfloat -> GLint -> GLint -> GLfloat -> GLfloat -> GLint -> GLint -> Ptr GLfloat -> m ()
- glMapBuffer :: MonadIO m => GLenum -> GLenum -> m (Ptr a)
- glMapGrid1d :: MonadIO m => GLint -> GLdouble -> GLdouble -> m ()
- glMapGrid1f :: MonadIO m => GLint -> GLfloat -> GLfloat -> m ()
- glMapGrid2d :: MonadIO m => GLint -> GLdouble -> GLdouble -> GLint -> GLdouble -> GLdouble -> m ()
- glMapGrid2f :: MonadIO m => GLint -> GLfloat -> GLfloat -> GLint -> GLfloat -> GLfloat -> m ()
- glMaterialf :: MonadIO m => GLenum -> GLenum -> GLfloat -> m ()
- glMaterialfv :: MonadIO m => GLenum -> GLenum -> Ptr GLfloat -> m ()
- glMateriali :: MonadIO m => GLenum -> GLenum -> GLint -> m ()
- glMaterialiv :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()
- glMatrixMode :: MonadIO m => GLenum -> m ()
- glMultMatrixd :: MonadIO m => Ptr GLdouble -> m ()
- glMultMatrixf :: MonadIO m => Ptr GLfloat -> m ()
- glMultTransposeMatrixd :: MonadIO m => Ptr GLdouble -> m ()
- glMultTransposeMatrixf :: MonadIO m => Ptr GLfloat -> m ()
- glMultiDrawArrays :: MonadIO m => GLenum -> Ptr GLint -> Ptr GLsizei -> GLsizei -> m ()
- glMultiDrawElements :: MonadIO m => GLenum -> Ptr GLsizei -> GLenum -> Ptr (Ptr a) -> GLsizei -> m ()
- glMultiTexCoord1d :: MonadIO m => GLenum -> GLdouble -> m ()
- glMultiTexCoord1dv :: MonadIO m => GLenum -> Ptr GLdouble -> m ()
- glMultiTexCoord1f :: MonadIO m => GLenum -> GLfloat -> m ()
- glMultiTexCoord1fv :: MonadIO m => GLenum -> Ptr GLfloat -> m ()
- glMultiTexCoord1i :: MonadIO m => GLenum -> GLint -> m ()
- glMultiTexCoord1iv :: MonadIO m => GLenum -> Ptr GLint -> m ()
- glMultiTexCoord1s :: MonadIO m => GLenum -> GLshort -> m ()
- glMultiTexCoord1sv :: MonadIO m => GLenum -> Ptr GLshort -> m ()
- glMultiTexCoord2d :: MonadIO m => GLenum -> GLdouble -> GLdouble -> m ()
- glMultiTexCoord2dv :: MonadIO m => GLenum -> Ptr GLdouble -> m ()
- glMultiTexCoord2f :: MonadIO m => GLenum -> GLfloat -> GLfloat -> m ()
- glMultiTexCoord2fv :: MonadIO m => GLenum -> Ptr GLfloat -> m ()
- glMultiTexCoord2i :: MonadIO m => GLenum -> GLint -> GLint -> m ()
- glMultiTexCoord2iv :: MonadIO m => GLenum -> Ptr GLint -> m ()
- glMultiTexCoord2s :: MonadIO m => GLenum -> GLshort -> GLshort -> m ()
- glMultiTexCoord2sv :: MonadIO m => GLenum -> Ptr GLshort -> m ()
- glMultiTexCoord3d :: MonadIO m => GLenum -> GLdouble -> GLdouble -> GLdouble -> m ()
- glMultiTexCoord3dv :: MonadIO m => GLenum -> Ptr GLdouble -> m ()
- glMultiTexCoord3f :: MonadIO m => GLenum -> GLfloat -> GLfloat -> GLfloat -> m ()
- glMultiTexCoord3fv :: MonadIO m => GLenum -> Ptr GLfloat -> m ()
- glMultiTexCoord3i :: MonadIO m => GLenum -> GLint -> GLint -> GLint -> m ()
- glMultiTexCoord3iv :: MonadIO m => GLenum -> Ptr GLint -> m ()
- glMultiTexCoord3s :: MonadIO m => GLenum -> GLshort -> GLshort -> GLshort -> m ()
- glMultiTexCoord3sv :: MonadIO m => GLenum -> Ptr GLshort -> m ()
- glMultiTexCoord4d :: MonadIO m => GLenum -> GLdouble -> GLdouble -> GLdouble -> GLdouble -> m ()
- glMultiTexCoord4dv :: MonadIO m => GLenum -> Ptr GLdouble -> m ()
- glMultiTexCoord4f :: MonadIO m => GLenum -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> m ()
- glMultiTexCoord4fv :: MonadIO m => GLenum -> Ptr GLfloat -> m ()
- glMultiTexCoord4i :: MonadIO m => GLenum -> GLint -> GLint -> GLint -> GLint -> m ()
- glMultiTexCoord4iv :: MonadIO m => GLenum -> Ptr GLint -> m ()
- glMultiTexCoord4s :: MonadIO m => GLenum -> GLshort -> GLshort -> GLshort -> GLshort -> m ()
- glMultiTexCoord4sv :: MonadIO m => GLenum -> Ptr GLshort -> m ()
- glNewList :: MonadIO m => GLuint -> GLenum -> m ()
- glNormal3b :: MonadIO m => GLbyte -> GLbyte -> GLbyte -> m ()
- glNormal3bv :: MonadIO m => Ptr GLbyte -> m ()
- glNormal3d :: MonadIO m => GLdouble -> GLdouble -> GLdouble -> m ()
- glNormal3dv :: MonadIO m => Ptr GLdouble -> m ()
- glNormal3f :: MonadIO m => GLfloat -> GLfloat -> GLfloat -> m ()
- glNormal3fv :: MonadIO m => Ptr GLfloat -> m ()
- glNormal3i :: MonadIO m => GLint -> GLint -> GLint -> m ()
- glNormal3iv :: MonadIO m => Ptr GLint -> m ()
- glNormal3s :: MonadIO m => GLshort -> GLshort -> GLshort -> m ()
- glNormal3sv :: MonadIO m => Ptr GLshort -> m ()
- glNormalPointer :: MonadIO m => GLenum -> GLsizei -> Ptr a -> m ()
- glOrtho :: MonadIO m => GLdouble -> GLdouble -> GLdouble -> GLdouble -> GLdouble -> GLdouble -> m ()
- glPassThrough :: MonadIO m => GLfloat -> m ()
- glPixelMapfv :: MonadIO m => GLenum -> GLsizei -> Ptr GLfloat -> m ()
- glPixelMapuiv :: MonadIO m => GLenum -> GLsizei -> Ptr GLuint -> m ()
- glPixelMapusv :: MonadIO m => GLenum -> GLsizei -> Ptr GLushort -> m ()
- glPixelStoref :: MonadIO m => GLenum -> GLfloat -> m ()
- glPixelStorei :: MonadIO m => GLenum -> GLint -> m ()
- glPixelTransferf :: MonadIO m => GLenum -> GLfloat -> m ()
- glPixelTransferi :: MonadIO m => GLenum -> GLint -> m ()
- glPixelZoom :: MonadIO m => GLfloat -> GLfloat -> m ()
- glPointParameterf :: MonadIO m => GLenum -> GLfloat -> m ()
- glPointParameterfv :: MonadIO m => GLenum -> Ptr GLfloat -> m ()
- glPointParameteri :: MonadIO m => GLenum -> GLint -> m ()
- glPointParameteriv :: MonadIO m => GLenum -> Ptr GLint -> m ()
- glPointSize :: MonadIO m => GLfloat -> m ()
- glPolygonMode :: MonadIO m => GLenum -> GLenum -> m ()
- glPolygonOffset :: MonadIO m => GLfloat -> GLfloat -> m ()
- glPolygonStipple :: MonadIO m => Ptr GLubyte -> m ()
- glPopAttrib :: MonadIO m => m ()
- glPopClientAttrib :: MonadIO m => m ()
- glPopMatrix :: MonadIO m => m ()
- glPopName :: MonadIO m => m ()
- glPrioritizeTextures :: MonadIO m => GLsizei -> Ptr GLuint -> Ptr GLfloat -> m ()
- glPushAttrib :: MonadIO m => GLbitfield -> m ()
- glPushClientAttrib :: MonadIO m => GLbitfield -> m ()
- glPushMatrix :: MonadIO m => m ()
- glPushName :: MonadIO m => GLuint -> m ()
- glRasterPos2d :: MonadIO m => GLdouble -> GLdouble -> m ()
- glRasterPos2dv :: MonadIO m => Ptr GLdouble -> m ()
- glRasterPos2f :: MonadIO m => GLfloat -> GLfloat -> m ()
- glRasterPos2fv :: MonadIO m => Ptr GLfloat -> m ()
- glRasterPos2i :: MonadIO m => GLint -> GLint -> m ()
- glRasterPos2iv :: MonadIO m => Ptr GLint -> m ()
- glRasterPos2s :: MonadIO m => GLshort -> GLshort -> m ()
- glRasterPos2sv :: MonadIO m => Ptr GLshort -> m ()
- glRasterPos3d :: MonadIO m => GLdouble -> GLdouble -> GLdouble -> m ()
- glRasterPos3dv :: MonadIO m => Ptr GLdouble -> m ()
- glRasterPos3f :: MonadIO m => GLfloat -> GLfloat -> GLfloat -> m ()
- glRasterPos3fv :: MonadIO m => Ptr GLfloat -> m ()
- glRasterPos3i :: MonadIO m => GLint -> GLint -> GLint -> m ()
- glRasterPos3iv :: MonadIO m => Ptr GLint -> m ()
- glRasterPos3s :: MonadIO m => GLshort -> GLshort -> GLshort -> m ()
- glRasterPos3sv :: MonadIO m => Ptr GLshort -> m ()
- glRasterPos4d :: MonadIO m => GLdouble -> GLdouble -> GLdouble -> GLdouble -> m ()
- glRasterPos4dv :: MonadIO m => Ptr GLdouble -> m ()
- glRasterPos4f :: MonadIO m => GLfloat -> GLfloat -> GLfloat -> GLfloat -> m ()
- glRasterPos4fv :: MonadIO m => Ptr GLfloat -> m ()
- glRasterPos4i :: MonadIO m => GLint -> GLint -> GLint -> GLint -> m ()
- glRasterPos4iv :: MonadIO m => Ptr GLint -> m ()
- glRasterPos4s :: MonadIO m => GLshort -> GLshort -> GLshort -> GLshort -> m ()
- glRasterPos4sv :: MonadIO m => Ptr GLshort -> m ()
- glReadBuffer :: MonadIO m => GLenum -> m ()
- glReadPixels :: MonadIO m => GLint -> GLint -> GLsizei -> GLsizei -> GLenum -> GLenum -> Ptr a -> m ()
- glRectd :: MonadIO m => GLdouble -> GLdouble -> GLdouble -> GLdouble -> m ()
- glRectdv :: MonadIO m => Ptr GLdouble -> Ptr GLdouble -> m ()
- glRectf :: MonadIO m => GLfloat -> GLfloat -> GLfloat -> GLfloat -> m ()
- glRectfv :: MonadIO m => Ptr GLfloat -> Ptr GLfloat -> m ()
- glRecti :: MonadIO m => GLint -> GLint -> GLint -> GLint -> m ()
- glRectiv :: MonadIO m => Ptr GLint -> Ptr GLint -> m ()
- glRects :: MonadIO m => GLshort -> GLshort -> GLshort -> GLshort -> m ()
- glRectsv :: MonadIO m => Ptr GLshort -> Ptr GLshort -> m ()
- glRenderMode :: MonadIO m => GLenum -> m GLint
- glRotated :: MonadIO m => GLdouble -> GLdouble -> GLdouble -> GLdouble -> m ()
- glRotatef :: MonadIO m => GLfloat -> GLfloat -> GLfloat -> GLfloat -> m ()
- glSampleCoverage :: MonadIO m => GLfloat -> GLboolean -> m ()
- glScaled :: MonadIO m => GLdouble -> GLdouble -> GLdouble -> m ()
- glScalef :: MonadIO m => GLfloat -> GLfloat -> GLfloat -> m ()
- glScissor :: MonadIO m => GLint -> GLint -> GLsizei -> GLsizei -> m ()
- glSecondaryColor3b :: MonadIO m => GLbyte -> GLbyte -> GLbyte -> m ()
- glSecondaryColor3bv :: MonadIO m => Ptr GLbyte -> m ()
- glSecondaryColor3d :: MonadIO m => GLdouble -> GLdouble -> GLdouble -> m ()
- glSecondaryColor3dv :: MonadIO m => Ptr GLdouble -> m ()
- glSecondaryColor3f :: MonadIO m => GLfloat -> GLfloat -> GLfloat -> m ()
- glSecondaryColor3fv :: MonadIO m => Ptr GLfloat -> m ()
- glSecondaryColor3i :: MonadIO m => GLint -> GLint -> GLint -> m ()
- glSecondaryColor3iv :: MonadIO m => Ptr GLint -> m ()
- glSecondaryColor3s :: MonadIO m => GLshort -> GLshort -> GLshort -> m ()
- glSecondaryColor3sv :: MonadIO m => Ptr GLshort -> m ()
- glSecondaryColor3ub :: MonadIO m => GLubyte -> GLubyte -> GLubyte -> m ()
- glSecondaryColor3ubv :: MonadIO m => Ptr GLubyte -> m ()
- glSecondaryColor3ui :: MonadIO m => GLuint -> GLuint -> GLuint -> m ()
- glSecondaryColor3uiv :: MonadIO m => Ptr GLuint -> m ()
- glSecondaryColor3us :: MonadIO m => GLushort -> GLushort -> GLushort -> m ()
- glSecondaryColor3usv :: MonadIO m => Ptr GLushort -> m ()
- glSecondaryColorPointer :: MonadIO m => GLint -> GLenum -> GLsizei -> Ptr a -> m ()
- glSelectBuffer :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glShadeModel :: MonadIO m => GLenum -> m ()
- glShaderSource :: MonadIO m => GLuint -> GLsizei -> Ptr (Ptr GLchar) -> Ptr GLint -> m ()
- glStencilFunc :: MonadIO m => GLenum -> GLint -> GLuint -> m ()
- glStencilFuncSeparate :: MonadIO m => GLenum -> GLenum -> GLint -> GLuint -> m ()
- glStencilMask :: MonadIO m => GLuint -> m ()
- glStencilMaskSeparate :: MonadIO m => GLenum -> GLuint -> m ()
- glStencilOp :: MonadIO m => GLenum -> GLenum -> GLenum -> m ()
- glStencilOpSeparate :: MonadIO m => GLenum -> GLenum -> GLenum -> GLenum -> m ()
- glTexCoord1d :: MonadIO m => GLdouble -> m ()
- glTexCoord1dv :: MonadIO m => Ptr GLdouble -> m ()
- glTexCoord1f :: MonadIO m => GLfloat -> m ()
- glTexCoord1fv :: MonadIO m => Ptr GLfloat -> m ()
- glTexCoord1i :: MonadIO m => GLint -> m ()
- glTexCoord1iv :: MonadIO m => Ptr GLint -> m ()
- glTexCoord1s :: MonadIO m => GLshort -> m ()
- glTexCoord1sv :: MonadIO m => Ptr GLshort -> m ()
- glTexCoord2d :: MonadIO m => GLdouble -> GLdouble -> m ()
- glTexCoord2dv :: MonadIO m => Ptr GLdouble -> m ()
- glTexCoord2f :: MonadIO m => GLfloat -> GLfloat -> m ()
- glTexCoord2fv :: MonadIO m => Ptr GLfloat -> m ()
- glTexCoord2i :: MonadIO m => GLint -> GLint -> m ()
- glTexCoord2iv :: MonadIO m => Ptr GLint -> m ()
- glTexCoord2s :: MonadIO m => GLshort -> GLshort -> m ()
- glTexCoord2sv :: MonadIO m => Ptr GLshort -> m ()
- glTexCoord3d :: MonadIO m => GLdouble -> GLdouble -> GLdouble -> m ()
- glTexCoord3dv :: MonadIO m => Ptr GLdouble -> m ()
- glTexCoord3f :: MonadIO m => GLfloat -> GLfloat -> GLfloat -> m ()
- glTexCoord3fv :: MonadIO m => Ptr GLfloat -> m ()
- glTexCoord3i :: MonadIO m => GLint -> GLint -> GLint -> m ()
- glTexCoord3iv :: MonadIO m => Ptr GLint -> m ()
- glTexCoord3s :: MonadIO m => GLshort -> GLshort -> GLshort -> m ()
- glTexCoord3sv :: MonadIO m => Ptr GLshort -> m ()
- glTexCoord4d :: MonadIO m => GLdouble -> GLdouble -> GLdouble -> GLdouble -> m ()
- glTexCoord4dv :: MonadIO m => Ptr GLdouble -> m ()
- glTexCoord4f :: MonadIO m => GLfloat -> GLfloat -> GLfloat -> GLfloat -> m ()
- glTexCoord4fv :: MonadIO m => Ptr GLfloat -> m ()
- glTexCoord4i :: MonadIO m => GLint -> GLint -> GLint -> GLint -> m ()
- glTexCoord4iv :: MonadIO m => Ptr GLint -> m ()
- glTexCoord4s :: MonadIO m => GLshort -> GLshort -> GLshort -> GLshort -> m ()
- glTexCoord4sv :: MonadIO m => Ptr GLshort -> m ()
- glTexCoordPointer :: MonadIO m => GLint -> GLenum -> GLsizei -> Ptr a -> m ()
- glTexEnvf :: MonadIO m => GLenum -> GLenum -> GLfloat -> m ()
- glTexEnvfv :: MonadIO m => GLenum -> GLenum -> Ptr GLfloat -> m ()
- glTexEnvi :: MonadIO m => GLenum -> GLenum -> GLint -> m ()
- glTexEnviv :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()
- glTexGend :: MonadIO m => GLenum -> GLenum -> GLdouble -> m ()
- glTexGendv :: MonadIO m => GLenum -> GLenum -> Ptr GLdouble -> m ()
- glTexGenf :: MonadIO m => GLenum -> GLenum -> GLfloat -> m ()
- glTexGenfv :: MonadIO m => GLenum -> GLenum -> Ptr GLfloat -> m ()
- glTexGeni :: MonadIO m => GLenum -> GLenum -> GLint -> m ()
- glTexGeniv :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()
- glTexImage1D :: MonadIO m => GLenum -> GLint -> GLint -> GLsizei -> GLint -> GLenum -> GLenum -> Ptr a -> m ()
- glTexImage2D :: MonadIO m => GLenum -> GLint -> GLint -> GLsizei -> GLsizei -> GLint -> GLenum -> GLenum -> Ptr a -> m ()
- glTexImage3D :: MonadIO m => GLenum -> GLint -> GLint -> GLsizei -> GLsizei -> GLsizei -> GLint -> GLenum -> GLenum -> Ptr a -> m ()
- glTexParameterf :: MonadIO m => GLenum -> GLenum -> GLfloat -> m ()
- glTexParameterfv :: MonadIO m => GLenum -> GLenum -> Ptr GLfloat -> m ()
- glTexParameteri :: MonadIO m => GLenum -> GLenum -> GLint -> m ()
- glTexParameteriv :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()
- glTexSubImage1D :: MonadIO m => GLenum -> GLint -> GLint -> GLsizei -> GLenum -> GLenum -> Ptr a -> m ()
- glTexSubImage2D :: MonadIO m => GLenum -> GLint -> GLint -> GLint -> GLsizei -> GLsizei -> GLenum -> GLenum -> Ptr a -> m ()
- glTexSubImage3D :: MonadIO m => GLenum -> GLint -> GLint -> GLint -> GLint -> GLsizei -> GLsizei -> GLsizei -> GLenum -> GLenum -> Ptr a -> m ()
- glTranslated :: MonadIO m => GLdouble -> GLdouble -> GLdouble -> m ()
- glTranslatef :: MonadIO m => GLfloat -> GLfloat -> GLfloat -> m ()
- glUniform1f :: MonadIO m => GLint -> GLfloat -> m ()
- glUniform1fv :: MonadIO m => GLint -> GLsizei -> Ptr GLfloat -> m ()
- glUniform1i :: MonadIO m => GLint -> GLint -> m ()
- glUniform1iv :: MonadIO m => GLint -> GLsizei -> Ptr GLint -> m ()
- glUniform2f :: MonadIO m => GLint -> GLfloat -> GLfloat -> m ()
- glUniform2fv :: MonadIO m => GLint -> GLsizei -> Ptr GLfloat -> m ()
- glUniform2i :: MonadIO m => GLint -> GLint -> GLint -> m ()
- glUniform2iv :: MonadIO m => GLint -> GLsizei -> Ptr GLint -> m ()
- glUniform3f :: MonadIO m => GLint -> GLfloat -> GLfloat -> GLfloat -> m ()
- glUniform3fv :: MonadIO m => GLint -> GLsizei -> Ptr GLfloat -> m ()
- glUniform3i :: MonadIO m => GLint -> GLint -> GLint -> GLint -> m ()
- glUniform3iv :: MonadIO m => GLint -> GLsizei -> Ptr GLint -> m ()
- glUniform4f :: MonadIO m => GLint -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> m ()
- glUniform4fv :: MonadIO m => GLint -> GLsizei -> Ptr GLfloat -> m ()
- glUniform4i :: MonadIO m => GLint -> GLint -> GLint -> GLint -> GLint -> m ()
- glUniform4iv :: MonadIO m => GLint -> GLsizei -> Ptr GLint -> m ()
- glUniformMatrix2fv :: MonadIO m => GLint -> GLsizei -> GLboolean -> Ptr GLfloat -> m ()
- glUniformMatrix3fv :: MonadIO m => GLint -> GLsizei -> GLboolean -> Ptr GLfloat -> m ()
- glUniformMatrix4fv :: MonadIO m => GLint -> GLsizei -> GLboolean -> Ptr GLfloat -> m ()
- glUnmapBuffer :: MonadIO m => GLenum -> m GLboolean
- glUseProgram :: MonadIO m => GLuint -> m ()
- glValidateProgram :: MonadIO m => GLuint -> m ()
- glVertex2d :: MonadIO m => GLdouble -> GLdouble -> m ()
- glVertex2dv :: MonadIO m => Ptr GLdouble -> m ()
- glVertex2f :: MonadIO m => GLfloat -> GLfloat -> m ()
- glVertex2fv :: MonadIO m => Ptr GLfloat -> m ()
- glVertex2i :: MonadIO m => GLint -> GLint -> m ()
- glVertex2iv :: MonadIO m => Ptr GLint -> m ()
- glVertex2s :: MonadIO m => GLshort -> GLshort -> m ()
- glVertex2sv :: MonadIO m => Ptr GLshort -> m ()
- glVertex3d :: MonadIO m => GLdouble -> GLdouble -> GLdouble -> m ()
- glVertex3dv :: MonadIO m => Ptr GLdouble -> m ()
- glVertex3f :: MonadIO m => GLfloat -> GLfloat -> GLfloat -> m ()
- glVertex3fv :: MonadIO m => Ptr GLfloat -> m ()
- glVertex3i :: MonadIO m => GLint -> GLint -> GLint -> m ()
- glVertex3iv :: MonadIO m => Ptr GLint -> m ()
- glVertex3s :: MonadIO m => GLshort -> GLshort -> GLshort -> m ()
- glVertex3sv :: MonadIO m => Ptr GLshort -> m ()
- glVertex4d :: MonadIO m => GLdouble -> GLdouble -> GLdouble -> GLdouble -> m ()
- glVertex4dv :: MonadIO m => Ptr GLdouble -> m ()
- glVertex4f :: MonadIO m => GLfloat -> GLfloat -> GLfloat -> GLfloat -> m ()
- glVertex4fv :: MonadIO m => Ptr GLfloat -> m ()
- glVertex4i :: MonadIO m => GLint -> GLint -> GLint -> GLint -> m ()
- glVertex4iv :: MonadIO m => Ptr GLint -> m ()
- glVertex4s :: MonadIO m => GLshort -> GLshort -> GLshort -> GLshort -> m ()
- glVertex4sv :: MonadIO m => Ptr GLshort -> m ()
- glVertexAttrib1d :: MonadIO m => GLuint -> GLdouble -> m ()
- glVertexAttrib1dv :: MonadIO m => GLuint -> Ptr GLdouble -> m ()
- glVertexAttrib1f :: MonadIO m => GLuint -> GLfloat -> m ()
- glVertexAttrib1fv :: MonadIO m => GLuint -> Ptr GLfloat -> m ()
- glVertexAttrib1s :: MonadIO m => GLuint -> GLshort -> m ()
- glVertexAttrib1sv :: MonadIO m => GLuint -> Ptr GLshort -> m ()
- glVertexAttrib2d :: MonadIO m => GLuint -> GLdouble -> GLdouble -> m ()
- glVertexAttrib2dv :: MonadIO m => GLuint -> Ptr GLdouble -> m ()
- glVertexAttrib2f :: MonadIO m => GLuint -> GLfloat -> GLfloat -> m ()
- glVertexAttrib2fv :: MonadIO m => GLuint -> Ptr GLfloat -> m ()
- glVertexAttrib2s :: MonadIO m => GLuint -> GLshort -> GLshort -> m ()
- glVertexAttrib2sv :: MonadIO m => GLuint -> Ptr GLshort -> m ()
- glVertexAttrib3d :: MonadIO m => GLuint -> GLdouble -> GLdouble -> GLdouble -> m ()
- glVertexAttrib3dv :: MonadIO m => GLuint -> Ptr GLdouble -> m ()
- glVertexAttrib3f :: MonadIO m => GLuint -> GLfloat -> GLfloat -> GLfloat -> m ()
- glVertexAttrib3fv :: MonadIO m => GLuint -> Ptr GLfloat -> m ()
- glVertexAttrib3s :: MonadIO m => GLuint -> GLshort -> GLshort -> GLshort -> m ()
- glVertexAttrib3sv :: MonadIO m => GLuint -> Ptr GLshort -> m ()
- glVertexAttrib4Nbv :: MonadIO m => GLuint -> Ptr GLbyte -> m ()
- glVertexAttrib4Niv :: MonadIO m => GLuint -> Ptr GLint -> m ()
- glVertexAttrib4Nsv :: MonadIO m => GLuint -> Ptr GLshort -> m ()
- glVertexAttrib4Nub :: MonadIO m => GLuint -> GLubyte -> GLubyte -> GLubyte -> GLubyte -> m ()
- glVertexAttrib4Nubv :: MonadIO m => GLuint -> Ptr GLubyte -> m ()
- glVertexAttrib4Nuiv :: MonadIO m => GLuint -> Ptr GLuint -> m ()
- glVertexAttrib4Nusv :: MonadIO m => GLuint -> Ptr GLushort -> m ()
- glVertexAttrib4bv :: MonadIO m => GLuint -> Ptr GLbyte -> m ()
- glVertexAttrib4d :: MonadIO m => GLuint -> GLdouble -> GLdouble -> GLdouble -> GLdouble -> m ()
- glVertexAttrib4dv :: MonadIO m => GLuint -> Ptr GLdouble -> m ()
- glVertexAttrib4f :: MonadIO m => GLuint -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> m ()
- glVertexAttrib4fv :: MonadIO m => GLuint -> Ptr GLfloat -> m ()
- glVertexAttrib4iv :: MonadIO m => GLuint -> Ptr GLint -> m ()
- glVertexAttrib4s :: MonadIO m => GLuint -> GLshort -> GLshort -> GLshort -> GLshort -> m ()
- glVertexAttrib4sv :: MonadIO m => GLuint -> Ptr GLshort -> m ()
- glVertexAttrib4ubv :: MonadIO m => GLuint -> Ptr GLubyte -> m ()
- glVertexAttrib4uiv :: MonadIO m => GLuint -> Ptr GLuint -> m ()
- glVertexAttrib4usv :: MonadIO m => GLuint -> Ptr GLushort -> m ()
- glVertexAttribPointer :: MonadIO m => GLuint -> GLint -> GLenum -> GLboolean -> GLsizei -> Ptr a -> m ()
- glVertexPointer :: MonadIO m => GLint -> GLenum -> GLsizei -> Ptr a -> m ()
- glViewport :: MonadIO m => GLint -> GLint -> GLsizei -> GLsizei -> m ()
- glWindowPos2d :: MonadIO m => GLdouble -> GLdouble -> m ()
- glWindowPos2dv :: MonadIO m => Ptr GLdouble -> m ()
- glWindowPos2f :: MonadIO m => GLfloat -> GLfloat -> m ()
- glWindowPos2fv :: MonadIO m => Ptr GLfloat -> m ()
- glWindowPos2i :: MonadIO m => GLint -> GLint -> m ()
- glWindowPos2iv :: MonadIO m => Ptr GLint -> m ()
- glWindowPos2s :: MonadIO m => GLshort -> GLshort -> m ()
- glWindowPos2sv :: MonadIO m => Ptr GLshort -> m ()
- glWindowPos3d :: MonadIO m => GLdouble -> GLdouble -> GLdouble -> m ()
- glWindowPos3dv :: MonadIO m => Ptr GLdouble -> m ()
- glWindowPos3f :: MonadIO m => GLfloat -> GLfloat -> GLfloat -> m ()
- glWindowPos3fv :: MonadIO m => Ptr GLfloat -> m ()
- glWindowPos3i :: MonadIO m => GLint -> GLint -> GLint -> m ()
- glWindowPos3iv :: MonadIO m => Ptr GLint -> m ()
- glWindowPos3s :: MonadIO m => GLshort -> GLshort -> GLshort -> m ()
- glWindowPos3sv :: MonadIO m => Ptr GLshort -> m ()

# Types

type GLbitfield = Word32 Source #

32bit bit field.

type GLboolean = Word8 Source #

8bit boolean.

type GLbyte = Int8 Source #

8bit signed two's complement binary integer.

type GLchar = CChar Source #

8bit characters making up strings.

type GLclampd = Double Source #

64bit floating-point value clamped to [0, 1].

type GLclampf = Float Source #

32bit floating-point value clamped to [0, 1].

type GLdouble = Double Source #

64bit floating-point value.

type GLenum = Word32 Source #

32bit enumerated binary integer value.

type GLfloat = Float Source #

32bit floating-point value.

type GLint = Int32 Source #

32bit signed two's complement binary integer.

type GLintptr = CPtrdiff Source #

Pointer-sized signed two's complement binary integer.

type GLshort = Int16 Source #

16bit signed two's complement binary integer.

type GLsizei = Int32 Source #

32bit non-negative binary integer size.

type GLsizeiptr = CPtrdiff Source #

Pointer-sized non-negative binary integer size.

type GLubyte = Word8 Source #

8bit unsigned binary integer.

type GLuint = Word32 Source #

32bit unsigned binary integer.

type GLushort = Word16 Source #

16bit unsigned binary integer.

type GLvoid = () Source #

Not an actual GL type, though used in headers in the past.

# Enums

pattern GL_2D :: GLenum Source #

pattern GL_2_BYTES :: GLenum Source #

pattern GL_3D :: GLenum Source #

pattern GL_3D_COLOR :: GLenum Source #

pattern GL_3D_COLOR_TEXTURE :: GLenum Source #

pattern GL_3_BYTES :: GLenum Source #

pattern GL_4D_COLOR_TEXTURE :: GLenum Source #

pattern GL_4_BYTES :: GLenum Source #

pattern GL_ACCUM :: GLenum Source #

pattern GL_ACCUM_ALPHA_BITS :: GLenum Source #

pattern GL_ACCUM_BLUE_BITS :: GLenum Source #

pattern GL_ACCUM_BUFFER_BIT :: GLbitfield Source #

pattern GL_ACCUM_CLEAR_VALUE :: GLenum Source #

pattern GL_ACCUM_GREEN_BITS :: GLenum Source #

pattern GL_ACCUM_RED_BITS :: GLenum Source #

pattern GL_ACTIVE_ATTRIBUTES :: GLenum Source #

pattern GL_ACTIVE_ATTRIBUTE_MAX_LENGTH :: GLenum Source #

pattern GL_ACTIVE_TEXTURE :: GLenum Source #

pattern GL_ACTIVE_UNIFORMS :: GLenum Source #

pattern GL_ACTIVE_UNIFORM_MAX_LENGTH :: GLenum Source #

pattern GL_ADD :: GLenum Source #

pattern GL_ADD_SIGNED :: GLenum Source #

pattern GL_ALIASED_LINE_WIDTH_RANGE :: GLenum Source #

pattern GL_ALIASED_POINT_SIZE_RANGE :: GLenum Source #

pattern GL_ALL_ATTRIB_BITS :: GLbitfield Source #

pattern GL_ALPHA :: GLenum Source #

pattern GL_ALPHA12 :: GLenum Source #

pattern GL_ALPHA16 :: GLenum Source #

pattern GL_ALPHA4 :: GLenum Source #

pattern GL_ALPHA8 :: GLenum Source #

pattern GL_ALPHA_BIAS :: GLenum Source #

pattern GL_ALPHA_BITS :: GLenum Source #

pattern GL_ALPHA_SCALE :: GLenum Source #

pattern GL_ALPHA_TEST :: GLenum Source #

pattern GL_ALPHA_TEST_FUNC :: GLenum Source #

pattern GL_ALPHA_TEST_REF :: GLenum Source #

pattern GL_ALWAYS :: GLenum Source #

pattern GL_AMBIENT :: GLenum Source #

pattern GL_AMBIENT_AND_DIFFUSE :: GLenum Source #

pattern GL_AND :: GLenum Source #

pattern GL_AND_INVERTED :: GLenum Source #

pattern GL_AND_REVERSE :: GLenum Source #

pattern GL_ARRAY_BUFFER :: GLenum Source #

pattern GL_ARRAY_BUFFER_BINDING :: GLenum Source #

pattern GL_ATTACHED_SHADERS :: GLenum Source #

pattern GL_ATTRIB_STACK_DEPTH :: GLenum Source #

pattern GL_AUTO_NORMAL :: GLenum Source #

pattern GL_AUX0 :: GLenum Source #

pattern GL_AUX1 :: GLenum Source #

pattern GL_AUX2 :: GLenum Source #

pattern GL_AUX3 :: GLenum Source #

pattern GL_AUX_BUFFERS :: GLenum Source #

pattern GL_BACK :: GLenum Source #

pattern GL_BACK_LEFT :: GLenum Source #

pattern GL_BACK_RIGHT :: GLenum Source #

pattern GL_BGR :: GLenum Source #

pattern GL_BGRA :: GLenum Source #

pattern GL_BITMAP :: GLenum Source #

pattern GL_BITMAP_TOKEN :: GLenum Source #

pattern GL_BLEND :: GLenum Source #

pattern GL_BLEND_COLOR :: GLenum Source #

pattern GL_BLEND_DST :: GLenum Source #

pattern GL_BLEND_DST_ALPHA :: GLenum Source #

pattern GL_BLEND_DST_RGB :: GLenum Source #

pattern GL_BLEND_EQUATION :: GLenum Source #

pattern GL_BLEND_EQUATION_ALPHA :: GLenum Source #

pattern GL_BLEND_EQUATION_RGB :: GLenum Source #

pattern GL_BLEND_SRC :: GLenum Source #

pattern GL_BLEND_SRC_ALPHA :: GLenum Source #

pattern GL_BLEND_SRC_RGB :: GLenum Source #

pattern GL_BLUE :: GLenum Source #

pattern GL_BLUE_BIAS :: GLenum Source #

pattern GL_BLUE_BITS :: GLenum Source #

pattern GL_BLUE_SCALE :: GLenum Source #

pattern GL_BOOL :: GLenum Source #

pattern GL_BOOL_VEC2 :: GLenum Source #

pattern GL_BOOL_VEC3 :: GLenum Source #

pattern GL_BOOL_VEC4 :: GLenum Source #

pattern GL_BUFFER_ACCESS :: GLenum Source #

pattern GL_BUFFER_MAPPED :: GLenum Source #

pattern GL_BUFFER_MAP_POINTER :: GLenum Source #

pattern GL_BUFFER_SIZE :: GLenum Source #

pattern GL_BUFFER_USAGE :: GLenum Source #

pattern GL_BYTE :: GLenum Source #

pattern GL_C3F_V3F :: GLenum Source #

pattern GL_C4F_N3F_V3F :: GLenum Source #

pattern GL_C4UB_V2F :: GLenum Source #

pattern GL_C4UB_V3F :: GLenum Source #

pattern GL_CCW :: GLenum Source #

pattern GL_CLAMP :: GLenum Source #

pattern GL_CLAMP_TO_BORDER :: GLenum Source #

pattern GL_CLAMP_TO_EDGE :: GLenum Source #

pattern GL_CLEAR :: GLenum Source #

pattern GL_CLIENT_ACTIVE_TEXTURE :: GLenum Source #

pattern GL_CLIENT_ALL_ATTRIB_BITS :: GLbitfield Source #

pattern GL_CLIENT_ATTRIB_STACK_DEPTH :: GLenum Source #

pattern GL_CLIENT_PIXEL_STORE_BIT :: GLbitfield Source #

pattern GL_CLIENT_VERTEX_ARRAY_BIT :: GLbitfield Source #

pattern GL_CLIP_PLANE0 :: GLenum Source #

pattern GL_CLIP_PLANE1 :: GLenum Source #

pattern GL_CLIP_PLANE2 :: GLenum Source #

pattern GL_CLIP_PLANE3 :: GLenum Source #

pattern GL_CLIP_PLANE4 :: GLenum Source #

pattern GL_CLIP_PLANE5 :: GLenum Source #

pattern GL_COEFF :: GLenum Source #

pattern GL_COLOR :: GLenum Source #

pattern GL_COLOR_ARRAY :: GLenum Source #

pattern GL_COLOR_ARRAY_BUFFER_BINDING :: GLenum Source #

pattern GL_COLOR_ARRAY_POINTER :: GLenum Source #

pattern GL_COLOR_ARRAY_SIZE :: GLenum Source #

pattern GL_COLOR_ARRAY_STRIDE :: GLenum Source #

pattern GL_COLOR_ARRAY_TYPE :: GLenum Source #

pattern GL_COLOR_BUFFER_BIT :: GLbitfield Source #

pattern GL_COLOR_CLEAR_VALUE :: GLenum Source #

pattern GL_COLOR_INDEX :: GLenum Source #

pattern GL_COLOR_INDEXES :: GLenum Source #

pattern GL_COLOR_LOGIC_OP :: GLenum Source #

pattern GL_COLOR_MATERIAL :: GLenum Source #

pattern GL_COLOR_MATERIAL_FACE :: GLenum Source #

pattern GL_COLOR_MATERIAL_PARAMETER :: GLenum Source #

pattern GL_COLOR_SUM :: GLenum Source #

pattern GL_COLOR_WRITEMASK :: GLenum Source #

pattern GL_COMBINE :: GLenum Source #

pattern GL_COMBINE_ALPHA :: GLenum Source #

pattern GL_COMBINE_RGB :: GLenum Source #

pattern GL_COMPARE_R_TO_TEXTURE :: GLenum Source #

pattern GL_COMPILE :: GLenum Source #

pattern GL_COMPILE_AND_EXECUTE :: GLenum Source #

pattern GL_COMPILE_STATUS :: GLenum Source #

pattern GL_COMPRESSED_ALPHA :: GLenum Source #

pattern GL_COMPRESSED_INTENSITY :: GLenum Source #

pattern GL_COMPRESSED_LUMINANCE :: GLenum Source #

pattern GL_COMPRESSED_LUMINANCE_ALPHA :: GLenum Source #

pattern GL_COMPRESSED_RGB :: GLenum Source #

pattern GL_COMPRESSED_RGBA :: GLenum Source #

pattern GL_COMPRESSED_TEXTURE_FORMATS :: GLenum Source #

pattern GL_CONSTANT :: GLenum Source #

pattern GL_CONSTANT_ALPHA :: GLenum Source #

pattern GL_CONSTANT_ATTENUATION :: GLenum Source #

pattern GL_CONSTANT_COLOR :: GLenum Source #

pattern GL_COORD_REPLACE :: GLenum Source #

pattern GL_COPY :: GLenum Source #

pattern GL_COPY_INVERTED :: GLenum Source #

pattern GL_COPY_PIXEL_TOKEN :: GLenum Source #

pattern GL_CULL_FACE :: GLenum Source #

pattern GL_CULL_FACE_MODE :: GLenum Source #

pattern GL_CURRENT_BIT :: GLbitfield Source #

pattern GL_CURRENT_COLOR :: GLenum Source #

pattern GL_CURRENT_FOG_COORD :: GLenum Source #

pattern GL_CURRENT_FOG_COORDINATE :: GLenum Source #

pattern GL_CURRENT_INDEX :: GLenum Source #

pattern GL_CURRENT_NORMAL :: GLenum Source #

pattern GL_CURRENT_PROGRAM :: GLenum Source #

pattern GL_CURRENT_QUERY :: GLenum Source #

pattern GL_CURRENT_RASTER_COLOR :: GLenum Source #

pattern GL_CURRENT_RASTER_DISTANCE :: GLenum Source #

pattern GL_CURRENT_RASTER_INDEX :: GLenum Source #

pattern GL_CURRENT_RASTER_POSITION :: GLenum Source #

pattern GL_CURRENT_RASTER_POSITION_VALID :: GLenum Source #

pattern GL_CURRENT_RASTER_TEXTURE_COORDS :: GLenum Source #

pattern GL_CURRENT_SECONDARY_COLOR :: GLenum Source #

pattern GL_CURRENT_TEXTURE_COORDS :: GLenum Source #

pattern GL_CURRENT_VERTEX_ATTRIB :: GLenum Source #

pattern GL_CW :: GLenum Source #

pattern GL_DECAL :: GLenum Source #

pattern GL_DECR :: GLenum Source #

pattern GL_DECR_WRAP :: GLenum Source #

pattern GL_DELETE_STATUS :: GLenum Source #

pattern GL_DEPTH :: GLenum Source #

pattern GL_DEPTH_BIAS :: GLenum Source #

pattern GL_DEPTH_BITS :: GLenum Source #

pattern GL_DEPTH_BUFFER_BIT :: GLbitfield Source #

pattern GL_DEPTH_CLEAR_VALUE :: GLenum Source #

pattern GL_DEPTH_COMPONENT :: GLenum Source #

pattern GL_DEPTH_COMPONENT16 :: GLenum Source #

pattern GL_DEPTH_COMPONENT24 :: GLenum Source #

pattern GL_DEPTH_COMPONENT32 :: GLenum Source #

pattern GL_DEPTH_FUNC :: GLenum Source #

pattern GL_DEPTH_RANGE :: GLenum Source #

pattern GL_DEPTH_SCALE :: GLenum Source #

pattern GL_DEPTH_TEST :: GLenum Source #

pattern GL_DEPTH_TEXTURE_MODE :: GLenum Source #

pattern GL_DEPTH_WRITEMASK :: GLenum Source #

pattern GL_DIFFUSE :: GLenum Source #

pattern GL_DITHER :: GLenum Source #

pattern GL_DOMAIN :: GLenum Source #

pattern GL_DONT_CARE :: GLenum Source #

pattern GL_DOT3_RGB :: GLenum Source #

pattern GL_DOT3_RGBA :: GLenum Source #

pattern GL_DOUBLE :: GLenum Source #

pattern GL_DOUBLEBUFFER :: GLenum Source #

pattern GL_DRAW_BUFFER :: GLenum Source #

pattern GL_DRAW_BUFFER0 :: GLenum Source #

pattern GL_DRAW_BUFFER1 :: GLenum Source #

pattern GL_DRAW_BUFFER10 :: GLenum Source #

pattern GL_DRAW_BUFFER11 :: GLenum Source #

pattern GL_DRAW_BUFFER12 :: GLenum Source #

pattern GL_DRAW_BUFFER13 :: GLenum Source #

pattern GL_DRAW_BUFFER14 :: GLenum Source #

pattern GL_DRAW_BUFFER15 :: GLenum Source #

pattern GL_DRAW_BUFFER2 :: GLenum Source #

pattern GL_DRAW_BUFFER3 :: GLenum Source #

pattern GL_DRAW_BUFFER4 :: GLenum Source #

pattern GL_DRAW_BUFFER5 :: GLenum Source #

pattern GL_DRAW_BUFFER6 :: GLenum Source #

pattern GL_DRAW_BUFFER7 :: GLenum Source #

pattern GL_DRAW_BUFFER8 :: GLenum Source #

pattern GL_DRAW_BUFFER9 :: GLenum Source #

pattern GL_DRAW_PIXEL_TOKEN :: GLenum Source #

pattern GL_DST_ALPHA :: GLenum Source #

pattern GL_DST_COLOR :: GLenum Source #

pattern GL_DYNAMIC_COPY :: GLenum Source #

pattern GL_DYNAMIC_DRAW :: GLenum Source #

pattern GL_DYNAMIC_READ :: GLenum Source #

pattern GL_EDGE_FLAG :: GLenum Source #

pattern GL_EDGE_FLAG_ARRAY :: GLenum Source #

pattern GL_EDGE_FLAG_ARRAY_BUFFER_BINDING :: GLenum Source #

pattern GL_EDGE_FLAG_ARRAY_POINTER :: GLenum Source #

pattern GL_EDGE_FLAG_ARRAY_STRIDE :: GLenum Source #

pattern GL_ELEMENT_ARRAY_BUFFER :: GLenum Source #

pattern GL_ELEMENT_ARRAY_BUFFER_BINDING :: GLenum Source #

pattern GL_EMISSION :: GLenum Source #

pattern GL_ENABLE_BIT :: GLbitfield Source #

pattern GL_EQUAL :: GLenum Source #

pattern GL_EQUIV :: GLenum Source #

pattern GL_EVAL_BIT :: GLbitfield Source #

pattern GL_EXP :: GLenum Source #

pattern GL_EXP2 :: GLenum Source #

pattern GL_EXTENSIONS :: GLenum Source #

pattern GL_EYE_LINEAR :: GLenum Source #

pattern GL_EYE_PLANE :: GLenum Source #

pattern GL_FALSE :: GLboolean Source #

pattern GL_FASTEST :: GLenum Source #

pattern GL_FEEDBACK :: GLenum Source #

pattern GL_FEEDBACK_BUFFER_POINTER :: GLenum Source #

pattern GL_FEEDBACK_BUFFER_SIZE :: GLenum Source #

pattern GL_FEEDBACK_BUFFER_TYPE :: GLenum Source #

pattern GL_FILL :: GLenum Source #

pattern GL_FLAT :: GLenum Source #

pattern GL_FLOAT :: GLenum Source #

pattern GL_FLOAT_MAT2 :: GLenum Source #

pattern GL_FLOAT_MAT3 :: GLenum Source #

pattern GL_FLOAT_MAT4 :: GLenum Source #

pattern GL_FLOAT_VEC2 :: GLenum Source #

pattern GL_FLOAT_VEC3 :: GLenum Source #

pattern GL_FLOAT_VEC4 :: GLenum Source #

pattern GL_FOG :: GLenum Source #

pattern GL_FOG_BIT :: GLbitfield Source #

pattern GL_FOG_COLOR :: GLenum Source #

pattern GL_FOG_COORD :: GLenum Source #

pattern GL_FOG_COORDINATE :: GLenum Source #

pattern GL_FOG_COORDINATE_ARRAY :: GLenum Source #

pattern GL_FOG_COORDINATE_ARRAY_BUFFER_BINDING :: GLenum Source #

pattern GL_FOG_COORDINATE_ARRAY_POINTER :: GLenum Source #

pattern GL_FOG_COORDINATE_ARRAY_STRIDE :: GLenum Source #

pattern GL_FOG_COORDINATE_ARRAY_TYPE :: GLenum Source #

pattern GL_FOG_COORDINATE_SOURCE :: GLenum Source #

pattern GL_FOG_COORD_ARRAY :: GLenum Source #

pattern GL_FOG_COORD_ARRAY_BUFFER_BINDING :: GLenum Source #

pattern GL_FOG_COORD_ARRAY_POINTER :: GLenum Source #

pattern GL_FOG_COORD_ARRAY_STRIDE :: GLenum Source #

pattern GL_FOG_COORD_ARRAY_TYPE :: GLenum Source #

pattern GL_FOG_COORD_SRC :: GLenum Source #

pattern GL_FOG_DENSITY :: GLenum Source #

pattern GL_FOG_END :: GLenum Source #

pattern GL_FOG_HINT :: GLenum Source #

pattern GL_FOG_INDEX :: GLenum Source #

pattern GL_FOG_MODE :: GLenum Source #

pattern GL_FOG_START :: GLenum Source #

pattern GL_FRAGMENT_DEPTH :: GLenum Source #

pattern GL_FRAGMENT_SHADER :: GLenum Source #

pattern GL_FRAGMENT_SHADER_DERIVATIVE_HINT :: GLenum Source #

pattern GL_FRONT :: GLenum Source #

pattern GL_FRONT_AND_BACK :: GLenum Source #

pattern GL_FRONT_FACE :: GLenum Source #

pattern GL_FRONT_LEFT :: GLenum Source #

pattern GL_FRONT_RIGHT :: GLenum Source #

pattern GL_FUNC_ADD :: GLenum Source #

pattern GL_FUNC_REVERSE_SUBTRACT :: GLenum Source #

pattern GL_FUNC_SUBTRACT :: GLenum Source #

pattern GL_GENERATE_MIPMAP :: GLenum Source #

pattern GL_GENERATE_MIPMAP_HINT :: GLenum Source #

pattern GL_GEQUAL :: GLenum Source #

pattern GL_GREATER :: GLenum Source #

pattern GL_GREEN :: GLenum Source #

pattern GL_GREEN_BIAS :: GLenum Source #

pattern GL_GREEN_BITS :: GLenum Source #

pattern GL_GREEN_SCALE :: GLenum Source #

pattern GL_HINT_BIT :: GLbitfield Source #

pattern GL_INCR :: GLenum Source #

pattern GL_INCR_WRAP :: GLenum Source #

pattern GL_INDEX_ARRAY :: GLenum Source #

pattern GL_INDEX_ARRAY_BUFFER_BINDING :: GLenum Source #

pattern GL_INDEX_ARRAY_POINTER :: GLenum Source #

pattern GL_INDEX_ARRAY_STRIDE :: GLenum Source #

pattern GL_INDEX_ARRAY_TYPE :: GLenum Source #

pattern GL_INDEX_BITS :: GLenum Source #

pattern GL_INDEX_CLEAR_VALUE :: GLenum Source #

pattern GL_INDEX_LOGIC_OP :: GLenum Source #

pattern GL_INDEX_MODE :: GLenum Source #

pattern GL_INDEX_OFFSET :: GLenum Source #

pattern GL_INDEX_SHIFT :: GLenum Source #

pattern GL_INDEX_WRITEMASK :: GLenum Source #

pattern GL_INFO_LOG_LENGTH :: GLenum Source #

pattern GL_INT :: GLenum Source #

pattern GL_INTENSITY :: GLenum Source #

pattern GL_INTENSITY12 :: GLenum Source #

pattern GL_INTENSITY16 :: GLenum Source #

pattern GL_INTENSITY4 :: GLenum Source #

pattern GL_INTENSITY8 :: GLenum Source #

pattern GL_INTERPOLATE :: GLenum Source #

pattern GL_INT_VEC2 :: GLenum Source #

pattern GL_INT_VEC3 :: GLenum Source #

pattern GL_INT_VEC4 :: GLenum Source #

pattern GL_INVALID_ENUM :: GLenum Source #

pattern GL_INVALID_OPERATION :: GLenum Source #

pattern GL_INVALID_VALUE :: GLenum Source #

pattern GL_INVERT :: GLenum Source #

pattern GL_KEEP :: GLenum Source #

pattern GL_LEFT :: GLenum Source #

pattern GL_LEQUAL :: GLenum Source #

pattern GL_LESS :: GLenum Source #

pattern GL_LIGHT0 :: GLenum Source #

pattern GL_LIGHT1 :: GLenum Source #

pattern GL_LIGHT2 :: GLenum Source #

pattern GL_LIGHT3 :: GLenum Source #

pattern GL_LIGHT4 :: GLenum Source #

pattern GL_LIGHT5 :: GLenum Source #

pattern GL_LIGHT6 :: GLenum Source #

pattern GL_LIGHT7 :: GLenum Source #

pattern GL_LIGHTING :: GLenum Source #

pattern GL_LIGHTING_BIT :: GLbitfield Source #

pattern GL_LIGHT_MODEL_AMBIENT :: GLenum Source #

pattern GL_LIGHT_MODEL_COLOR_CONTROL :: GLenum Source #

pattern GL_LIGHT_MODEL_LOCAL_VIEWER :: GLenum Source #

pattern GL_LIGHT_MODEL_TWO_SIDE :: GLenum Source #

pattern GL_LINE :: GLenum Source #

pattern GL_LINEAR :: GLenum Source #

pattern GL_LINEAR_ATTENUATION :: GLenum Source #

pattern GL_LINEAR_MIPMAP_LINEAR :: GLenum Source #

pattern GL_LINEAR_MIPMAP_NEAREST :: GLenum Source #

pattern GL_LINES :: GLenum Source #

pattern GL_LINE_BIT :: GLbitfield Source #

pattern GL_LINE_LOOP :: GLenum Source #

pattern GL_LINE_RESET_TOKEN :: GLenum Source #

pattern GL_LINE_SMOOTH :: GLenum Source #

pattern GL_LINE_SMOOTH_HINT :: GLenum Source #

pattern GL_LINE_STIPPLE :: GLenum Source #

pattern GL_LINE_STIPPLE_PATTERN :: GLenum Source #

pattern GL_LINE_STIPPLE_REPEAT :: GLenum Source #

pattern GL_LINE_STRIP :: GLenum Source #

pattern GL_LINE_TOKEN :: GLenum Source #

pattern GL_LINE_WIDTH :: GLenum Source #

pattern GL_LINE_WIDTH_GRANULARITY :: GLenum Source #

pattern GL_LINE_WIDTH_RANGE :: GLenum Source #

pattern GL_LINK_STATUS :: GLenum Source #

pattern GL_LIST_BASE :: GLenum Source #

pattern GL_LIST_BIT :: GLbitfield Source #

pattern GL_LIST_INDEX :: GLenum Source #

pattern GL_LIST_MODE :: GLenum Source #

pattern GL_LOAD :: GLenum Source #

pattern GL_LOGIC_OP :: GLenum Source #

pattern GL_LOGIC_OP_MODE :: GLenum Source #

pattern GL_LOWER_LEFT :: GLenum Source #

pattern GL_LUMINANCE :: GLenum Source #

pattern GL_LUMINANCE12 :: GLenum Source #

pattern GL_LUMINANCE12_ALPHA12 :: GLenum Source #

pattern GL_LUMINANCE12_ALPHA4 :: GLenum Source #

pattern GL_LUMINANCE16 :: GLenum Source #

pattern GL_LUMINANCE16_ALPHA16 :: GLenum Source #

pattern GL_LUMINANCE4 :: GLenum Source #

pattern GL_LUMINANCE4_ALPHA4 :: GLenum Source #

pattern GL_LUMINANCE6_ALPHA2 :: GLenum Source #

pattern GL_LUMINANCE8 :: GLenum Source #

pattern GL_LUMINANCE8_ALPHA8 :: GLenum Source #

pattern GL_LUMINANCE_ALPHA :: GLenum Source #

pattern GL_MAP1_COLOR_4 :: GLenum Source #

pattern GL_MAP1_GRID_DOMAIN :: GLenum Source #

pattern GL_MAP1_GRID_SEGMENTS :: GLenum Source #

pattern GL_MAP1_INDEX :: GLenum Source #

pattern GL_MAP1_NORMAL :: GLenum Source #

pattern GL_MAP1_TEXTURE_COORD_1 :: GLenum Source #

pattern GL_MAP1_TEXTURE_COORD_2 :: GLenum Source #

pattern GL_MAP1_TEXTURE_COORD_3 :: GLenum Source #

pattern GL_MAP1_TEXTURE_COORD_4 :: GLenum Source #

pattern GL_MAP1_VERTEX_3 :: GLenum Source #

pattern GL_MAP1_VERTEX_4 :: GLenum Source #

pattern GL_MAP2_COLOR_4 :: GLenum Source #

pattern GL_MAP2_GRID_DOMAIN :: GLenum Source #

pattern GL_MAP2_GRID_SEGMENTS :: GLenum Source #

pattern GL_MAP2_INDEX :: GLenum Source #

pattern GL_MAP2_NORMAL :: GLenum Source #

pattern GL_MAP2_TEXTURE_COORD_1 :: GLenum Source #

pattern GL_MAP2_TEXTURE_COORD_2 :: GLenum Source #

pattern GL_MAP2_TEXTURE_COORD_3 :: GLenum Source #

pattern GL_MAP2_TEXTURE_COORD_4 :: GLenum Source #

pattern GL_MAP2_VERTEX_3 :: GLenum Source #

pattern GL_MAP2_VERTEX_4 :: GLenum Source #

pattern GL_MAP_COLOR :: GLenum Source #

pattern GL_MAP_STENCIL :: GLenum Source #

pattern GL_MATRIX_MODE :: GLenum Source #

pattern GL_MAX :: GLenum Source #

pattern GL_MAX_3D_TEXTURE_SIZE :: GLenum Source #

pattern GL_MAX_ATTRIB_STACK_DEPTH :: GLenum Source #

pattern GL_MAX_CLIENT_ATTRIB_STACK_DEPTH :: GLenum Source #

pattern GL_MAX_CLIP_PLANES :: GLenum Source #

pattern GL_MAX_COMBINED_TEXTURE_IMAGE_UNITS :: GLenum Source #

pattern GL_MAX_CUBE_MAP_TEXTURE_SIZE :: GLenum Source #

pattern GL_MAX_DRAW_BUFFERS :: GLenum Source #

pattern GL_MAX_ELEMENTS_INDICES :: GLenum Source #

pattern GL_MAX_ELEMENTS_VERTICES :: GLenum Source #

pattern GL_MAX_EVAL_ORDER :: GLenum Source #

pattern GL_MAX_FRAGMENT_UNIFORM_COMPONENTS :: GLenum Source #

pattern GL_MAX_LIGHTS :: GLenum Source #

pattern GL_MAX_LIST_NESTING :: GLenum Source #

pattern GL_MAX_MODELVIEW_STACK_DEPTH :: GLenum Source #

pattern GL_MAX_NAME_STACK_DEPTH :: GLenum Source #

pattern GL_MAX_PIXEL_MAP_TABLE :: GLenum Source #

pattern GL_MAX_PROJECTION_STACK_DEPTH :: GLenum Source #

pattern GL_MAX_TEXTURE_COORDS :: GLenum Source #

pattern GL_MAX_TEXTURE_IMAGE_UNITS :: GLenum Source #

pattern GL_MAX_TEXTURE_LOD_BIAS :: GLenum Source #

pattern GL_MAX_TEXTURE_SIZE :: GLenum Source #

pattern GL_MAX_TEXTURE_STACK_DEPTH :: GLenum Source #

pattern GL_MAX_TEXTURE_UNITS :: GLenum Source #

pattern GL_MAX_VARYING_FLOATS :: GLenum Source #

pattern GL_MAX_VERTEX_ATTRIBS :: GLenum Source #

pattern GL_MAX_VERTEX_TEXTURE_IMAGE_UNITS :: GLenum Source #

pattern GL_MAX_VERTEX_UNIFORM_COMPONENTS :: GLenum Source #

pattern GL_MAX_VIEWPORT_DIMS :: GLenum Source #

pattern GL_MIN :: GLenum Source #

pattern GL_MIRRORED_REPEAT :: GLenum Source #

pattern GL_MODELVIEW :: GLenum Source #

pattern GL_MODELVIEW_MATRIX :: GLenum Source #

pattern GL_MODELVIEW_STACK_DEPTH :: GLenum Source #

pattern GL_MODULATE :: GLenum Source #

pattern GL_MULT :: GLenum Source #

pattern GL_MULTISAMPLE :: GLenum Source #

pattern GL_MULTISAMPLE_BIT :: GLbitfield Source #

pattern GL_N3F_V3F :: GLenum Source #

pattern GL_NAME_STACK_DEPTH :: GLenum Source #

pattern GL_NAND :: GLenum Source #

pattern GL_NEAREST :: GLenum Source #

pattern GL_NEAREST_MIPMAP_LINEAR :: GLenum Source #

pattern GL_NEAREST_MIPMAP_NEAREST :: GLenum Source #

pattern GL_NEVER :: GLenum Source #

pattern GL_NICEST :: GLenum Source #

pattern GL_NONE :: GLenum Source #

pattern GL_NOOP :: GLenum Source #

pattern GL_NOR :: GLenum Source #

pattern GL_NORMALIZE :: GLenum Source #

pattern GL_NORMAL_ARRAY :: GLenum Source #

pattern GL_NORMAL_ARRAY_BUFFER_BINDING :: GLenum Source #

pattern GL_NORMAL_ARRAY_POINTER :: GLenum Source #

pattern GL_NORMAL_ARRAY_STRIDE :: GLenum Source #

pattern GL_NORMAL_ARRAY_TYPE :: GLenum Source #

pattern GL_NORMAL_MAP :: GLenum Source #

pattern GL_NOTEQUAL :: GLenum Source #

pattern GL_NO_ERROR :: GLenum Source #

pattern GL_NUM_COMPRESSED_TEXTURE_FORMATS :: GLenum Source #

pattern GL_OBJECT_LINEAR :: GLenum Source #

pattern GL_OBJECT_PLANE :: GLenum Source #

pattern GL_ONE :: GLenum Source #

pattern GL_ONE_MINUS_CONSTANT_ALPHA :: GLenum Source #

pattern GL_ONE_MINUS_CONSTANT_COLOR :: GLenum Source #

pattern GL_ONE_MINUS_DST_ALPHA :: GLenum Source #

pattern GL_ONE_MINUS_DST_COLOR :: GLenum Source #

pattern GL_ONE_MINUS_SRC_ALPHA :: GLenum Source #

pattern GL_ONE_MINUS_SRC_COLOR :: GLenum Source #

pattern GL_OPERAND0_ALPHA :: GLenum Source #

pattern GL_OPERAND0_RGB :: GLenum Source #

pattern GL_OPERAND1_ALPHA :: GLenum Source #

pattern GL_OPERAND1_RGB :: GLenum Source #

pattern GL_OPERAND2_ALPHA :: GLenum Source #

pattern GL_OPERAND2_RGB :: GLenum Source #

pattern GL_OR :: GLenum Source #

pattern GL_ORDER :: GLenum Source #

pattern GL_OR_INVERTED :: GLenum Source #

pattern GL_OR_REVERSE :: GLenum Source #

pattern GL_OUT_OF_MEMORY :: GLenum Source #

pattern GL_PACK_ALIGNMENT :: GLenum Source #

pattern GL_PACK_IMAGE_HEIGHT :: GLenum Source #

pattern GL_PACK_LSB_FIRST :: GLenum Source #

pattern GL_PACK_ROW_LENGTH :: GLenum Source #

pattern GL_PACK_SKIP_IMAGES :: GLenum Source #

pattern GL_PACK_SKIP_PIXELS :: GLenum Source #

pattern GL_PACK_SKIP_ROWS :: GLenum Source #

pattern GL_PACK_SWAP_BYTES :: GLenum Source #

pattern GL_PASS_THROUGH_TOKEN :: GLenum Source #

pattern GL_PERSPECTIVE_CORRECTION_HINT :: GLenum Source #

pattern GL_PIXEL_MAP_A_TO_A :: GLenum Source #

pattern GL_PIXEL_MAP_A_TO_A_SIZE :: GLenum Source #

pattern GL_PIXEL_MAP_B_TO_B :: GLenum Source #

pattern GL_PIXEL_MAP_B_TO_B_SIZE :: GLenum Source #

pattern GL_PIXEL_MAP_G_TO_G :: GLenum Source #

pattern GL_PIXEL_MAP_G_TO_G_SIZE :: GLenum Source #

pattern GL_PIXEL_MAP_I_TO_A :: GLenum Source #

pattern GL_PIXEL_MAP_I_TO_A_SIZE :: GLenum Source #

pattern GL_PIXEL_MAP_I_TO_B :: GLenum Source #

pattern GL_PIXEL_MAP_I_TO_B_SIZE :: GLenum Source #

pattern GL_PIXEL_MAP_I_TO_G :: GLenum Source #

pattern GL_PIXEL_MAP_I_TO_G_SIZE :: GLenum Source #

pattern GL_PIXEL_MAP_I_TO_I :: GLenum Source #

pattern GL_PIXEL_MAP_I_TO_I_SIZE :: GLenum Source #

pattern GL_PIXEL_MAP_I_TO_R :: GLenum Source #

pattern GL_PIXEL_MAP_I_TO_R_SIZE :: GLenum Source #

pattern GL_PIXEL_MAP_R_TO_R :: GLenum Source #

pattern GL_PIXEL_MAP_R_TO_R_SIZE :: GLenum Source #

pattern GL_PIXEL_MAP_S_TO_S :: GLenum Source #

pattern GL_PIXEL_MAP_S_TO_S_SIZE :: GLenum Source #

pattern GL_PIXEL_MODE_BIT :: GLbitfield Source #

pattern GL_POINT :: GLenum Source #

pattern GL_POINTS :: GLenum Source #

pattern GL_POINT_BIT :: GLbitfield Source #

pattern GL_POINT_DISTANCE_ATTENUATION :: GLenum Source #

pattern GL_POINT_FADE_THRESHOLD_SIZE :: GLenum Source #

pattern GL_POINT_SIZE :: GLenum Source #

pattern GL_POINT_SIZE_GRANULARITY :: GLenum Source #

pattern GL_POINT_SIZE_MAX :: GLenum Source #

pattern GL_POINT_SIZE_MIN :: GLenum Source #

pattern GL_POINT_SIZE_RANGE :: GLenum Source #

pattern GL_POINT_SMOOTH :: GLenum Source #

pattern GL_POINT_SMOOTH_HINT :: GLenum Source #

pattern GL_POINT_SPRITE :: GLenum Source #

pattern GL_POINT_SPRITE_COORD_ORIGIN :: GLenum Source #

pattern GL_POINT_TOKEN :: GLenum Source #

pattern GL_POLYGON :: GLenum Source #

pattern GL_POLYGON_BIT :: GLbitfield Source #

pattern GL_POLYGON_MODE :: GLenum Source #

pattern GL_POLYGON_OFFSET_FACTOR :: GLenum Source #

pattern GL_POLYGON_OFFSET_FILL :: GLenum Source #

pattern GL_POLYGON_OFFSET_LINE :: GLenum Source #

pattern GL_POLYGON_OFFSET_POINT :: GLenum Source #

pattern GL_POLYGON_OFFSET_UNITS :: GLenum Source #

pattern GL_POLYGON_SMOOTH :: GLenum Source #

pattern GL_POLYGON_SMOOTH_HINT :: GLenum Source #

pattern GL_POLYGON_STIPPLE :: GLenum Source #

pattern GL_POLYGON_STIPPLE_BIT :: GLbitfield Source #

pattern GL_POLYGON_TOKEN :: GLenum Source #

pattern GL_POSITION :: GLenum Source #

pattern GL_PREVIOUS :: GLenum Source #

pattern GL_PRIMARY_COLOR :: GLenum Source #

pattern GL_PROJECTION :: GLenum Source #

pattern GL_PROJECTION_MATRIX :: GLenum Source #

pattern GL_PROJECTION_STACK_DEPTH :: GLenum Source #

pattern GL_PROXY_TEXTURE_1D :: GLenum Source #

pattern GL_PROXY_TEXTURE_2D :: GLenum Source #

pattern GL_PROXY_TEXTURE_3D :: GLenum Source #

pattern GL_PROXY_TEXTURE_CUBE_MAP :: GLenum Source #

pattern GL_Q :: GLenum Source #

pattern GL_QUADRATIC_ATTENUATION :: GLenum Source #

pattern GL_QUADS :: GLenum Source #

pattern GL_QUAD_STRIP :: GLenum Source #

pattern GL_QUERY_COUNTER_BITS :: GLenum Source #

pattern GL_QUERY_RESULT :: GLenum Source #

pattern GL_QUERY_RESULT_AVAILABLE :: GLenum Source #

pattern GL_R :: GLenum Source #

pattern GL_R3_G3_B2 :: GLenum Source #

pattern GL_READ_BUFFER :: GLenum Source #

pattern GL_READ_ONLY :: GLenum Source #

pattern GL_READ_WRITE :: GLenum Source #

pattern GL_RED :: GLenum Source #

pattern GL_RED_BIAS :: GLenum Source #

pattern GL_RED_BITS :: GLenum Source #

pattern GL_RED_SCALE :: GLenum Source #

pattern GL_REFLECTION_MAP :: GLenum Source #

pattern GL_RENDER :: GLenum Source #

pattern GL_RENDERER :: GLenum Source #

pattern GL_RENDER_MODE :: GLenum Source #

pattern GL_REPEAT :: GLenum Source #

pattern GL_REPLACE :: GLenum Source #

pattern GL_RESCALE_NORMAL :: GLenum Source #

pattern GL_RETURN :: GLenum Source #

pattern GL_RGB :: GLenum Source #

pattern GL_RGB10 :: GLenum Source #

pattern GL_RGB10_A2 :: GLenum Source #

pattern GL_RGB12 :: GLenum Source #

pattern GL_RGB16 :: GLenum Source #

pattern GL_RGB4 :: GLenum Source #

pattern GL_RGB5 :: GLenum Source #

pattern GL_RGB5_A1 :: GLenum Source #

pattern GL_RGB8 :: GLenum Source #

pattern GL_RGBA :: GLenum Source #

pattern GL_RGBA12 :: GLenum Source #

pattern GL_RGBA16 :: GLenum Source #

pattern GL_RGBA2 :: GLenum Source #

pattern GL_RGBA4 :: GLenum Source #

pattern GL_RGBA8 :: GLenum Source #

pattern GL_RGBA_MODE :: GLenum Source #

pattern GL_RGB_SCALE :: GLenum Source #

pattern GL_RIGHT :: GLenum Source #

pattern GL_S :: GLenum Source #

pattern GL_SAMPLER_1D :: GLenum Source #

pattern GL_SAMPLER_1D_SHADOW :: GLenum Source #

pattern GL_SAMPLER_2D :: GLenum Source #

pattern GL_SAMPLER_2D_SHADOW :: GLenum Source #

pattern GL_SAMPLER_3D :: GLenum Source #

pattern GL_SAMPLER_CUBE :: GLenum Source #

pattern GL_SAMPLES :: GLenum Source #

pattern GL_SAMPLES_PASSED :: GLenum Source #

pattern GL_SAMPLE_ALPHA_TO_COVERAGE :: GLenum Source #

pattern GL_SAMPLE_ALPHA_TO_ONE :: GLenum Source #

pattern GL_SAMPLE_BUFFERS :: GLenum Source #

pattern GL_SAMPLE_COVERAGE :: GLenum Source #

pattern GL_SAMPLE_COVERAGE_INVERT :: GLenum Source #

pattern GL_SAMPLE_COVERAGE_VALUE :: GLenum Source #

pattern GL_SCISSOR_BIT :: GLbitfield Source #

pattern GL_SCISSOR_BOX :: GLenum Source #

pattern GL_SCISSOR_TEST :: GLenum Source #

pattern GL_SECONDARY_COLOR_ARRAY :: GLenum Source #

pattern GL_SECONDARY_COLOR_ARRAY_BUFFER_BINDING :: GLenum Source #

pattern GL_SECONDARY_COLOR_ARRAY_POINTER :: GLenum Source #

pattern GL_SECONDARY_COLOR_ARRAY_SIZE :: GLenum Source #

pattern GL_SECONDARY_COLOR_ARRAY_STRIDE :: GLenum Source #

pattern GL_SECONDARY_COLOR_ARRAY_TYPE :: GLenum Source #

pattern GL_SELECT :: GLenum Source #

pattern GL_SELECTION_BUFFER_POINTER :: GLenum Source #

pattern GL_SELECTION_BUFFER_SIZE :: GLenum Source #

pattern GL_SEPARATE_SPECULAR_COLOR :: GLenum Source #

pattern GL_SET :: GLenum Source #

pattern GL_SHADER_SOURCE_LENGTH :: GLenum Source #

pattern GL_SHADER_TYPE :: GLenum Source #

pattern GL_SHADE_MODEL :: GLenum Source #

pattern GL_SHADING_LANGUAGE_VERSION :: GLenum Source #

pattern GL_SHININESS :: GLenum Source #

pattern GL_SHORT :: GLenum Source #

pattern GL_SINGLE_COLOR :: GLenum Source #

pattern GL_SMOOTH :: GLenum Source #

pattern GL_SMOOTH_LINE_WIDTH_GRANULARITY :: GLenum Source #

pattern GL_SMOOTH_LINE_WIDTH_RANGE :: GLenum Source #

pattern GL_SMOOTH_POINT_SIZE_GRANULARITY :: GLenum Source #

pattern GL_SMOOTH_POINT_SIZE_RANGE :: GLenum Source #

pattern GL_SOURCE0_ALPHA :: GLenum Source #

pattern GL_SOURCE0_RGB :: GLenum Source #

pattern GL_SOURCE1_ALPHA :: GLenum Source #

pattern GL_SOURCE1_RGB :: GLenum Source #

pattern GL_SOURCE2_ALPHA :: GLenum Source #

pattern GL_SOURCE2_RGB :: GLenum Source #

pattern GL_SPECULAR :: GLenum Source #

pattern GL_SPHERE_MAP :: GLenum Source #

pattern GL_SPOT_CUTOFF :: GLenum Source #

pattern GL_SPOT_DIRECTION :: GLenum Source #

pattern GL_SPOT_EXPONENT :: GLenum Source #

pattern GL_SRC0_ALPHA :: GLenum Source #

pattern GL_SRC0_RGB :: GLenum Source #

pattern GL_SRC1_ALPHA :: GLenum Source #

pattern GL_SRC1_RGB :: GLenum Source #

pattern GL_SRC2_ALPHA :: GLenum Source #

pattern GL_SRC2_RGB :: GLenum Source #

pattern GL_SRC_ALPHA :: GLenum Source #

pattern GL_SRC_ALPHA_SATURATE :: GLenum Source #

pattern GL_SRC_COLOR :: GLenum Source #

pattern GL_STACK_OVERFLOW :: GLenum Source #

pattern GL_STACK_UNDERFLOW :: GLenum Source #

pattern GL_STATIC_COPY :: GLenum Source #

pattern GL_STATIC_DRAW :: GLenum Source #

pattern GL_STATIC_READ :: GLenum Source #

pattern GL_STENCIL :: GLenum Source #

pattern GL_STENCIL_BACK_FAIL :: GLenum Source #

pattern GL_STENCIL_BACK_FUNC :: GLenum Source #

pattern GL_STENCIL_BACK_PASS_DEPTH_FAIL :: GLenum Source #

pattern GL_STENCIL_BACK_PASS_DEPTH_PASS :: GLenum Source #

pattern GL_STENCIL_BACK_REF :: GLenum Source #

pattern GL_STENCIL_BACK_VALUE_MASK :: GLenum Source #

pattern GL_STENCIL_BACK_WRITEMASK :: GLenum Source #

pattern GL_STENCIL_BITS :: GLenum Source #

pattern GL_STENCIL_BUFFER_BIT :: GLbitfield Source #

pattern GL_STENCIL_CLEAR_VALUE :: GLenum Source #

pattern GL_STENCIL_FAIL :: GLenum Source #

pattern GL_STENCIL_FUNC :: GLenum Source #

pattern GL_STENCIL_INDEX :: GLenum Source #

pattern GL_STENCIL_PASS_DEPTH_FAIL :: GLenum Source #

pattern GL_STENCIL_PASS_DEPTH_PASS :: GLenum Source #

pattern GL_STENCIL_REF :: GLenum Source #

pattern GL_STENCIL_TEST :: GLenum Source #

pattern GL_STENCIL_VALUE_MASK :: GLenum Source #

pattern GL_STENCIL_WRITEMASK :: GLenum Source #

pattern GL_STEREO :: GLenum Source #

pattern GL_STREAM_COPY :: GLenum Source #

pattern GL_STREAM_DRAW :: GLenum Source #

pattern GL_STREAM_READ :: GLenum Source #

pattern GL_SUBPIXEL_BITS :: GLenum Source #

pattern GL_SUBTRACT :: GLenum Source #

pattern GL_T :: GLenum Source #

pattern GL_T2F_C3F_V3F :: GLenum Source #

pattern GL_T2F_C4F_N3F_V3F :: GLenum Source #

pattern GL_T2F_C4UB_V3F :: GLenum Source #

pattern GL_T2F_N3F_V3F :: GLenum Source #

pattern GL_T2F_V3F :: GLenum Source #

pattern GL_T4F_C4F_N3F_V4F :: GLenum Source #

pattern GL_T4F_V4F :: GLenum Source #

pattern GL_TEXTURE :: GLenum Source #

pattern GL_TEXTURE0 :: GLenum Source #

pattern GL_TEXTURE1 :: GLenum Source #

pattern GL_TEXTURE10 :: GLenum Source #

pattern GL_TEXTURE11 :: GLenum Source #

pattern GL_TEXTURE12 :: GLenum Source #

pattern GL_TEXTURE13 :: GLenum Source #

pattern GL_TEXTURE14 :: GLenum Source #

pattern GL_TEXTURE15 :: GLenum Source #

pattern GL_TEXTURE16 :: GLenum Source #

pattern GL_TEXTURE17 :: GLenum Source #

pattern GL_TEXTURE18 :: GLenum Source #

pattern GL_TEXTURE19 :: GLenum Source #

pattern GL_TEXTURE2 :: GLenum Source #

pattern GL_TEXTURE20 :: GLenum Source #

pattern GL_TEXTURE21 :: GLenum Source #

pattern GL_TEXTURE22 :: GLenum Source #

pattern GL_TEXTURE23 :: GLenum Source #

pattern GL_TEXTURE24 :: GLenum Source #

pattern GL_TEXTURE25 :: GLenum Source #

pattern GL_TEXTURE26 :: GLenum Source #

pattern GL_TEXTURE27 :: GLenum Source #

pattern GL_TEXTURE28 :: GLenum Source #

pattern GL_TEXTURE29 :: GLenum Source #

pattern GL_TEXTURE3 :: GLenum Source #

pattern GL_TEXTURE30 :: GLenum Source #

pattern GL_TEXTURE31 :: GLenum Source #

pattern GL_TEXTURE4 :: GLenum Source #

pattern GL_TEXTURE5 :: GLenum Source #

pattern GL_TEXTURE6 :: GLenum Source #

pattern GL_TEXTURE7 :: GLenum Source #

pattern GL_TEXTURE8 :: GLenum Source #

pattern GL_TEXTURE9 :: GLenum Source #

pattern GL_TEXTURE_1D :: GLenum Source #

pattern GL_TEXTURE_2D :: GLenum Source #

pattern GL_TEXTURE_3D :: GLenum Source #

pattern GL_TEXTURE_ALPHA_SIZE :: GLenum Source #

pattern GL_TEXTURE_BASE_LEVEL :: GLenum Source #

pattern GL_TEXTURE_BINDING_1D :: GLenum Source #

pattern GL_TEXTURE_BINDING_2D :: GLenum Source #

pattern GL_TEXTURE_BINDING_3D :: GLenum Source #

pattern GL_TEXTURE_BINDING_CUBE_MAP :: GLenum Source #

pattern GL_TEXTURE_BIT :: GLbitfield Source #

pattern GL_TEXTURE_BLUE_SIZE :: GLenum Source #

pattern GL_TEXTURE_BORDER :: GLenum Source #

pattern GL_TEXTURE_BORDER_COLOR :: GLenum Source #

pattern GL_TEXTURE_COMPARE_FUNC :: GLenum Source #

pattern GL_TEXTURE_COMPARE_MODE :: GLenum Source #

pattern GL_TEXTURE_COMPONENTS :: GLenum Source #

pattern GL_TEXTURE_COMPRESSED :: GLenum Source #

pattern GL_TEXTURE_COMPRESSED_IMAGE_SIZE :: GLenum Source #

pattern GL_TEXTURE_COMPRESSION_HINT :: GLenum Source #

pattern GL_TEXTURE_COORD_ARRAY :: GLenum Source #

pattern GL_TEXTURE_COORD_ARRAY_BUFFER_BINDING :: GLenum Source #

pattern GL_TEXTURE_COORD_ARRAY_POINTER :: GLenum Source #

pattern GL_TEXTURE_COORD_ARRAY_SIZE :: GLenum Source #

pattern GL_TEXTURE_COORD_ARRAY_STRIDE :: GLenum Source #

pattern GL_TEXTURE_COORD_ARRAY_TYPE :: GLenum Source #

pattern GL_TEXTURE_CUBE_MAP :: GLenum Source #

pattern GL_TEXTURE_CUBE_MAP_NEGATIVE_X :: GLenum Source #

pattern GL_TEXTURE_CUBE_MAP_NEGATIVE_Y :: GLenum Source #

pattern GL_TEXTURE_CUBE_MAP_NEGATIVE_Z :: GLenum Source #

pattern GL_TEXTURE_CUBE_MAP_POSITIVE_X :: GLenum Source #

pattern GL_TEXTURE_CUBE_MAP_POSITIVE_Y :: GLenum Source #

pattern GL_TEXTURE_CUBE_MAP_POSITIVE_Z :: GLenum Source #

pattern GL_TEXTURE_DEPTH :: GLenum Source #

pattern GL_TEXTURE_DEPTH_SIZE :: GLenum Source #

pattern GL_TEXTURE_ENV :: GLenum Source #

pattern GL_TEXTURE_ENV_COLOR :: GLenum Source #

pattern GL_TEXTURE_ENV_MODE :: GLenum Source #

pattern GL_TEXTURE_FILTER_CONTROL :: GLenum Source #

pattern GL_TEXTURE_GEN_MODE :: GLenum Source #

pattern GL_TEXTURE_GEN_Q :: GLenum Source #

pattern GL_TEXTURE_GEN_R :: GLenum Source #

pattern GL_TEXTURE_GEN_S :: GLenum Source #

pattern GL_TEXTURE_GEN_T :: GLenum Source #

pattern GL_TEXTURE_GREEN_SIZE :: GLenum Source #

pattern GL_TEXTURE_HEIGHT :: GLenum Source #

pattern GL_TEXTURE_INTENSITY_SIZE :: GLenum Source #

pattern GL_TEXTURE_INTERNAL_FORMAT :: GLenum Source #

pattern GL_TEXTURE_LOD_BIAS :: GLenum Source #

pattern GL_TEXTURE_LUMINANCE_SIZE :: GLenum Source #

pattern GL_TEXTURE_MAG_FILTER :: GLenum Source #

pattern GL_TEXTURE_MATRIX :: GLenum Source #

pattern GL_TEXTURE_MAX_LEVEL :: GLenum Source #

pattern GL_TEXTURE_MAX_LOD :: GLenum Source #

pattern GL_TEXTURE_MIN_FILTER :: GLenum Source #

pattern GL_TEXTURE_MIN_LOD :: GLenum Source #

pattern GL_TEXTURE_PRIORITY :: GLenum Source #

pattern GL_TEXTURE_RED_SIZE :: GLenum Source #

pattern GL_TEXTURE_RESIDENT :: GLenum Source #

pattern GL_TEXTURE_STACK_DEPTH :: GLenum Source #

pattern GL_TEXTURE_WIDTH :: GLenum Source #

pattern GL_TEXTURE_WRAP_R :: GLenum Source #

pattern GL_TEXTURE_WRAP_S :: GLenum Source #

pattern GL_TEXTURE_WRAP_T :: GLenum Source #

pattern GL_TRANSFORM_BIT :: GLbitfield Source #

pattern GL_TRANSPOSE_COLOR_MATRIX :: GLenum Source #

pattern GL_TRANSPOSE_MODELVIEW_MATRIX :: GLenum Source #

pattern GL_TRANSPOSE_PROJECTION_MATRIX :: GLenum Source #

pattern GL_TRANSPOSE_TEXTURE_MATRIX :: GLenum Source #

pattern GL_TRIANGLES :: GLenum Source #

pattern GL_TRIANGLE_FAN :: GLenum Source #

pattern GL_TRIANGLE_STRIP :: GLenum Source #

pattern GL_TRUE :: GLboolean Source #

pattern GL_UNPACK_ALIGNMENT :: GLenum Source #

pattern GL_UNPACK_IMAGE_HEIGHT :: GLenum Source #

pattern GL_UNPACK_LSB_FIRST :: GLenum Source #

pattern GL_UNPACK_ROW_LENGTH :: GLenum Source #

pattern GL_UNPACK_SKIP_IMAGES :: GLenum Source #

pattern GL_UNPACK_SKIP_PIXELS :: GLenum Source #

pattern GL_UNPACK_SKIP_ROWS :: GLenum Source #

pattern GL_UNPACK_SWAP_BYTES :: GLenum Source #

pattern GL_UNSIGNED_BYTE :: GLenum Source #

pattern GL_UNSIGNED_BYTE_2_3_3_REV :: GLenum Source #

pattern GL_UNSIGNED_BYTE_3_3_2 :: GLenum Source #

pattern GL_UNSIGNED_INT :: GLenum Source #

pattern GL_UNSIGNED_INT_10_10_10_2 :: GLenum Source #

pattern GL_UNSIGNED_INT_2_10_10_10_REV :: GLenum Source #

pattern GL_UNSIGNED_INT_8_8_8_8 :: GLenum Source #

pattern GL_UNSIGNED_INT_8_8_8_8_REV :: GLenum Source #

pattern GL_UNSIGNED_SHORT :: GLenum Source #

pattern GL_UNSIGNED_SHORT_1_5_5_5_REV :: GLenum Source #

pattern GL_UNSIGNED_SHORT_4_4_4_4 :: GLenum Source #

pattern GL_UNSIGNED_SHORT_4_4_4_4_REV :: GLenum Source #

pattern GL_UNSIGNED_SHORT_5_5_5_1 :: GLenum Source #

pattern GL_UNSIGNED_SHORT_5_6_5 :: GLenum Source #

pattern GL_UNSIGNED_SHORT_5_6_5_REV :: GLenum Source #

pattern GL_UPPER_LEFT :: GLenum Source #

pattern GL_V2F :: GLenum Source #

pattern GL_V3F :: GLenum Source #

pattern GL_VALIDATE_STATUS :: GLenum Source #

pattern GL_VENDOR :: GLenum Source #

pattern GL_VERSION :: GLenum Source #

pattern GL_VERTEX_ARRAY :: GLenum Source #

pattern GL_VERTEX_ARRAY_BUFFER_BINDING :: GLenum Source #

pattern GL_VERTEX_ARRAY_POINTER :: GLenum Source #

pattern GL_VERTEX_ARRAY_SIZE :: GLenum Source #

pattern GL_VERTEX_ARRAY_STRIDE :: GLenum Source #

pattern GL_VERTEX_ARRAY_TYPE :: GLenum Source #

pattern GL_VERTEX_ATTRIB_ARRAY_BUFFER_BINDING :: GLenum Source #

pattern GL_VERTEX_ATTRIB_ARRAY_ENABLED :: GLenum Source #

pattern GL_VERTEX_ATTRIB_ARRAY_NORMALIZED :: GLenum Source #

pattern GL_VERTEX_ATTRIB_ARRAY_POINTER :: GLenum Source #

pattern GL_VERTEX_ATTRIB_ARRAY_SIZE :: GLenum Source #

pattern GL_VERTEX_ATTRIB_ARRAY_STRIDE :: GLenum Source #

pattern GL_VERTEX_ATTRIB_ARRAY_TYPE :: GLenum Source #

pattern GL_VERTEX_PROGRAM_POINT_SIZE :: GLenum Source #

pattern GL_VERTEX_PROGRAM_TWO_SIDE :: GLenum Source #

pattern GL_VERTEX_SHADER :: GLenum Source #

pattern GL_VIEWPORT :: GLenum Source #

pattern GL_VIEWPORT_BIT :: GLbitfield Source #

pattern GL_WEIGHT_ARRAY_BUFFER_BINDING :: GLenum Source #

pattern GL_WRITE_ONLY :: GLenum Source #

pattern GL_XOR :: GLenum Source #

pattern GL_ZERO :: GLenum Source #

pattern GL_ZOOM_X :: GLenum Source #

pattern GL_ZOOM_Y :: GLenum Source #

# Functions

glAccum Source #

Arguments

:: MonadIO m |
=> GLenum | `op` of type AccumOp.
-> GLfloat | `value` of type `CoordF`.
-> m () |

Manual page for OpenGL 2.x.

glActiveTexture Source #

Arguments

:: MonadIO m |
=> GLenum | `texture` of type TextureUnit.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glAlphaFunc Source #

Arguments

:: MonadIO m |
=> GLenum | `func` of type AlphaFunction.
-> GLfloat | `ref`.
-> m () |

Manual page for OpenGL 2.x.

glAreTexturesResident Source #

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `textures` pointing to `n` elements of type `Texture`.
-> Ptr GLboolean | `residences` pointing to `n` elements of type Boolean.
-> m GLboolean | of type Boolean.

Manual page for OpenGL 2.x.

glArrayElement Source #

Arguments

:: MonadIO m |
=> GLint | `i`.
-> m () |

Manual page for OpenGL 2.x.

glAttachShader Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLuint | `shader`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glBegin Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type PrimitiveType.
-> m () |

Manual page for OpenGL 2.x.

glBeginQuery Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type QueryTarget.
-> GLuint | `id`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glBindAttribLocation Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLuint | `index`.
-> Ptr GLchar | `name`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glBindBuffer Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type BufferTargetARB.
-> GLuint | `buffer`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glBindTexture Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLuint | `texture` of type `Texture`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glBitmap Source #

Arguments

:: MonadIO m |
=> GLsizei | `width`.
-> GLsizei | `height`.
-> GLfloat | `xorig` of type `CoordF`.
-> GLfloat | `yorig` of type `CoordF`.
-> GLfloat | `xmove` of type `CoordF`.
-> GLfloat | `ymove` of type `CoordF`.
-> Ptr GLubyte | `bitmap` pointing to `COMPSIZE(width,height)` elements of type `GLubyte`.
-> m () |

Manual page for OpenGL 2.x.

glBlendColor Source #

Arguments

:: MonadIO m |
=> GLfloat | `red` of type `ColorF`.
-> GLfloat | `green` of type `ColorF`.
-> GLfloat | `blue` of type `ColorF`.
-> GLfloat | `alpha` of type `ColorF`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glBlendEquation Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type BlendEquationModeEXT.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glBlendEquationSeparate Source #

Arguments

:: MonadIO m |
=> GLenum | `modeRGB` of type BlendEquationModeEXT.
-> GLenum | `modeAlpha` of type BlendEquationModeEXT.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glBlendFunc Source #

Arguments

:: MonadIO m |
=> GLenum | `sfactor` of type BlendingFactor.
-> GLenum | `dfactor` of type BlendingFactor.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glBlendFuncSeparate Source #

Arguments

:: MonadIO m |
=> GLenum | `sfactorRGB` of type BlendingFactor.
-> GLenum | `dfactorRGB` of type BlendingFactor.
-> GLenum | `sfactorAlpha` of type BlendingFactor.
-> GLenum | `dfactorAlpha` of type BlendingFactor.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glBufferData Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type BufferTargetARB.
-> GLsizeiptr | `size` of type `BufferSize`.
-> Ptr a | `data` pointing to `size` elements of type `a`.
-> GLenum | `usage` of type BufferUsageARB.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glBufferSubData Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type BufferTargetARB.
-> GLintptr | `offset` of type `BufferOffset`.
-> GLsizeiptr | `size` of type `BufferSize`.
-> Ptr a | `data` pointing to `size` elements of type `a`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glCallList Source #

Arguments

:: MonadIO m |
=> GLuint | `list` of type `List`.
-> m () |

Manual page for OpenGL 2.x.

glCallLists Source #

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> GLenum | `type` of type ListNameType.
-> Ptr a | `lists` pointing to `COMPSIZE(n,type)` elements of type `a`.
-> m () |

Manual page for OpenGL 2.x.

glClear Source #

Arguments

:: MonadIO m |
=> GLbitfield | `mask` of type ClearBufferMask.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glClearAccum Source #

Arguments

:: MonadIO m |
=> GLfloat | `red`.
-> GLfloat | `green`.
-> GLfloat | `blue`.
-> GLfloat | `alpha`.
-> m () |

Manual page for OpenGL 2.x.

glClearColor Source #

Arguments

:: MonadIO m |
=> GLfloat | `red` of type `ColorF`.
-> GLfloat | `green` of type `ColorF`.
-> GLfloat | `blue` of type `ColorF`.
-> GLfloat | `alpha` of type `ColorF`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glClearDepth Source #

Arguments

:: MonadIO m |
=> GLdouble | `depth`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glClearIndex Source #

Arguments

:: MonadIO m |
=> GLfloat | `c` of type `MaskedColorIndexValueF`.
-> m () |

Manual page for OpenGL 2.x.

glClearStencil Source #

Arguments

:: MonadIO m |
=> GLint | `s` of type `StencilValue`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glClientActiveTexture Source #

Arguments

:: MonadIO m |
=> GLenum | `texture` of type TextureUnit.
-> m () |

Manual page for OpenGL 2.x.

glClipPlane Source #

Arguments

:: MonadIO m |
=> GLenum | `plane` of type ClipPlaneName.
-> Ptr GLdouble | `equation` pointing to `4` elements of type `GLdouble`.
-> m () |

Manual page for OpenGL 2.x.

glColor3b Source #

Arguments

:: MonadIO m |
=> GLbyte | `red` of type `ColorB`.
-> GLbyte | `green` of type `ColorB`.
-> GLbyte | `blue` of type `ColorB`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glColor3bv`.

glColor3bv Source #

Arguments

:: MonadIO m |
=> Ptr GLbyte | `v` pointing to `3` elements of type `ColorB`.
-> m () |

Manual page for OpenGL 2.x.

glColor3d Source #

Arguments

:: MonadIO m |
=> GLdouble | `red` of type `ColorD`.
-> GLdouble | `green` of type `ColorD`.
-> GLdouble | `blue` of type `ColorD`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glColor3dv`.

glColor3dv Source #

Arguments

:: MonadIO m |
=> Ptr GLdouble | `v` pointing to `3` elements of type `ColorD`.
-> m () |

Manual page for OpenGL 2.x.

glColor3f Source #

Arguments

:: MonadIO m |
=> GLfloat | `red` of type `ColorF`.
-> GLfloat | `green` of type `ColorF`.
-> GLfloat | `blue` of type `ColorF`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glColor3fv`.

glColor3fv Source #

Arguments

:: MonadIO m |
=> Ptr GLfloat | `v` pointing to `3` elements of type `ColorF`.
-> m () |

Manual page for OpenGL 2.x.

glColor3i Source #

Arguments

:: MonadIO m |
=> GLint | `red` of type `ColorI`.
-> GLint | `green` of type `ColorI`.
-> GLint | `blue` of type `ColorI`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glColor3iv`.

glColor3iv Source #

Arguments

:: MonadIO m |
=> Ptr GLint | `v` pointing to `3` elements of type `ColorI`.
-> m () |

Manual page for OpenGL 2.x.

glColor3s Source #

Arguments

:: MonadIO m |
=> GLshort | `red` of type `ColorS`.
-> GLshort | `green` of type `ColorS`.
-> GLshort | `blue` of type `ColorS`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glColor3sv`.

glColor3sv Source #

Arguments

:: MonadIO m |
=> Ptr GLshort | `v` pointing to `3` elements of type `ColorS`.
-> m () |

Manual page for OpenGL 2.x.

glColor3ub Source #

Arguments

:: MonadIO m |
=> GLubyte | `red` of type `ColorUB`.
-> GLubyte | `green` of type `ColorUB`.
-> GLubyte | `blue` of type `ColorUB`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glColor3ubv`.

glColor3ubv Source #

Arguments

:: MonadIO m |
=> Ptr GLubyte | `v` pointing to `3` elements of type `ColorUB`.
-> m () |

Manual page for OpenGL 2.x.

glColor3ui Source #

Arguments

:: MonadIO m |
=> GLuint | `red` of type `ColorUI`.
-> GLuint | `green` of type `ColorUI`.
-> GLuint | `blue` of type `ColorUI`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glColor3uiv`.

glColor3uiv Source #

Arguments

:: MonadIO m |
=> Ptr GLuint | `v` pointing to `3` elements of type `ColorUI`.
-> m () |

Manual page for OpenGL 2.x.

glColor3us Source #

Arguments

:: MonadIO m |
=> GLushort | `red` of type `ColorUS`.
-> GLushort | `green` of type `ColorUS`.
-> GLushort | `blue` of type `ColorUS`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glColor3usv`.

glColor3usv Source #

Arguments

:: MonadIO m |
=> Ptr GLushort | `v` pointing to `3` elements of type `ColorUS`.
-> m () |

Manual page for OpenGL 2.x.

glColor4b Source #

Arguments

:: MonadIO m |
=> GLbyte | `red` of type `ColorB`.
-> GLbyte | `green` of type `ColorB`.
-> GLbyte | `blue` of type `ColorB`.
-> GLbyte | `alpha` of type `ColorB`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glColor4bv`.

glColor4bv Source #

Arguments

:: MonadIO m |
=> Ptr GLbyte | `v` pointing to `4` elements of type `ColorB`.
-> m () |

Manual page for OpenGL 2.x.

glColor4d Source #

Arguments

:: MonadIO m |
=> GLdouble | `red` of type `ColorD`.
-> GLdouble | `green` of type `ColorD`.
-> GLdouble | `blue` of type `ColorD`.
-> GLdouble | `alpha` of type `ColorD`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glColor4dv`.

glColor4dv Source #

Arguments

:: MonadIO m |
=> Ptr GLdouble | `v` pointing to `4` elements of type `ColorD`.
-> m () |

Manual page for OpenGL 2.x.

glColor4f Source #

Arguments

:: MonadIO m |
=> GLfloat | `red` of type `ColorF`.
-> GLfloat | `green` of type `ColorF`.
-> GLfloat | `blue` of type `ColorF`.
-> GLfloat | `alpha` of type `ColorF`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glColor4fv`.

glColor4fv Source #

Arguments

:: MonadIO m |
=> Ptr GLfloat | `v` pointing to `4` elements of type `ColorF`.
-> m () |

Manual page for OpenGL 2.x.

glColor4i Source #

Arguments

:: MonadIO m |
=> GLint | `red` of type `ColorI`.
-> GLint | `green` of type `ColorI`.
-> GLint | `blue` of type `ColorI`.
-> GLint | `alpha` of type `ColorI`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glColor4iv`.

glColor4iv Source #

Arguments

:: MonadIO m |
=> Ptr GLint | `v` pointing to `4` elements of type `ColorI`.
-> m () |

Manual page for OpenGL 2.x.

glColor4s Source #

Arguments

:: MonadIO m |
=> GLshort | `red` of type `ColorS`.
-> GLshort | `green` of type `ColorS`.
-> GLshort | `blue` of type `ColorS`.
-> GLshort | `alpha` of type `ColorS`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glColor4sv`.

glColor4sv Source #

Arguments

:: MonadIO m |
=> Ptr GLshort | `v` pointing to `4` elements of type `ColorS`.
-> m () |

Manual page for OpenGL 2.x.

glColor4ub Source #

Arguments

:: MonadIO m |
=> GLubyte | `red` of type `ColorUB`.
-> GLubyte | `green` of type `ColorUB`.
-> GLubyte | `blue` of type `ColorUB`.
-> GLubyte | `alpha` of type `ColorUB`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glColor4ubv`.

glColor4ubv Source #

Arguments

:: MonadIO m |
=> Ptr GLubyte | `v` pointing to `4` elements of type `ColorUB`.
-> m () |

Manual page for OpenGL 2.x.

glColor4ui Source #

Arguments

:: MonadIO m |
=> GLuint | `red` of type `ColorUI`.
-> GLuint | `green` of type `ColorUI`.
-> GLuint | `blue` of type `ColorUI`.
-> GLuint | `alpha` of type `ColorUI`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glColor4uiv`.

glColor4uiv Source #

Arguments

:: MonadIO m |
=> Ptr GLuint | `v` pointing to `4` elements of type `ColorUI`.
-> m () |

Manual page for OpenGL 2.x.

glColor4us Source #

Arguments

:: MonadIO m |
=> GLushort | `red` of type `ColorUS`.
-> GLushort | `green` of type `ColorUS`.
-> GLushort | `blue` of type `ColorUS`.
-> GLushort | `alpha` of type `ColorUS`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glColor4usv`.

glColor4usv Source #

Arguments

:: MonadIO m |
=> Ptr GLushort | `v` pointing to `4` elements of type `ColorUS`.
-> m () |

Manual page for OpenGL 2.x.

glColorMask Source #

Arguments

:: MonadIO m |
=> GLboolean | `red` of type Boolean.
-> GLboolean | `green` of type Boolean.
-> GLboolean | `blue` of type Boolean.
-> GLboolean | `alpha` of type Boolean.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glColorMaterial Source #

Arguments

:: MonadIO m |
=> GLenum | `face` of type MaterialFace.
-> GLenum | `mode` of type ColorMaterialParameter.
-> m () |

Manual page for OpenGL 2.x.

glColorPointer Source #

Arguments

:: MonadIO m |
=> GLint | `size`.
-> GLenum | `type` of type ColorPointerType.
-> GLsizei | `stride`.
-> Ptr a | `pointer` pointing to `COMPSIZE(size,type,stride)` elements of type `a`.
-> m () |

Manual page for OpenGL 2.x.

glCompileShader Source #

Arguments

:: MonadIO m |
=> GLuint | `shader`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glCompressedTexImage1D Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLenum | `internalformat` of type InternalFormat.
-> GLsizei | `width`.
-> GLint | `border` of type `CheckedInt32`.
-> GLsizei | `imageSize`.
-> Ptr a | `data` pointing to `imageSize` elements of type `CompressedTextureARB`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glCompressedTexImage2D Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLenum | `internalformat` of type InternalFormat.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLint | `border` of type `CheckedInt32`.
-> GLsizei | `imageSize`.
-> Ptr a | `data` pointing to `imageSize` elements of type `CompressedTextureARB`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glCompressedTexImage3D Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLenum | `internalformat` of type InternalFormat.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLsizei | `depth`.
-> GLint | `border` of type `CheckedInt32`.
-> GLsizei | `imageSize`.
-> Ptr a | `data` pointing to `imageSize` elements of type `CompressedTextureARB`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glCompressedTexSubImage1D Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLint | `xoffset` of type `CheckedInt32`.
-> GLsizei | `width`.
-> GLenum | `format` of type PixelFormat.
-> GLsizei | `imageSize`.
-> Ptr a | `data` pointing to `imageSize` elements of type `CompressedTextureARB`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glCompressedTexSubImage2D Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLint | `xoffset` of type `CheckedInt32`.
-> GLint | `yoffset` of type `CheckedInt32`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLenum | `format` of type PixelFormat.
-> GLsizei | `imageSize`.
-> Ptr a | `data` pointing to `imageSize` elements of type `CompressedTextureARB`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glCompressedTexSubImage3D Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLint | `xoffset` of type `CheckedInt32`.
-> GLint | `yoffset` of type `CheckedInt32`.
-> GLint | `zoffset` of type `CheckedInt32`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLsizei | `depth`.
-> GLenum | `format` of type PixelFormat.
-> GLsizei | `imageSize`.
-> Ptr a | `data` pointing to `imageSize` elements of type `CompressedTextureARB`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glCopyPixels Source #

Arguments

:: MonadIO m |
=> GLint | `x` of type `WinCoord`.
-> GLint | `y` of type `WinCoord`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLenum | `type` of type PixelCopyType.
-> m () |

Manual page for OpenGL 2.x.

glCopyTexImage1D Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLenum | `internalformat` of type InternalFormat.
-> GLint | `x` of type `WinCoord`.
-> GLint | `y` of type `WinCoord`.
-> GLsizei | `width`.
-> GLint | `border` of type `CheckedInt32`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glCopyTexImage2D Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLenum | `internalformat` of type InternalFormat.
-> GLint | `x` of type `WinCoord`.
-> GLint | `y` of type `WinCoord`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLint | `border` of type `CheckedInt32`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glCopyTexSubImage1D Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLint | `xoffset` of type `CheckedInt32`.
-> GLint | `x` of type `WinCoord`.
-> GLint | `y` of type `WinCoord`.
-> GLsizei | `width`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glCopyTexSubImage2D Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLint | `xoffset` of type `CheckedInt32`.
-> GLint | `yoffset` of type `CheckedInt32`.
-> GLint | `x` of type `WinCoord`.
-> GLint | `y` of type `WinCoord`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glCopyTexSubImage3D Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLint | `xoffset` of type `CheckedInt32`.
-> GLint | `yoffset` of type `CheckedInt32`.
-> GLint | `zoffset` of type `CheckedInt32`.
-> GLint | `x` of type `WinCoord`.
-> GLint | `y` of type `WinCoord`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glCreateProgram :: MonadIO m => m GLuint Source #

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glCreateShader Source #

Arguments

:: MonadIO m |
=> GLenum | `type` of type ShaderType.
-> m GLuint |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glCullFace Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type CullFaceMode.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glDeleteBuffers Source #

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `buffers` pointing to `n` elements of type `GLuint`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glDeleteLists Source #

Arguments

:: MonadIO m |
=> GLuint | `list` of type `List`.
-> GLsizei | `range`.
-> m () |

Manual page for OpenGL 2.x.

glDeleteProgram Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glDeleteQueries Source #

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `ids` pointing to `n` elements of type `GLuint`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glDeleteShader Source #

Arguments

:: MonadIO m |
=> GLuint | `shader`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glDeleteTextures Source #

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `textures` pointing to `n` elements of type `Texture`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glDepthFunc Source #

Arguments

:: MonadIO m |
=> GLenum | `func` of type DepthFunction.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glDepthMask Source #

Arguments

:: MonadIO m |
=> GLboolean | `flag` of type Boolean.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glDepthRange Source #

Arguments

:: MonadIO m |
=> GLdouble | `n`.
-> GLdouble | `f`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glDetachShader Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLuint | `shader`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glDisable Source #

Arguments

:: MonadIO m |
=> GLenum | `cap` of type EnableCap.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glDisableClientState Source #

Arguments

:: MonadIO m |
=> GLenum | `array` of type EnableCap.
-> m () |

Manual page for OpenGL 2.x.

glDisableVertexAttribArray Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glDrawArrays Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type PrimitiveType.
-> GLint | `first`.
-> GLsizei | `count`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glDrawBuffer Source #

Arguments

:: MonadIO m |
=> GLenum | `buf` of type DrawBufferMode.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glDrawBuffers Source #

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLenum | `bufs` pointing to `n` elements of type DrawBufferMode.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glDrawElements Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type PrimitiveType.
-> GLsizei | `count`.
-> GLenum | `type` of type DrawElementsType.
-> Ptr a | `indices` pointing to `COMPSIZE(count,type)` elements of type `a`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glDrawPixels Source #

Arguments

:: MonadIO m |
=> GLsizei | `width`.
-> GLsizei | `height`.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `pixels` pointing to `COMPSIZE(format,type,width,height)` elements of type `a`.
-> m () |

Manual page for OpenGL 2.x.

glDrawRangeElements Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type PrimitiveType.
-> GLuint | `start`.
-> GLuint | `end`.
-> GLsizei | `count`.
-> GLenum | `type` of type DrawElementsType.
-> Ptr a | `indices` pointing to `COMPSIZE(count,type)` elements of type `a`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glEdgeFlag Source #

Arguments

:: MonadIO m |
=> GLboolean | `flag` of type Boolean.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glEdgeFlagv`.

glEdgeFlagPointer Source #

Arguments

:: MonadIO m |
=> GLsizei | `stride`.
-> Ptr a | `pointer` pointing to `COMPSIZE(stride)` elements of type `a`.
-> m () |

Manual page for OpenGL 2.x.

glEdgeFlagv Source #

Arguments

:: MonadIO m |
=> Ptr GLboolean | `flag` pointing to `1` element of type Boolean.
-> m () |

Manual page for OpenGL 2.x.

glEnable Source #

Arguments

:: MonadIO m |
=> GLenum | `cap` of type EnableCap.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glEnableClientState Source #

Arguments

:: MonadIO m |
=> GLenum | `array` of type EnableCap.
-> m () |

Manual page for OpenGL 2.x.

glEnableVertexAttribArray Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glEnd :: MonadIO m => m () Source #

Manual page for OpenGL 2.x.

glEndList :: MonadIO m => m () Source #

Manual page for OpenGL 2.x.

glEndQuery Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type QueryTarget.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glEvalCoord1d Source #

Arguments

:: MonadIO m |
=> GLdouble | `u` of type `CoordD`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glEvalCoord1dv`.

glEvalCoord1dv Source #

Arguments

:: MonadIO m |
=> Ptr GLdouble | `u` pointing to `1` element of type `CoordD`.
-> m () |

Manual page for OpenGL 2.x.

glEvalCoord1f Source #

Arguments

:: MonadIO m |
=> GLfloat | `u` of type `CoordF`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glEvalCoord1fv`.

glEvalCoord1fv Source #

Arguments

:: MonadIO m |
=> Ptr GLfloat | `u` pointing to `1` element of type `CoordF`.
-> m () |

Manual page for OpenGL 2.x.

glEvalCoord2d Source #

Arguments

:: MonadIO m |
=> GLdouble | `u` of type `CoordD`.
-> GLdouble | `v` of type `CoordD`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glEvalCoord2dv`.

glEvalCoord2dv Source #

Arguments

:: MonadIO m |
=> Ptr GLdouble | `u` pointing to `2` elements of type `CoordD`.
-> m () |

Manual page for OpenGL 2.x.

glEvalCoord2f Source #

Arguments

:: MonadIO m |
=> GLfloat | `u` of type `CoordF`.
-> GLfloat | `v` of type `CoordF`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glEvalCoord2fv`.

glEvalCoord2fv Source #

Arguments

:: MonadIO m |
=> Ptr GLfloat | `u` pointing to `2` elements of type `CoordF`.
-> m () |

Manual page for OpenGL 2.x.

glEvalMesh1 Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type MeshMode1.
-> GLint | `i1` of type `CheckedInt32`.
-> GLint | `i2` of type `CheckedInt32`.
-> m () |

Manual page for OpenGL 2.x.

glEvalMesh2 Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type MeshMode2.
-> GLint | `i1` of type `CheckedInt32`.
-> GLint | `i2` of type `CheckedInt32`.
-> GLint | `j1` of type `CheckedInt32`.
-> GLint | `j2` of type `CheckedInt32`.
-> m () |

Manual page for OpenGL 2.x.

glEvalPoint1 Source #

Arguments

:: MonadIO m |
=> GLint | `i`.
-> m () |

Manual page for OpenGL 2.x.

glEvalPoint2 Source #

Arguments

:: MonadIO m |
=> GLint | `i` of type `CheckedInt32`.
-> GLint | `j` of type `CheckedInt32`.
-> m () |

Manual page for OpenGL 2.x.

glFeedbackBuffer Source #

Arguments

:: MonadIO m |
=> GLsizei | `size`.
-> GLenum | `type` of type FeedbackType.
-> Ptr GLfloat | `buffer` pointing to `size` elements of type `FeedbackElement`.
-> m () |

Manual page for OpenGL 2.x.

glFinish :: MonadIO m => m () Source #

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glFlush :: MonadIO m => m () Source #

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glFogCoordPointer Source #

Arguments

:: MonadIO m |
=> GLenum | `type` of type FogPointerTypeEXT.
-> GLsizei | `stride`.
-> Ptr a | `pointer` pointing to `COMPSIZE(type,stride)` elements of type `a`.
-> m () |

Manual page for OpenGL 2.x.

glFogCoordd Source #

Arguments

:: MonadIO m |
=> GLdouble | `coord` of type `CoordD`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glFogCoorddv`.

glFogCoorddv Source #

Arguments

:: MonadIO m |
=> Ptr GLdouble | `coord` pointing to `1` element of type `CoordD`.
-> m () |

Manual page for OpenGL 2.x.

glFogCoordf Source #

Arguments

:: MonadIO m |
=> GLfloat | `coord` of type `CoordF`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glFogCoordfv`.

glFogCoordfv Source #

Arguments

:: MonadIO m |
=> Ptr GLfloat | `coord` pointing to `1` element of type `CoordF`.
-> m () |

Manual page for OpenGL 2.x.

glFogf Source #

Arguments

:: MonadIO m |
=> GLenum | `pname` of type FogParameter.
-> GLfloat | `param` of type `CheckedFloat32`.
-> m () |

Manual page for OpenGL 2.x.

glFogfv Source #

Arguments

:: MonadIO m |
=> GLenum | `pname` of type FogParameter.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `CheckedFloat32`.
-> m () |

Manual page for OpenGL 2.x.

glFogi Source #

Arguments

:: MonadIO m |
=> GLenum | `pname` of type FogParameter.
-> GLint | `param` of type `CheckedInt32`.
-> m () |

Manual page for OpenGL 2.x.

glFogiv Source #

Arguments

:: MonadIO m |
=> GLenum | `pname` of type FogParameter.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `CheckedInt32`.
-> m () |

Manual page for OpenGL 2.x.

glFrontFace Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type FrontFaceDirection.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glFrustum Source #

Arguments

:: MonadIO m |
=> GLdouble | `left`.
-> GLdouble | `right`.
-> GLdouble | `bottom`.
-> GLdouble | `top`.
-> GLdouble | `zNear`.
-> GLdouble | `zFar`.
-> m () |

Manual page for OpenGL 2.x.

glGenBuffers Source #

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `buffers` pointing to `n` elements of type `GLuint`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGenLists Source #

Arguments

:: MonadIO m |
=> GLsizei | `range`.
-> m GLuint | of type `List`.

Manual page for OpenGL 2.x.

glGenQueries Source #

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `ids` pointing to `n` elements of type `GLuint`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGenTextures Source #

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `textures` pointing to `n` elements of type `Texture`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGetActiveAttrib Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLuint | `index`.
-> GLsizei | `bufSize`.
-> Ptr GLsizei | `length` pointing to `1` element of type `GLsizei`.
-> Ptr GLint | `size` pointing to `1` element of type `GLint`.
-> Ptr GLenum | `type` pointing to `1` element of type AttributeType.
-> Ptr GLchar | `name` pointing to `bufSize` elements of type `GLchar`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGetActiveUniform Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLuint | `index`.
-> GLsizei | `bufSize`.
-> Ptr GLsizei | `length` pointing to `1` element of type `GLsizei`.
-> Ptr GLint | `size` pointing to `1` element of type `GLint`.
-> Ptr GLenum | `type` pointing to `1` element of type UniformType.
-> Ptr GLchar | `name` pointing to `bufSize` elements of type `GLchar`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGetAttachedShaders Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLsizei | `maxCount`.
-> Ptr GLsizei | `count` pointing to `1` element of type `GLsizei`.
-> Ptr GLuint | `shaders` pointing to `maxCount` elements of type `GLuint`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGetAttribLocation Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> Ptr GLchar | `name`.
-> m GLint |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGetBooleanv Source #

Arguments

:: MonadIO m |
=> GLenum | `pname` of type GetPName.
-> Ptr GLboolean | `data` pointing to `COMPSIZE(pname)` elements of type Boolean.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGetBufferParameteriv Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type BufferTargetARB.
-> GLenum | `pname` of type BufferPNameARB.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGetBufferPointerv Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type BufferTargetARB.
-> GLenum | `pname` of type BufferPointerNameARB.
-> Ptr (Ptr a) | `params` pointing to `1` element of type `Ptr a`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGetBufferSubData Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type BufferTargetARB.
-> GLintptr | `offset` of type `BufferOffset`.
-> GLsizeiptr | `size` of type `BufferSize`.
-> Ptr a | `data` pointing to `size` elements of type `a`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGetClipPlane Source #

Arguments

:: MonadIO m |
=> GLenum | `plane` of type ClipPlaneName.
-> Ptr GLdouble | `equation` pointing to `4` elements of type `GLdouble`.
-> m () |

Manual page for OpenGL 2.x.

glGetCompressedTexImage Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> Ptr a | `img` pointing to `COMPSIZE(target,level)` elements of type `CompressedTextureARB`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGetDoublev Source #

Arguments

:: MonadIO m |
=> GLenum | `pname` of type GetPName.
-> Ptr GLdouble | `data` pointing to `COMPSIZE(pname)` elements of type `GLdouble`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGetError Source #

Arguments

:: MonadIO m |
=> m GLenum | of type ErrorCode.

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGetFloatv Source #

Arguments

:: MonadIO m |
=> GLenum | `pname` of type GetPName.
-> Ptr GLfloat | `data` pointing to `COMPSIZE(pname)` elements of type `GLfloat`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGetIntegerv Source #

Arguments

:: MonadIO m |
=> GLenum | `pname` of type GetPName.
-> Ptr GLint | `data` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGetLightfv Source #

Arguments

:: MonadIO m |
=> GLenum | `light` of type LightName.
-> GLenum | `pname` of type LightParameter.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `GLfloat`.
-> m () |

Manual page for OpenGL 2.x.

glGetLightiv Source #

Arguments

:: MonadIO m |
=> GLenum | `light` of type LightName.
-> GLenum | `pname` of type LightParameter.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

Manual page for OpenGL 2.x.

glGetMapdv Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type MapTarget.
-> GLenum | `query` of type GetMapQuery.
-> Ptr GLdouble | `v` pointing to `COMPSIZE(target,query)` elements of type `GLdouble`.
-> m () |

Manual page for OpenGL 2.x.

glGetMapfv Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type MapTarget.
-> GLenum | `query` of type GetMapQuery.
-> Ptr GLfloat | `v` pointing to `COMPSIZE(target,query)` elements of type `GLfloat`.
-> m () |

Manual page for OpenGL 2.x.

glGetMapiv Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type MapTarget.
-> GLenum | `query` of type GetMapQuery.
-> Ptr GLint | `v` pointing to `COMPSIZE(target,query)` elements of type `GLint`.
-> m () |

Manual page for OpenGL 2.x.

glGetMaterialfv Source #

Arguments

:: MonadIO m |
=> GLenum | `face` of type MaterialFace.
-> GLenum | `pname` of type MaterialParameter.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `GLfloat`.
-> m () |

Manual page for OpenGL 2.x.

glGetMaterialiv Source #

Arguments

:: MonadIO m |
=> GLenum | `face` of type MaterialFace.
-> GLenum | `pname` of type MaterialParameter.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

Manual page for OpenGL 2.x.

glGetPixelMapfv Source #

Arguments

:: MonadIO m |
=> GLenum | `map` of type PixelMap.
-> Ptr GLfloat | `values` pointing to `COMPSIZE(map)` elements of type `GLfloat`.
-> m () |

Manual page for OpenGL 2.x.

glGetPixelMapuiv Source #

Arguments

:: MonadIO m |
=> GLenum | `map` of type PixelMap.
-> Ptr GLuint | `values` pointing to `COMPSIZE(map)` elements of type `GLuint`.
-> m () |

Manual page for OpenGL 2.x.

glGetPixelMapusv Source #

Arguments

:: MonadIO m |
=> GLenum | `map` of type PixelMap.
-> Ptr GLushort | `values` pointing to `COMPSIZE(map)` elements of type `GLushort`.
-> m () |

Manual page for OpenGL 2.x.

glGetPointerv Source #

Arguments

:: MonadIO m |
=> GLenum | `pname` of type GetPointervPName.
-> Ptr (Ptr a) | `params` pointing to `1` element of type `Ptr a`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 4.x.

glGetPolygonStipple Source #

Arguments

:: MonadIO m |
=> Ptr GLubyte | `mask` pointing to `COMPSIZE()` elements of type `GLubyte`.
-> m () |

Manual page for OpenGL 2.x.

glGetProgramInfoLog Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLsizei | `bufSize`.
-> Ptr GLsizei | `length` pointing to `1` element of type `GLsizei`.
-> Ptr GLchar | `infoLog` pointing to `bufSize` elements of type `GLchar`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGetProgramiv Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLenum | `pname` of type ProgramPropertyARB.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGetQueryObjectiv Source #

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLenum | `pname` of type QueryObjectParameterName.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGetQueryObjectuiv Source #

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLenum | `pname` of type QueryObjectParameterName.
-> Ptr GLuint | `params` pointing to `COMPSIZE(pname)` elements of type `GLuint`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGetQueryiv Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type QueryTarget.
-> GLenum | `pname` of type QueryParameterName.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGetShaderInfoLog Source #

Arguments

:: MonadIO m |
=> GLuint | `shader`.
-> GLsizei | `bufSize`.
-> Ptr GLsizei | `length` pointing to `1` element of type `GLsizei`.
-> Ptr GLchar | `infoLog` pointing to `bufSize` elements of type `GLchar`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGetShaderSource Source #

Arguments

:: MonadIO m |
=> GLuint | `shader`.
-> GLsizei | `bufSize`.
-> Ptr GLsizei | `length` pointing to `1` element of type `GLsizei`.
-> Ptr GLchar | `source` pointing to `bufSize` elements of type `GLchar`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGetShaderiv Source #

Arguments

:: MonadIO m |
=> GLuint | `shader`.
-> GLenum | `pname` of type ShaderParameterName.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGetString Source #

Arguments

:: MonadIO m |
=> GLenum | `name` of type StringName.
-> m (Ptr GLubyte) | pointing to elements of type `String`.

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGetTexEnvfv Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureEnvTarget.
-> GLenum | `pname` of type TextureEnvParameter.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `GLfloat`.
-> m () |

Manual page for OpenGL 2.x.

glGetTexEnviv Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureEnvTarget.
-> GLenum | `pname` of type TextureEnvParameter.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

Manual page for OpenGL 2.x.

glGetTexGendv Source #

Arguments

:: MonadIO m |
=> GLenum | `coord` of type TextureCoordName.
-> GLenum | `pname` of type TextureGenParameter.
-> Ptr GLdouble | `params` pointing to `COMPSIZE(pname)` elements of type `GLdouble`.
-> m () |

Manual page for OpenGL 2.x.

glGetTexGenfv Source #

Arguments

:: MonadIO m |
=> GLenum | `coord` of type TextureCoordName.
-> GLenum | `pname` of type TextureGenParameter.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `GLfloat`.
-> m () |

Manual page for OpenGL 2.x.

glGetTexGeniv Source #

Arguments

:: MonadIO m |
=> GLenum | `coord` of type TextureCoordName.
-> GLenum | `pname` of type TextureGenParameter.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

Manual page for OpenGL 2.x.

glGetTexImage Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `pixels` pointing to `COMPSIZE(target,level,format,type)` elements of type `a`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGetTexLevelParameterfv Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLenum | `pname` of type GetTextureParameter.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `GLfloat`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGetTexLevelParameteriv Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLenum | `pname` of type GetTextureParameter.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGetTexParameterfv Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLenum | `pname` of type GetTextureParameter.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `GLfloat`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGetTexParameteriv Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLenum | `pname` of type GetTextureParameter.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGetUniformLocation Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> Ptr GLchar | `name`.
-> m GLint |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGetUniformfv Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(program,location)` elements of type `GLfloat`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGetUniformiv Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> Ptr GLint | `params` pointing to `COMPSIZE(program,location)` elements of type `GLint`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGetVertexAttribPointerv Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLenum | `pname` of type VertexAttribPointerPropertyARB.
-> Ptr (Ptr a) | `pointer` pointing to `1` element of type `Ptr a`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGetVertexAttribdv Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLenum | `pname` of type VertexAttribPropertyARB.
-> Ptr GLdouble | `params` pointing to `4` elements of type `GLdouble`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGetVertexAttribfv Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLenum | `pname` of type VertexAttribPropertyARB.
-> Ptr GLfloat | `params` pointing to `4` elements of type `GLfloat`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGetVertexAttribiv Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLenum | `pname` of type VertexAttribPropertyARB.
-> Ptr GLint | `params` pointing to `4` elements of type `GLint`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glHint Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type HintTarget.
-> GLenum | `mode` of type HintMode.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glIndexMask Source #

Arguments

:: MonadIO m |
=> GLuint | `mask` of type `MaskedColorIndexValueI`.
-> m () |

Manual page for OpenGL 2.x.

glIndexPointer Source #

Arguments

:: MonadIO m |
=> GLenum | `type` of type IndexPointerType.
-> GLsizei | `stride`.
-> Ptr a | `pointer` pointing to `COMPSIZE(type,stride)` elements of type `a`.
-> m () |

Manual page for OpenGL 2.x.

glIndexd Source #

Arguments

:: MonadIO m |
=> GLdouble | `c` of type `ColorIndexValueD`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glIndexdv`.

glIndexdv Source #

Arguments

:: MonadIO m |
=> Ptr GLdouble | `c` pointing to `1` element of type `ColorIndexValueD`.
-> m () |

Manual page for OpenGL 2.x.

glIndexf Source #

Arguments

:: MonadIO m |
=> GLfloat | `c` of type `ColorIndexValueF`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glIndexfv`.

glIndexfv Source #

Arguments

:: MonadIO m |
=> Ptr GLfloat | `c` pointing to `1` element of type `ColorIndexValueF`.
-> m () |

Manual page for OpenGL 2.x.

glIndexi Source #

Arguments

:: MonadIO m |
=> GLint | `c` of type `ColorIndexValueI`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glIndexiv`.

glIndexiv Source #

Arguments

:: MonadIO m |
=> Ptr GLint | `c` pointing to `1` element of type `ColorIndexValueI`.
-> m () |

Manual page for OpenGL 2.x.

glIndexs Source #

Arguments

:: MonadIO m |
=> GLshort | `c` of type `ColorIndexValueS`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glIndexsv`.

glIndexsv Source #

Arguments

:: MonadIO m |
=> Ptr GLshort | `c` pointing to `1` element of type `ColorIndexValueS`.
-> m () |

Manual page for OpenGL 2.x.

glIndexub Source #

Arguments

:: MonadIO m |
=> GLubyte | `c` of type `ColorIndexValueUB`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glIndexubv`.

glIndexubv Source #

Arguments

:: MonadIO m |
=> Ptr GLubyte | `c` pointing to `1` element of type `ColorIndexValueUB`.
-> m () |

Manual page for OpenGL 2.x.

glInitNames :: MonadIO m => m () Source #

Manual page for OpenGL 2.x.

glInterleavedArrays Source #

Arguments

:: MonadIO m |
=> GLenum | `format` of type InterleavedArrayFormat.
-> GLsizei | `stride`.
-> Ptr a | `pointer` pointing to `COMPSIZE(format,stride)` elements of type `a`.
-> m () |

Manual page for OpenGL 2.x.

glIsBuffer Source #

Arguments

:: MonadIO m |
=> GLuint | `buffer`.
-> m GLboolean | of type Boolean.

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glIsEnabled Source #

Arguments

:: MonadIO m |
=> GLenum | `cap` of type EnableCap.
-> m GLboolean | of type Boolean.

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glIsList Source #

Arguments

:: MonadIO m |
=> GLuint | `list` of type `List`.
-> m GLboolean | of type Boolean.

Manual page for OpenGL 2.x.

glIsProgram Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> m GLboolean | of type Boolean.

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glIsQuery Source #

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> m GLboolean | of type Boolean.

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glIsShader Source #

Arguments

:: MonadIO m |
=> GLuint | `shader`.
-> m GLboolean | of type Boolean.

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glIsTexture Source #

Arguments

:: MonadIO m |
=> GLuint | `texture` of type `Texture`.
-> m GLboolean | of type Boolean.

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glLightModelf Source #

Arguments

:: MonadIO m |
=> GLenum | `pname` of type LightModelParameter.
-> GLfloat | `param`.
-> m () |

Manual page for OpenGL 2.x.

glLightModelfv Source #

Arguments

:: MonadIO m |
=> GLenum | `pname` of type LightModelParameter.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `GLfloat`.
-> m () |

Manual page for OpenGL 2.x.

glLightModeli Source #

Arguments

:: MonadIO m |
=> GLenum | `pname` of type LightModelParameter.
-> GLint | `param`.
-> m () |

Manual page for OpenGL 2.x.

glLightModeliv Source #

Arguments

:: MonadIO m |
=> GLenum | `pname` of type LightModelParameter.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

Manual page for OpenGL 2.x.

glLightf Source #

Arguments

:: MonadIO m |
=> GLenum | `light` of type LightName.
-> GLenum | `pname` of type LightParameter.
-> GLfloat | `param` of type `CheckedFloat32`.
-> m () |

Manual page for OpenGL 2.x.

glLightfv Source #

Arguments

:: MonadIO m |
=> GLenum | `light` of type LightName.
-> GLenum | `pname` of type LightParameter.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `CheckedFloat32`.
-> m () |

Manual page for OpenGL 2.x.

glLighti Source #

Arguments

:: MonadIO m |
=> GLenum | `light` of type LightName.
-> GLenum | `pname` of type LightParameter.
-> GLint | `param` of type `CheckedInt32`.
-> m () |

Manual page for OpenGL 2.x.

glLightiv Source #

Arguments

:: MonadIO m |
=> GLenum | `light` of type LightName.
-> GLenum | `pname` of type LightParameter.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `CheckedInt32`.
-> m () |

Manual page for OpenGL 2.x.

glLineStipple Source #

Arguments

:: MonadIO m |
=> GLint | `factor` of type `CheckedInt32`.
-> GLushort | `pattern` of type `LineStipple`.
-> m () |

Manual page for OpenGL 2.x.

glLineWidth Source #

Arguments

:: MonadIO m |
=> GLfloat | `width` of type `CheckedFloat32`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glLinkProgram Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glListBase Source #

Arguments

:: MonadIO m |
=> GLuint | `base` of type `List`.
-> m () |

Manual page for OpenGL 2.x.

glLoadIdentity :: MonadIO m => m () Source #

Manual page for OpenGL 2.x.

glLoadMatrixd Source #

Arguments

:: MonadIO m |
=> Ptr GLdouble | `m` pointing to `16` elements of type `GLdouble`.
-> m () |

Manual page for OpenGL 2.x.

glLoadMatrixf Source #

Arguments

:: MonadIO m |
=> Ptr GLfloat | `m` pointing to `16` elements of type `GLfloat`.
-> m () |

Manual page for OpenGL 2.x.

glLoadName Source #

Arguments

:: MonadIO m |
=> GLuint | `name` of type `SelectName`.
-> m () |

Manual page for OpenGL 2.x.

glLoadTransposeMatrixd Source #

Arguments

:: MonadIO m |
=> Ptr GLdouble | `m` pointing to `16` elements of type `GLdouble`.
-> m () |

Manual page for OpenGL 2.x.

glLoadTransposeMatrixf Source #

Arguments

:: MonadIO m |
=> Ptr GLfloat | `m` pointing to `16` elements of type `GLfloat`.
-> m () |

Manual page for OpenGL 2.x.

glLogicOp Source #

Arguments

:: MonadIO m |
=> GLenum | `opcode` of type LogicOp.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glMap1d Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type MapTarget.
-> GLdouble | `u1` of type `CoordD`.
-> GLdouble | `u2` of type `CoordD`.
-> GLint | `stride`.
-> GLint | `order` of type `CheckedInt32`.
-> Ptr GLdouble | `points` pointing to `COMPSIZE(target,stride,order)` elements of type `CoordD`.
-> m () |

Manual page for OpenGL 2.x.

glMap1f Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type MapTarget.
-> GLfloat | `u1` of type `CoordF`.
-> GLfloat | `u2` of type `CoordF`.
-> GLint | `stride`.
-> GLint | `order` of type `CheckedInt32`.
-> Ptr GLfloat | `points` pointing to `COMPSIZE(target,stride,order)` elements of type `CoordF`.
-> m () |

Manual page for OpenGL 2.x.

glMap2d Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type MapTarget.
-> GLdouble | `u1` of type `CoordD`.
-> GLdouble | `u2` of type `CoordD`.
-> GLint | `ustride`.
-> GLint | `uorder` of type `CheckedInt32`.
-> GLdouble | `v1` of type `CoordD`.
-> GLdouble | `v2` of type `CoordD`.
-> GLint | `vstride`.
-> GLint | `vorder` of type `CheckedInt32`.
-> Ptr GLdouble | `points` pointing to `COMPSIZE(target,ustride,uorder,vstride,vorder)` elements of type `CoordD`.
-> m () |

Manual page for OpenGL 2.x.

glMap2f Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type MapTarget.
-> GLfloat | `u1` of type `CoordF`.
-> GLfloat | `u2` of type `CoordF`.
-> GLint | `ustride`.
-> GLint | `uorder` of type `CheckedInt32`.
-> GLfloat | `v1` of type `CoordF`.
-> GLfloat | `v2` of type `CoordF`.
-> GLint | `vstride`.
-> GLint | `vorder` of type `CheckedInt32`.
-> Ptr GLfloat | `points` pointing to `COMPSIZE(target,ustride,uorder,vstride,vorder)` elements of type `CoordF`.
-> m () |

Manual page for OpenGL 2.x.

glMapBuffer Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type BufferTargetARB.
-> GLenum | `access` of type BufferAccessARB.
-> m (Ptr a) |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glMapGrid1d Source #

Arguments

:: MonadIO m |
=> GLint | `un`.
-> GLdouble | `u1` of type `CoordD`.
-> GLdouble | `u2` of type `CoordD`.
-> m () |

Manual page for OpenGL 2.x.

glMapGrid1f Source #

Arguments

:: MonadIO m |
=> GLint | `un`.
-> GLfloat | `u1` of type `CoordF`.
-> GLfloat | `u2` of type `CoordF`.
-> m () |

Manual page for OpenGL 2.x.

glMapGrid2d Source #

Arguments

:: MonadIO m |
=> GLint | `un`.
-> GLdouble | `u1` of type `CoordD`.
-> GLdouble | `u2` of type `CoordD`.
-> GLint | `vn`.
-> GLdouble | `v1` of type `CoordD`.
-> GLdouble | `v2` of type `CoordD`.
-> m () |

Manual page for OpenGL 2.x.

glMapGrid2f Source #

Arguments

:: MonadIO m |
=> GLint | `un`.
-> GLfloat | `u1` of type `CoordF`.
-> GLfloat | `u2` of type `CoordF`.
-> GLint | `vn`.
-> GLfloat | `v1` of type `CoordF`.
-> GLfloat | `v2` of type `CoordF`.
-> m () |

Manual page for OpenGL 2.x.

glMaterialf Source #

Arguments

:: MonadIO m |
=> GLenum | `face` of type MaterialFace.
-> GLenum | `pname` of type MaterialParameter.
-> GLfloat | `param` of type `CheckedFloat32`.
-> m () |

Manual page for OpenGL 2.x.

glMaterialfv Source #

Arguments

:: MonadIO m |
=> GLenum | `face` of type MaterialFace.
-> GLenum | `pname` of type MaterialParameter.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `CheckedFloat32`.
-> m () |

Manual page for OpenGL 2.x.

glMateriali Source #

Arguments

:: MonadIO m |
=> GLenum | `face` of type MaterialFace.
-> GLenum | `pname` of type MaterialParameter.
-> GLint | `param` of type `CheckedInt32`.
-> m () |

Manual page for OpenGL 2.x.

glMaterialiv Source #

Arguments

:: MonadIO m |
=> GLenum | `face` of type MaterialFace.
-> GLenum | `pname` of type MaterialParameter.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `CheckedInt32`.
-> m () |

Manual page for OpenGL 2.x.

glMatrixMode Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type MatrixMode.
-> m () |

Manual page for OpenGL 2.x.

glMultMatrixd Source #

Arguments

:: MonadIO m |
=> Ptr GLdouble | `m` pointing to `16` elements of type `GLdouble`.
-> m () |

Manual page for OpenGL 2.x.

glMultMatrixf Source #

Arguments

:: MonadIO m |
=> Ptr GLfloat | `m` pointing to `16` elements of type `GLfloat`.
-> m () |

Manual page for OpenGL 2.x.

glMultTransposeMatrixd Source #

Arguments

:: MonadIO m |
=> Ptr GLdouble | `m` pointing to `16` elements of type `GLdouble`.
-> m () |

Manual page for OpenGL 2.x.

glMultTransposeMatrixf Source #

Arguments

:: MonadIO m |
=> Ptr GLfloat | `m` pointing to `16` elements of type `GLfloat`.
-> m () |

Manual page for OpenGL 2.x.

glMultiDrawArrays Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type PrimitiveType.
-> Ptr GLint | `first` pointing to `COMPSIZE(drawcount)` elements of type `GLint`.
-> Ptr GLsizei | `count` pointing to `COMPSIZE(drawcount)` elements of type `GLsizei`.
-> GLsizei | `drawcount`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glMultiDrawElements Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type PrimitiveType.
-> Ptr GLsizei | `count` pointing to `COMPSIZE(drawcount)` elements of type `GLsizei`.
-> GLenum | `type` of type DrawElementsType.
-> Ptr (Ptr a) | `indices` pointing to `COMPSIZE(drawcount)` elements of type `Ptr a`.
-> GLsizei | `drawcount`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glMultiTexCoord1d Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureUnit.
-> GLdouble | `s` of type `CoordD`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glMultiTexCoord1dv`.

glMultiTexCoord1dv Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureUnit.
-> Ptr GLdouble | `v` pointing to `1` element of type `CoordD`.
-> m () |

Manual page for OpenGL 2.x.

glMultiTexCoord1f Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureUnit.
-> GLfloat | `s` of type `CoordF`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glMultiTexCoord1fv`.

glMultiTexCoord1fv Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureUnit.
-> Ptr GLfloat | `v` pointing to `1` element of type `CoordF`.
-> m () |

Manual page for OpenGL 2.x.

glMultiTexCoord1i Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureUnit.
-> GLint | `s` of type `CoordI`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glMultiTexCoord1iv`.

glMultiTexCoord1iv Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureUnit.
-> Ptr GLint | `v` pointing to `1` element of type `CoordI`.
-> m () |

Manual page for OpenGL 2.x.

glMultiTexCoord1s Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureUnit.
-> GLshort | `s` of type `CoordS`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glMultiTexCoord1sv`.

glMultiTexCoord1sv Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureUnit.
-> Ptr GLshort | `v` pointing to `1` element of type `CoordS`.
-> m () |

Manual page for OpenGL 2.x.

glMultiTexCoord2d Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureUnit.
-> GLdouble | `s` of type `CoordD`.
-> GLdouble | `t` of type `CoordD`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glMultiTexCoord2dv`.

glMultiTexCoord2dv Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureUnit.
-> Ptr GLdouble | `v` pointing to `2` elements of type `CoordD`.
-> m () |

Manual page for OpenGL 2.x.

glMultiTexCoord2f Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureUnit.
-> GLfloat | `s` of type `CoordF`.
-> GLfloat | `t` of type `CoordF`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glMultiTexCoord2fv`.

glMultiTexCoord2fv Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureUnit.
-> Ptr GLfloat | `v` pointing to `2` elements of type `CoordF`.
-> m () |

Manual page for OpenGL 2.x.

glMultiTexCoord2i Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureUnit.
-> GLint | `s` of type `CoordI`.
-> GLint | `t` of type `CoordI`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glMultiTexCoord2iv`.

glMultiTexCoord2iv Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureUnit.
-> Ptr GLint | `v` pointing to `2` elements of type `CoordI`.
-> m () |

Manual page for OpenGL 2.x.

glMultiTexCoord2s Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureUnit.
-> GLshort | `s` of type `CoordS`.
-> GLshort | `t` of type `CoordS`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glMultiTexCoord2sv`.

glMultiTexCoord2sv Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureUnit.
-> Ptr GLshort | `v` pointing to `2` elements of type `CoordS`.
-> m () |

Manual page for OpenGL 2.x.

glMultiTexCoord3d Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureUnit.
-> GLdouble | `s` of type `CoordD`.
-> GLdouble | `t` of type `CoordD`.
-> GLdouble | `r` of type `CoordD`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glMultiTexCoord3dv`.

glMultiTexCoord3dv Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureUnit.
-> Ptr GLdouble | `v` pointing to `3` elements of type `CoordD`.
-> m () |

Manual page for OpenGL 2.x.

glMultiTexCoord3f Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureUnit.
-> GLfloat | `s` of type `CoordF`.
-> GLfloat | `t` of type `CoordF`.
-> GLfloat | `r` of type `CoordF`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glMultiTexCoord3fv`.

glMultiTexCoord3fv Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureUnit.
-> Ptr GLfloat | `v` pointing to `3` elements of type `CoordF`.
-> m () |

Manual page for OpenGL 2.x.

glMultiTexCoord3i Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureUnit.
-> GLint | `s` of type `CoordI`.
-> GLint | `t` of type `CoordI`.
-> GLint | `r` of type `CoordI`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glMultiTexCoord3iv`.

glMultiTexCoord3iv Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureUnit.
-> Ptr GLint | `v` pointing to `3` elements of type `CoordI`.
-> m () |

Manual page for OpenGL 2.x.

glMultiTexCoord3s Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureUnit.
-> GLshort | `s` of type `CoordS`.
-> GLshort | `t` of type `CoordS`.
-> GLshort | `r` of type `CoordS`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glMultiTexCoord3sv`.

glMultiTexCoord3sv Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureUnit.
-> Ptr GLshort | `v` pointing to `3` elements of type `CoordS`.
-> m () |

Manual page for OpenGL 2.x.

glMultiTexCoord4d Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureUnit.
-> GLdouble | `s` of type `CoordD`.
-> GLdouble | `t` of type `CoordD`.
-> GLdouble | `r` of type `CoordD`.
-> GLdouble | `q` of type `CoordD`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glMultiTexCoord4dv`.

glMultiTexCoord4dv Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureUnit.
-> Ptr GLdouble | `v` pointing to `4` elements of type `CoordD`.
-> m () |

Manual page for OpenGL 2.x.

glMultiTexCoord4f Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureUnit.
-> GLfloat | `s` of type `CoordF`.
-> GLfloat | `t` of type `CoordF`.
-> GLfloat | `r` of type `CoordF`.
-> GLfloat | `q` of type `CoordF`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glMultiTexCoord4fv`.

glMultiTexCoord4fv Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureUnit.
-> Ptr GLfloat | `v` pointing to `4` elements of type `CoordF`.
-> m () |

Manual page for OpenGL 2.x.

glMultiTexCoord4i Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureUnit.
-> GLint | `s` of type `CoordI`.
-> GLint | `t` of type `CoordI`.
-> GLint | `r` of type `CoordI`.
-> GLint | `q` of type `CoordI`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glMultiTexCoord4iv`.

glMultiTexCoord4iv Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureUnit.
-> Ptr GLint | `v` pointing to `4` elements of type `CoordI`.
-> m () |

Manual page for OpenGL 2.x.

glMultiTexCoord4s Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureUnit.
-> GLshort | `s` of type `CoordS`.
-> GLshort | `t` of type `CoordS`.
-> GLshort | `r` of type `CoordS`.
-> GLshort | `q` of type `CoordS`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glMultiTexCoord4sv`.

glMultiTexCoord4sv Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureUnit.
-> Ptr GLshort | `v` pointing to `4` elements of type `CoordS`.
-> m () |

Manual page for OpenGL 2.x.

glNewList Source #

Arguments

:: MonadIO m |
=> GLuint | `list` of type `List`.
-> GLenum | `mode` of type ListMode.
-> m () |

Manual page for OpenGL 2.x.

glNormal3b Source #

Arguments

:: MonadIO m |
=> GLbyte | `nx`.
-> GLbyte | `ny`.
-> GLbyte | `nz`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glNormal3bv`.

glNormal3bv Source #

Arguments

:: MonadIO m |
=> Ptr GLbyte | `v` pointing to `3` elements of type `GLbyte`.
-> m () |

Manual page for OpenGL 2.x.

glNormal3d Source #

Arguments

:: MonadIO m |
=> GLdouble | `nx` of type `CoordD`.
-> GLdouble | `ny` of type `CoordD`.
-> GLdouble | `nz` of type `CoordD`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glNormal3dv`.

glNormal3dv Source #

Arguments

:: MonadIO m |
=> Ptr GLdouble | `v` pointing to `3` elements of type `CoordD`.
-> m () |

Manual page for OpenGL 2.x.

glNormal3f Source #

Arguments

:: MonadIO m |
=> GLfloat | `nx` of type `CoordF`.
-> GLfloat | `ny` of type `CoordF`.
-> GLfloat | `nz` of type `CoordF`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glNormal3fv`.

glNormal3fv Source #

Arguments

:: MonadIO m |
=> Ptr GLfloat | `v` pointing to `3` elements of type `CoordF`.
-> m () |

Manual page for OpenGL 2.x.

glNormal3i Source #

Arguments

:: MonadIO m |
=> GLint | `nx`.
-> GLint | `ny`.
-> GLint | `nz`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glNormal3iv`.

glNormal3iv Source #

Arguments

:: MonadIO m |
=> Ptr GLint | `v` pointing to `3` elements of type `GLint`.
-> m () |

Manual page for OpenGL 2.x.

glNormal3s Source #

Arguments

:: MonadIO m |
=> GLshort | `nx`.
-> GLshort | `ny`.
-> GLshort | `nz`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glNormal3sv`.

glNormal3sv Source #

Arguments

:: MonadIO m |
=> Ptr GLshort | `v` pointing to `3` elements of type `GLshort`.
-> m () |

Manual page for OpenGL 2.x.

glNormalPointer Source #

Arguments

:: MonadIO m |
=> GLenum | `type` of type NormalPointerType.
-> GLsizei | `stride`.
-> Ptr a | `pointer` pointing to `COMPSIZE(type,stride)` elements of type `a`.
-> m () |

Manual page for OpenGL 2.x.

glOrtho Source #

Arguments

:: MonadIO m |
=> GLdouble | `left`.
-> GLdouble | `right`.
-> GLdouble | `bottom`.
-> GLdouble | `top`.
-> GLdouble | `zNear`.
-> GLdouble | `zFar`.
-> m () |

Manual page for OpenGL 2.x.

glPassThrough Source #

Arguments

:: MonadIO m |
=> GLfloat | `token` of type `FeedbackElement`.
-> m () |

Manual page for OpenGL 2.x.

glPixelMapfv Source #

Arguments

:: MonadIO m |
=> GLenum | `map` of type PixelMap.
-> GLsizei | `mapsize` of type `CheckedInt32`.
-> Ptr GLfloat | `values` pointing to `mapsize` elements of type `GLfloat`.
-> m () |

Manual page for OpenGL 2.x.

glPixelMapuiv Source #

Arguments

:: MonadIO m |
=> GLenum | `map` of type PixelMap.
-> GLsizei | `mapsize` of type `CheckedInt32`.
-> Ptr GLuint | `values` pointing to `mapsize` elements of type `GLuint`.
-> m () |

Manual page for OpenGL 2.x.

glPixelMapusv Source #

Arguments

:: MonadIO m |
=> GLenum | `map` of type PixelMap.
-> GLsizei | `mapsize` of type `CheckedInt32`.
-> Ptr GLushort | `values` pointing to `mapsize` elements of type `GLushort`.
-> m () |

Manual page for OpenGL 2.x.

glPixelStoref Source #

Arguments

:: MonadIO m |
=> GLenum | `pname` of type PixelStoreParameter.
-> GLfloat | `param` of type `CheckedFloat32`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glPixelStorei Source #

Arguments

:: MonadIO m |
=> GLenum | `pname` of type PixelStoreParameter.
-> GLint | `param` of type `CheckedInt32`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glPixelTransferf Source #

Arguments

:: MonadIO m |
=> GLenum | `pname` of type PixelTransferParameter.
-> GLfloat | `param` of type `CheckedFloat32`.
-> m () |

Manual page for OpenGL 2.x.

glPixelTransferi Source #

Arguments

:: MonadIO m |
=> GLenum | `pname` of type PixelTransferParameter.
-> GLint | `param` of type `CheckedInt32`.
-> m () |

Manual page for OpenGL 2.x.

glPixelZoom Source #

Arguments

:: MonadIO m |
=> GLfloat | `xfactor`.
-> GLfloat | `yfactor`.
-> m () |

Manual page for OpenGL 2.x.

glPointParameterf Source #

Arguments

:: MonadIO m |
=> GLenum | `pname` of type PointParameterNameARB.
-> GLfloat | `param` of type `CheckedFloat32`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glPointParameterfv Source #

Arguments

:: MonadIO m |
=> GLenum | `pname` of type PointParameterNameARB.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `CheckedFloat32`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glPointParameteri Source #

Arguments

:: MonadIO m |
=> GLenum | `pname` of type PointParameterNameARB.
-> GLint | `param`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glPointParameteriv Source #

Arguments

:: MonadIO m |
=> GLenum | `pname` of type PointParameterNameARB.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glPointSize Source #

Arguments

:: MonadIO m |
=> GLfloat | `size` of type `CheckedFloat32`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glPolygonMode Source #

Arguments

:: MonadIO m |
=> GLenum | `face` of type MaterialFace.
-> GLenum | `mode` of type PolygonMode.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glPolygonOffset Source #

Arguments

:: MonadIO m |
=> GLfloat | `factor`.
-> GLfloat | `units`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glPolygonStipple Source #

Arguments

:: MonadIO m |
=> Ptr GLubyte | `mask` pointing to `COMPSIZE()` elements of type `GLubyte`.
-> m () |

Manual page for OpenGL 2.x.

glPopAttrib :: MonadIO m => m () Source #

Manual page for OpenGL 2.x.

glPopClientAttrib :: MonadIO m => m () Source #

Manual page for OpenGL 2.x.

glPopMatrix :: MonadIO m => m () Source #

Manual page for OpenGL 2.x.

glPopName :: MonadIO m => m () Source #

Manual page for OpenGL 2.x.

glPrioritizeTextures Source #

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `textures` pointing to `n` elements of type `Texture`.
-> Ptr GLfloat | `priorities` pointing to `n` elements of type `GLfloat`.
-> m () |

Manual page for OpenGL 2.x.

glPushAttrib Source #

Arguments

:: MonadIO m |
=> GLbitfield | `mask` of type AttribMask.
-> m () |

Manual page for OpenGL 2.x.

glPushClientAttrib Source #

Arguments

:: MonadIO m |
=> GLbitfield | `mask` of type ClientAttribMask.
-> m () |

Manual page for OpenGL 2.x.

glPushMatrix :: MonadIO m => m () Source #

Manual page for OpenGL 2.x.

glPushName Source #

Arguments

:: MonadIO m |
=> GLuint | `name` of type `SelectName`.
-> m () |

Manual page for OpenGL 2.x.

glRasterPos2d Source #

Arguments

:: MonadIO m |
=> GLdouble | `x` of type `CoordD`.
-> GLdouble | `y` of type `CoordD`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glRasterPos2dv`.

glRasterPos2dv Source #

Arguments

:: MonadIO m |
=> Ptr GLdouble | `v` pointing to `2` elements of type `CoordD`.
-> m () |

Manual page for OpenGL 2.x.

glRasterPos2f Source #

Arguments

:: MonadIO m |
=> GLfloat | `x` of type `CoordF`.
-> GLfloat | `y` of type `CoordF`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glRasterPos2fv`.

glRasterPos2fv Source #

Arguments

:: MonadIO m |
=> Ptr GLfloat | `v` pointing to `2` elements of type `CoordF`.
-> m () |

Manual page for OpenGL 2.x.

glRasterPos2i Source #

Arguments

:: MonadIO m |
=> GLint | `x` of type `CoordI`.
-> GLint | `y` of type `CoordI`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glRasterPos2iv`.

glRasterPos2iv Source #

Arguments

:: MonadIO m |
=> Ptr GLint | `v` pointing to `2` elements of type `CoordI`.
-> m () |

Manual page for OpenGL 2.x.

glRasterPos2s Source #

Arguments

:: MonadIO m |
=> GLshort | `x` of type `CoordS`.
-> GLshort | `y` of type `CoordS`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glRasterPos2sv`.

glRasterPos2sv Source #

Arguments

:: MonadIO m |
=> Ptr GLshort | `v` pointing to `2` elements of type `CoordS`.
-> m () |

Manual page for OpenGL 2.x.

glRasterPos3d Source #

Arguments

:: MonadIO m |
=> GLdouble | `x` of type `CoordD`.
-> GLdouble | `y` of type `CoordD`.
-> GLdouble | `z` of type `CoordD`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glRasterPos3dv`.

glRasterPos3dv Source #

Arguments

:: MonadIO m |
=> Ptr GLdouble | `v` pointing to `3` elements of type `CoordD`.
-> m () |

Manual page for OpenGL 2.x.

glRasterPos3f Source #

Arguments

:: MonadIO m |
=> GLfloat | `x` of type `CoordF`.
-> GLfloat | `y` of type `CoordF`.
-> GLfloat | `z` of type `CoordF`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glRasterPos3fv`.

glRasterPos3fv Source #

Arguments

:: MonadIO m |
=> Ptr GLfloat | `v` pointing to `3` elements of type `CoordF`.
-> m () |

Manual page for OpenGL 2.x.

glRasterPos3i Source #

Arguments

:: MonadIO m |
=> GLint | `x` of type `CoordI`.
-> GLint | `y` of type `CoordI`.
-> GLint | `z` of type `CoordI`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glRasterPos3iv`.

glRasterPos3iv Source #

Arguments

:: MonadIO m |
=> Ptr GLint | `v` pointing to `3` elements of type `CoordI`.
-> m () |

Manual page for OpenGL 2.x.

glRasterPos3s Source #

Arguments

:: MonadIO m |
=> GLshort | `x` of type `CoordS`.
-> GLshort | `y` of type `CoordS`.
-> GLshort | `z` of type `CoordS`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glRasterPos3sv`.

glRasterPos3sv Source #

Arguments

:: MonadIO m |
=> Ptr GLshort | `v` pointing to `3` elements of type `CoordS`.
-> m () |

Manual page for OpenGL 2.x.

glRasterPos4d Source #

Arguments

:: MonadIO m |
=> GLdouble | `x` of type `CoordD`.
-> GLdouble | `y` of type `CoordD`.
-> GLdouble | `z` of type `CoordD`.
-> GLdouble | `w` of type `CoordD`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glRasterPos4dv`.

glRasterPos4dv Source #

Arguments

:: MonadIO m |
=> Ptr GLdouble | `v` pointing to `4` elements of type `CoordD`.
-> m () |

Manual page for OpenGL 2.x.

glRasterPos4f Source #

Arguments

:: MonadIO m |
=> GLfloat | `x` of type `CoordF`.
-> GLfloat | `y` of type `CoordF`.
-> GLfloat | `z` of type `CoordF`.
-> GLfloat | `w` of type `CoordF`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glRasterPos4fv`.

glRasterPos4fv Source #

Arguments

:: MonadIO m |
=> Ptr GLfloat | `v` pointing to `4` elements of type `CoordF`.
-> m () |

Manual page for OpenGL 2.x.

glRasterPos4i Source #

Arguments

:: MonadIO m |
=> GLint | `x` of type `CoordI`.
-> GLint | `y` of type `CoordI`.
-> GLint | `z` of type `CoordI`.
-> GLint | `w` of type `CoordI`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glRasterPos4iv`.

glRasterPos4iv Source #

Arguments

:: MonadIO m |
=> Ptr GLint | `v` pointing to `4` elements of type `CoordI`.
-> m () |

Manual page for OpenGL 2.x.

glRasterPos4s Source #

Arguments

:: MonadIO m |
=> GLshort | `x` of type `CoordS`.
-> GLshort | `y` of type `CoordS`.
-> GLshort | `z` of type `CoordS`.
-> GLshort | `w` of type `CoordS`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glRasterPos4sv`.

glRasterPos4sv Source #

Arguments

:: MonadIO m |
=> Ptr GLshort | `v` pointing to `4` elements of type `CoordS`.
-> m () |

Manual page for OpenGL 2.x.

glReadBuffer Source #

Arguments

:: MonadIO m |
=> GLenum | `src` of type ReadBufferMode.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glReadPixels Source #

Arguments

:: MonadIO m |
=> GLint | `x` of type `WinCoord`.
-> GLint | `y` of type `WinCoord`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `pixels` pointing to `COMPSIZE(format,type,width,height)` elements of type `a`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glRectd Source #

Arguments

:: MonadIO m |
=> GLdouble | `x1` of type `CoordD`.
-> GLdouble | `y1` of type `CoordD`.
-> GLdouble | `x2` of type `CoordD`.
-> GLdouble | `y2` of type `CoordD`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glRectdv`.

glRectdv Source #

Arguments

:: MonadIO m |
=> Ptr GLdouble | `v1` pointing to `2` elements of type `CoordD`.
-> Ptr GLdouble | `v2` pointing to `2` elements of type `CoordD`.
-> m () |

Manual page for OpenGL 2.x.

glRectf Source #

Arguments

:: MonadIO m |
=> GLfloat | `x1` of type `CoordF`.
-> GLfloat | `y1` of type `CoordF`.
-> GLfloat | `x2` of type `CoordF`.
-> GLfloat | `y2` of type `CoordF`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glRectfv`.

glRectfv Source #

Arguments

:: MonadIO m |
=> Ptr GLfloat | `v1` pointing to `2` elements of type `CoordF`.
-> Ptr GLfloat | `v2` pointing to `2` elements of type `CoordF`.
-> m () |

Manual page for OpenGL 2.x.

glRecti Source #

Arguments

:: MonadIO m |
=> GLint | `x1` of type `CoordI`.
-> GLint | `y1` of type `CoordI`.
-> GLint | `x2` of type `CoordI`.
-> GLint | `y2` of type `CoordI`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glRectiv`.

glRectiv Source #

Arguments

:: MonadIO m |
=> Ptr GLint | `v1` pointing to `2` elements of type `CoordI`.
-> Ptr GLint | `v2` pointing to `2` elements of type `CoordI`.
-> m () |

Manual page for OpenGL 2.x.

glRects Source #

Arguments

:: MonadIO m |
=> GLshort | `x1` of type `CoordS`.
-> GLshort | `y1` of type `CoordS`.
-> GLshort | `x2` of type `CoordS`.
-> GLshort | `y2` of type `CoordS`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glRectsv`.

glRectsv Source #

Arguments

:: MonadIO m |
=> Ptr GLshort | `v1` pointing to `2` elements of type `CoordS`.
-> Ptr GLshort | `v2` pointing to `2` elements of type `CoordS`.
-> m () |

Manual page for OpenGL 2.x.

glRenderMode Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type RenderingMode.
-> m GLint |

Manual page for OpenGL 2.x.

glRotated Source #

Arguments

:: MonadIO m |
=> GLdouble | `angle`.
-> GLdouble | `x`.
-> GLdouble | `y`.
-> GLdouble | `z`.
-> m () |

Manual page for OpenGL 2.x.

glRotatef Source #

Arguments

:: MonadIO m |
=> GLfloat | `angle`.
-> GLfloat | `x`.
-> GLfloat | `y`.
-> GLfloat | `z`.
-> m () |

Manual page for OpenGL 2.x.

glSampleCoverage Source #

Arguments

:: MonadIO m |
=> GLfloat | `value`.
-> GLboolean | `invert` of type Boolean.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glScaled Source #

Arguments

:: MonadIO m |
=> GLdouble | `x`.
-> GLdouble | `y`.
-> GLdouble | `z`.
-> m () |

Manual page for OpenGL 2.x.

glScalef Source #

Arguments

:: MonadIO m |
=> GLfloat | `x`.
-> GLfloat | `y`.
-> GLfloat | `z`.
-> m () |

Manual page for OpenGL 2.x.

glScissor Source #

Arguments

:: MonadIO m |
=> GLint | `x` of type `WinCoord`.
-> GLint | `y` of type `WinCoord`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glSecondaryColor3b Source #

Arguments

:: MonadIO m |
=> GLbyte | `red` of type `ColorB`.
-> GLbyte | `green` of type `ColorB`.
-> GLbyte | `blue` of type `ColorB`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glSecondaryColor3bv`.

glSecondaryColor3bv Source #

Arguments

:: MonadIO m |
=> Ptr GLbyte | `v` pointing to `3` elements of type `ColorB`.
-> m () |

Manual page for OpenGL 2.x.

glSecondaryColor3d Source #

Arguments

:: MonadIO m |
=> GLdouble | `red` of type `ColorD`.
-> GLdouble | `green` of type `ColorD`.
-> GLdouble | `blue` of type `ColorD`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glSecondaryColor3dv`.

glSecondaryColor3dv Source #

Arguments

:: MonadIO m |
=> Ptr GLdouble | `v` pointing to `3` elements of type `ColorD`.
-> m () |

Manual page for OpenGL 2.x.

glSecondaryColor3f Source #

Arguments

:: MonadIO m |
=> GLfloat | `red` of type `ColorF`.
-> GLfloat | `green` of type `ColorF`.
-> GLfloat | `blue` of type `ColorF`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glSecondaryColor3fv`.

glSecondaryColor3fv Source #

Arguments

:: MonadIO m |
=> Ptr GLfloat | `v` pointing to `3` elements of type `ColorF`.
-> m () |

Manual page for OpenGL 2.x.

glSecondaryColor3i Source #

Arguments

:: MonadIO m |
=> GLint | `red` of type `ColorI`.
-> GLint | `green` of type `ColorI`.
-> GLint | `blue` of type `ColorI`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glSecondaryColor3iv`.

glSecondaryColor3iv Source #

Arguments

:: MonadIO m |
=> Ptr GLint | `v` pointing to `3` elements of type `ColorI`.
-> m () |

Manual page for OpenGL 2.x.

glSecondaryColor3s Source #

Arguments

:: MonadIO m |
=> GLshort | `red` of type `ColorS`.
-> GLshort | `green` of type `ColorS`.
-> GLshort | `blue` of type `ColorS`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glSecondaryColor3sv`.

glSecondaryColor3sv Source #

Arguments

:: MonadIO m |
=> Ptr GLshort | `v` pointing to `3` elements of type `ColorS`.
-> m () |

Manual page for OpenGL 2.x.

glSecondaryColor3ub Source #

Arguments

:: MonadIO m |
=> GLubyte | `red` of type `ColorUB`.
-> GLubyte | `green` of type `ColorUB`.
-> GLubyte | `blue` of type `ColorUB`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glSecondaryColor3ubv`.

glSecondaryColor3ubv Source #

Arguments

:: MonadIO m |
=> Ptr GLubyte | `v` pointing to `3` elements of type `ColorUB`.
-> m () |

Manual page for OpenGL 2.x.

glSecondaryColor3ui Source #

Arguments

:: MonadIO m |
=> GLuint | `red` of type `ColorUI`.
-> GLuint | `green` of type `ColorUI`.
-> GLuint | `blue` of type `ColorUI`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glSecondaryColor3uiv`.

glSecondaryColor3uiv Source #

Arguments

:: MonadIO m |
=> Ptr GLuint | `v` pointing to `3` elements of type `ColorUI`.
-> m () |

Manual page for OpenGL 2.x.

glSecondaryColor3us Source #

Arguments

:: MonadIO m |
=> GLushort | `red` of type `ColorUS`.
-> GLushort | `green` of type `ColorUS`.
-> GLushort | `blue` of type `ColorUS`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glSecondaryColor3usv`.

glSecondaryColor3usv Source #

Arguments

:: MonadIO m |
=> Ptr GLushort | `v` pointing to `3` elements of type `ColorUS`.
-> m () |

Manual page for OpenGL 2.x.

glSecondaryColorPointer Source #

Arguments

:: MonadIO m |
=> GLint | `size`.
-> GLenum | `type` of type ColorPointerType.
-> GLsizei | `stride`.
-> Ptr a | `pointer` pointing to `COMPSIZE(size,type,stride)` elements of type `a`.
-> m () |

Manual page for OpenGL 2.x.

glSelectBuffer Source #

Arguments

:: MonadIO m |
=> GLsizei | `size`.
-> Ptr GLuint | `buffer` pointing to `size` elements of type `SelectName`.
-> m () |

Manual page for OpenGL 2.x.

glShadeModel Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type ShadingModel.
-> m () |

Manual page for OpenGL 2.x.

glShaderSource Source #

Arguments

:: MonadIO m |
=> GLuint | `shader`.
-> GLsizei | `count`.
-> Ptr (Ptr GLchar) | `string` pointing to `count` elements of type `Ptr GLchar`.
-> Ptr GLint | `length` pointing to `count` elements of type `GLint`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glStencilFunc Source #

Arguments

:: MonadIO m |
=> GLenum | `func` of type StencilFunction.
-> GLint | `ref` of type `StencilValue`.
-> GLuint | `mask` of type `MaskedStencilValue`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glStencilFuncSeparate Source #

Arguments

:: MonadIO m |
=> GLenum | `face` of type StencilFaceDirection.
-> GLenum | `func` of type StencilFunction.
-> GLint | `ref` of type `StencilValue`.
-> GLuint | `mask` of type `MaskedStencilValue`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glStencilMask Source #

Arguments

:: MonadIO m |
=> GLuint | `mask` of type `MaskedStencilValue`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glStencilMaskSeparate Source #

Arguments

:: MonadIO m |
=> GLenum | `face` of type StencilFaceDirection.
-> GLuint | `mask` of type `MaskedStencilValue`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glStencilOp Source #

Arguments

:: MonadIO m |
=> GLenum | `fail` of type StencilOp.
-> GLenum | `zfail` of type StencilOp.
-> GLenum | `zpass` of type StencilOp.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glStencilOpSeparate Source #

Arguments

:: MonadIO m |
=> GLenum | `face` of type StencilFaceDirection.
-> GLenum | `sfail` of type StencilOp.
-> GLenum | `dpfail` of type StencilOp.
-> GLenum | `dppass` of type StencilOp.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glTexCoord1d Source #

Arguments

:: MonadIO m |
=> GLdouble | `s` of type `CoordD`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glTexCoord1dv`.

glTexCoord1dv Source #

Arguments

:: MonadIO m |
=> Ptr GLdouble | `v` pointing to `1` element of type `CoordD`.
-> m () |

Manual page for OpenGL 2.x.

glTexCoord1f Source #

Arguments

:: MonadIO m |
=> GLfloat | `s` of type `CoordF`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glTexCoord1fv`.

glTexCoord1fv Source #

Arguments

:: MonadIO m |
=> Ptr GLfloat | `v` pointing to `1` element of type `CoordF`.
-> m () |

Manual page for OpenGL 2.x.

glTexCoord1i Source #

Arguments

:: MonadIO m |
=> GLint | `s` of type `CoordI`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glTexCoord1iv`.

glTexCoord1iv Source #

Arguments

:: MonadIO m |
=> Ptr GLint | `v` pointing to `1` element of type `CoordI`.
-> m () |

Manual page for OpenGL 2.x.

glTexCoord1s Source #

Arguments

:: MonadIO m |
=> GLshort | `s` of type `CoordS`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glTexCoord1sv`.

glTexCoord1sv Source #

Arguments

:: MonadIO m |
=> Ptr GLshort | `v` pointing to `1` element of type `CoordS`.
-> m () |

Manual page for OpenGL 2.x.

glTexCoord2d Source #

Arguments

:: MonadIO m |
=> GLdouble | `s` of type `CoordD`.
-> GLdouble | `t` of type `CoordD`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glTexCoord2dv`.

glTexCoord2dv Source #

Arguments

:: MonadIO m |
=> Ptr GLdouble | `v` pointing to `2` elements of type `CoordD`.
-> m () |

Manual page for OpenGL 2.x.

glTexCoord2f Source #

Arguments

:: MonadIO m |
=> GLfloat | `s` of type `CoordF`.
-> GLfloat | `t` of type `CoordF`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glTexCoord2fv`.

glTexCoord2fv Source #

Arguments

:: MonadIO m |
=> Ptr GLfloat | `v` pointing to `2` elements of type `CoordF`.
-> m () |

Manual page for OpenGL 2.x.

glTexCoord2i Source #

Arguments

:: MonadIO m |
=> GLint | `s` of type `CoordI`.
-> GLint | `t` of type `CoordI`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glTexCoord2iv`.

glTexCoord2iv Source #

Arguments

:: MonadIO m |
=> Ptr GLint | `v` pointing to `2` elements of type `CoordI`.
-> m () |

Manual page for OpenGL 2.x.

glTexCoord2s Source #

Arguments

:: MonadIO m |
=> GLshort | `s` of type `CoordS`.
-> GLshort | `t` of type `CoordS`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glTexCoord2sv`.

glTexCoord2sv Source #

Arguments

:: MonadIO m |
=> Ptr GLshort | `v` pointing to `2` elements of type `CoordS`.
-> m () |

Manual page for OpenGL 2.x.

glTexCoord3d Source #

Arguments

:: MonadIO m |
=> GLdouble | `s` of type `CoordD`.
-> GLdouble | `t` of type `CoordD`.
-> GLdouble | `r` of type `CoordD`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glTexCoord3dv`.

glTexCoord3dv Source #

Arguments

:: MonadIO m |
=> Ptr GLdouble | `v` pointing to `3` elements of type `CoordD`.
-> m () |

Manual page for OpenGL 2.x.

glTexCoord3f Source #

Arguments

:: MonadIO m |
=> GLfloat | `s` of type `CoordF`.
-> GLfloat | `t` of type `CoordF`.
-> GLfloat | `r` of type `CoordF`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glTexCoord3fv`.

glTexCoord3fv Source #

Arguments

:: MonadIO m |
=> Ptr GLfloat | `v` pointing to `3` elements of type `CoordF`.
-> m () |

Manual page for OpenGL 2.x.

glTexCoord3i Source #

Arguments

:: MonadIO m |
=> GLint | `s` of type `CoordI`.
-> GLint | `t` of type `CoordI`.
-> GLint | `r` of type `CoordI`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glTexCoord3iv`.

glTexCoord3iv Source #

Arguments

:: MonadIO m |
=> Ptr GLint | `v` pointing to `3` elements of type `CoordI`.
-> m () |

Manual page for OpenGL 2.x.

glTexCoord3s Source #

Arguments

:: MonadIO m |
=> GLshort | `s` of type `CoordS`.
-> GLshort | `t` of type `CoordS`.
-> GLshort | `r` of type `CoordS`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glTexCoord3sv`.

glTexCoord3sv Source #

Arguments

:: MonadIO m |
=> Ptr GLshort | `v` pointing to `3` elements of type `CoordS`.
-> m () |

Manual page for OpenGL 2.x.

glTexCoord4d Source #

Arguments

:: MonadIO m |
=> GLdouble | `s` of type `CoordD`.
-> GLdouble | `t` of type `CoordD`.
-> GLdouble | `r` of type `CoordD`.
-> GLdouble | `q` of type `CoordD`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glTexCoord4dv`.

glTexCoord4dv Source #

Arguments

:: MonadIO m |
=> Ptr GLdouble | `v` pointing to `4` elements of type `CoordD`.
-> m () |

Manual page for OpenGL 2.x.

glTexCoord4f Source #

Arguments

:: MonadIO m |
=> GLfloat | `s` of type `CoordF`.
-> GLfloat | `t` of type `CoordF`.
-> GLfloat | `r` of type `CoordF`.
-> GLfloat | `q` of type `CoordF`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glTexCoord4fv`.

glTexCoord4fv Source #

Arguments

:: MonadIO m |
=> Ptr GLfloat | `v` pointing to `4` elements of type `CoordF`.
-> m () |

Manual page for OpenGL 2.x.

glTexCoord4i Source #

Arguments

:: MonadIO m |
=> GLint | `s` of type `CoordI`.
-> GLint | `t` of type `CoordI`.
-> GLint | `r` of type `CoordI`.
-> GLint | `q` of type `CoordI`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glTexCoord4iv`.

glTexCoord4iv Source #

Arguments

:: MonadIO m |
=> Ptr GLint | `v` pointing to `4` elements of type `CoordI`.
-> m () |

Manual page for OpenGL 2.x.

glTexCoord4s Source #

Arguments

:: MonadIO m |
=> GLshort | `s` of type `CoordS`.
-> GLshort | `t` of type `CoordS`.
-> GLshort | `r` of type `CoordS`.
-> GLshort | `q` of type `CoordS`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glTexCoord4sv`.

glTexCoord4sv Source #

Arguments

:: MonadIO m |
=> Ptr GLshort | `v` pointing to `4` elements of type `CoordS`.
-> m () |

Manual page for OpenGL 2.x.

glTexCoordPointer Source #

Arguments

:: MonadIO m |
=> GLint | `size`.
-> GLenum | `type` of type TexCoordPointerType.
-> GLsizei | `stride`.
-> Ptr a | `pointer` pointing to `COMPSIZE(size,type,stride)` elements of type `a`.
-> m () |

Manual page for OpenGL 2.x.

glTexEnvf Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureEnvTarget.
-> GLenum | `pname` of type TextureEnvParameter.
-> GLfloat | `param` of type `CheckedFloat32`.
-> m () |

Manual page for OpenGL 2.x.

glTexEnvfv Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureEnvTarget.
-> GLenum | `pname` of type TextureEnvParameter.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `CheckedFloat32`.
-> m () |

Manual page for OpenGL 2.x.

glTexEnvi Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureEnvTarget.
-> GLenum | `pname` of type TextureEnvParameter.
-> GLint | `param` of type `CheckedInt32`.
-> m () |

Manual page for OpenGL 2.x.

glTexEnviv Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureEnvTarget.
-> GLenum | `pname` of type TextureEnvParameter.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `CheckedInt32`.
-> m () |

Manual page for OpenGL 2.x.

glTexGend Source #

Arguments

:: MonadIO m |
=> GLenum | `coord` of type TextureCoordName.
-> GLenum | `pname` of type TextureGenParameter.
-> GLdouble | `param`.
-> m () |

Manual page for OpenGL 2.x.

glTexGendv Source #

Arguments

:: MonadIO m |
=> GLenum | `coord` of type TextureCoordName.
-> GLenum | `pname` of type TextureGenParameter.
-> Ptr GLdouble | `params` pointing to `COMPSIZE(pname)` elements of type `GLdouble`.
-> m () |

Manual page for OpenGL 2.x.

glTexGenf Source #

Arguments

:: MonadIO m |
=> GLenum | `coord` of type TextureCoordName.
-> GLenum | `pname` of type TextureGenParameter.
-> GLfloat | `param` of type `CheckedFloat32`.
-> m () |

Manual page for OpenGL 2.x.

glTexGenfv Source #

Arguments

:: MonadIO m |
=> GLenum | `coord` of type TextureCoordName.
-> GLenum | `pname` of type TextureGenParameter.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `CheckedFloat32`.
-> m () |

Manual page for OpenGL 2.x.

glTexGeni Source #

Arguments

:: MonadIO m |
=> GLenum | `coord` of type TextureCoordName.
-> GLenum | `pname` of type TextureGenParameter.
-> GLint | `param` of type `CheckedInt32`.
-> m () |

Manual page for OpenGL 2.x.

glTexGeniv Source #

Arguments

:: MonadIO m |
=> GLenum | `coord` of type TextureCoordName.
-> GLenum | `pname` of type TextureGenParameter.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `CheckedInt32`.
-> m () |

Manual page for OpenGL 2.x.

glTexImage1D Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLint | `internalformat` of type InternalFormat.
-> GLsizei | `width`.
-> GLint | `border` of type `CheckedInt32`.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `pixels` pointing to `COMPSIZE(format,type,width)` elements of type `a`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glTexImage2D Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLint | `internalformat` of type InternalFormat.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLint | `border` of type `CheckedInt32`.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `pixels` pointing to `COMPSIZE(format,type,width,height)` elements of type `a`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glTexImage3D Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLint | `internalformat` of type InternalFormat.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLsizei | `depth`.
-> GLint | `border` of type `CheckedInt32`.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `pixels` pointing to `COMPSIZE(format,type,width,height,depth)` elements of type `a`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glTexParameterf Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLenum | `pname` of type TextureParameterName.
-> GLfloat | `param` of type `CheckedFloat32`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glTexParameterfv Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLenum | `pname` of type TextureParameterName.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `CheckedFloat32`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glTexParameteri Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLenum | `pname` of type TextureParameterName.
-> GLint | `param` of type `CheckedInt32`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glTexParameteriv Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLenum | `pname` of type TextureParameterName.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `CheckedInt32`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glTexSubImage1D Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLint | `xoffset` of type `CheckedInt32`.
-> GLsizei | `width`.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `pixels` pointing to `COMPSIZE(format,type,width)` elements of type `a`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glTexSubImage2D Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLint | `xoffset` of type `CheckedInt32`.
-> GLint | `yoffset` of type `CheckedInt32`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `pixels` pointing to `COMPSIZE(format,type,width,height)` elements of type `a`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glTexSubImage3D Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLint | `xoffset` of type `CheckedInt32`.
-> GLint | `yoffset` of type `CheckedInt32`.
-> GLint | `zoffset` of type `CheckedInt32`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLsizei | `depth`.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `pixels` pointing to `COMPSIZE(format,type,width,height,depth)` elements of type `a`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glTranslated Source #

Arguments

:: MonadIO m |
=> GLdouble | `x`.
-> GLdouble | `y`.
-> GLdouble | `z`.
-> m () |

Manual page for OpenGL 2.x.

glTranslatef Source #

Arguments

:: MonadIO m |
=> GLfloat | `x`.
-> GLfloat | `y`.
-> GLfloat | `z`.
-> m () |

Manual page for OpenGL 2.x.

glUniform1f Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLfloat | `v0`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glUniform1fv Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLfloat | `value` pointing to `count*1` elements of type `GLfloat`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glUniform1i Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLint | `v0`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glUniform1iv Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLint | `value` pointing to `count*1` elements of type `GLint`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glUniform2f Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLfloat | `v0`.
-> GLfloat | `v1`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glUniform2fv Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLfloat | `value` pointing to `count*2` elements of type `GLfloat`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glUniform2i Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLint | `v0`.
-> GLint | `v1`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glUniform2iv Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLint | `value` pointing to `count*2` elements of type `GLint`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glUniform3f Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLfloat | `v0`.
-> GLfloat | `v1`.
-> GLfloat | `v2`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glUniform3fv Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLfloat | `value` pointing to `count*3` elements of type `GLfloat`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glUniform3i Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLint | `v0`.
-> GLint | `v1`.
-> GLint | `v2`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glUniform3iv Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLint | `value` pointing to `count*3` elements of type `GLint`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glUniform4f Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLfloat | `v0`.
-> GLfloat | `v1`.
-> GLfloat | `v2`.
-> GLfloat | `v3`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glUniform4fv Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLfloat | `value` pointing to `count*4` elements of type `GLfloat`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glUniform4i Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLint | `v0`.
-> GLint | `v1`.
-> GLint | `v2`.
-> GLint | `v3`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glUniform4iv Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLint | `value` pointing to `count*4` elements of type `GLint`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glUniformMatrix2fv Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLsizei | `count`.
-> GLboolean | `transpose` of type Boolean.
-> Ptr GLfloat | `value` pointing to `count*4` elements of type `GLfloat`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glUniformMatrix3fv Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLsizei | `count`.
-> GLboolean | `transpose` of type Boolean.
-> Ptr GLfloat | `value` pointing to `count*9` elements of type `GLfloat`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glUniformMatrix4fv Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLsizei | `count`.
-> GLboolean | `transpose` of type Boolean.
-> Ptr GLfloat | `value` pointing to `count*16` elements of type `GLfloat`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glUnmapBuffer Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type BufferTargetARB.
-> m GLboolean | of type Boolean.

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glUseProgram Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glValidateProgram Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glVertex2d Source #

Arguments

:: MonadIO m |
=> GLdouble | `x` of type `CoordD`.
-> GLdouble | `y` of type `CoordD`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glVertex2dv`.

glVertex2dv Source #

Arguments

:: MonadIO m |
=> Ptr GLdouble | `v` pointing to `2` elements of type `CoordD`.
-> m () |

Manual page for OpenGL 2.x.

glVertex2f Source #

Arguments

:: MonadIO m |
=> GLfloat | `x` of type `CoordF`.
-> GLfloat | `y` of type `CoordF`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glVertex2fv`.

glVertex2fv Source #

Arguments

:: MonadIO m |
=> Ptr GLfloat | `v` pointing to `2` elements of type `CoordF`.
-> m () |

Manual page for OpenGL 2.x.

glVertex2i Source #

Arguments

:: MonadIO m |
=> GLint | `x` of type `CoordI`.
-> GLint | `y` of type `CoordI`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glVertex2iv`.

glVertex2iv Source #

Arguments

:: MonadIO m |
=> Ptr GLint | `v` pointing to `2` elements of type `CoordI`.
-> m () |

Manual page for OpenGL 2.x.

glVertex2s Source #

Arguments

:: MonadIO m |
=> GLshort | `x` of type `CoordS`.
-> GLshort | `y` of type `CoordS`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glVertex2sv`.

glVertex2sv Source #

Arguments

:: MonadIO m |
=> Ptr GLshort | `v` pointing to `2` elements of type `CoordS`.
-> m () |

Manual page for OpenGL 2.x.

glVertex3d Source #

Arguments

:: MonadIO m |
=> GLdouble | `x` of type `CoordD`.
-> GLdouble | `y` of type `CoordD`.
-> GLdouble | `z` of type `CoordD`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glVertex3dv`.

glVertex3dv Source #

Arguments

:: MonadIO m |
=> Ptr GLdouble | `v` pointing to `3` elements of type `CoordD`.
-> m () |

Manual page for OpenGL 2.x.

glVertex3f Source #

Arguments

:: MonadIO m |
=> GLfloat | `x` of type `CoordF`.
-> GLfloat | `y` of type `CoordF`.
-> GLfloat | `z` of type `CoordF`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glVertex3fv`.

glVertex3fv Source #

Arguments

:: MonadIO m |
=> Ptr GLfloat | `v` pointing to `3` elements of type `CoordF`.
-> m () |

Manual page for OpenGL 2.x.

glVertex3i Source #

Arguments

:: MonadIO m |
=> GLint | `x` of type `CoordI`.
-> GLint | `y` of type `CoordI`.
-> GLint | `z` of type `CoordI`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glVertex3iv`.

glVertex3iv Source #

Arguments

:: MonadIO m |
=> Ptr GLint | `v` pointing to `3` elements of type `CoordI`.
-> m () |

Manual page for OpenGL 2.x.

glVertex3s Source #

Arguments

:: MonadIO m |
=> GLshort | `x` of type `CoordS`.
-> GLshort | `y` of type `CoordS`.
-> GLshort | `z` of type `CoordS`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glVertex3sv`.

glVertex3sv Source #

Arguments

:: MonadIO m |
=> Ptr GLshort | `v` pointing to `3` elements of type `CoordS`.
-> m () |

Manual page for OpenGL 2.x.

glVertex4d Source #

Arguments

:: MonadIO m |
=> GLdouble | `x` of type `CoordD`.
-> GLdouble | `y` of type `CoordD`.
-> GLdouble | `z` of type `CoordD`.
-> GLdouble | `w` of type `CoordD`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glVertex4dv`.

glVertex4dv Source #

Arguments

:: MonadIO m |
=> Ptr GLdouble | `v` pointing to `4` elements of type `CoordD`.
-> m () |

Manual page for OpenGL 2.x.

glVertex4f Source #

Arguments

:: MonadIO m |
=> GLfloat | `x` of type `CoordF`.
-> GLfloat | `y` of type `CoordF`.
-> GLfloat | `z` of type `CoordF`.
-> GLfloat | `w` of type `CoordF`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glVertex4fv`.

glVertex4fv Source #

Arguments

:: MonadIO m |
=> Ptr GLfloat | `v` pointing to `4` elements of type `CoordF`.
-> m () |

Manual page for OpenGL 2.x.

glVertex4i Source #

Arguments

:: MonadIO m |
=> GLint | `x` of type `CoordI`.
-> GLint | `y` of type `CoordI`.
-> GLint | `z` of type `CoordI`.
-> GLint | `w` of type `CoordI`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glVertex4iv`.

glVertex4iv Source #

Arguments

:: MonadIO m |
=> Ptr GLint | `v` pointing to `4` elements of type `CoordI`.
-> m () |

Manual page for OpenGL 2.x.

glVertex4s Source #

Arguments

:: MonadIO m |
=> GLshort | `x` of type `CoordS`.
-> GLshort | `y` of type `CoordS`.
-> GLshort | `z` of type `CoordS`.
-> GLshort | `w` of type `CoordS`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glVertex4sv`.

glVertex4sv Source #

Arguments

:: MonadIO m |
=> Ptr GLshort | `v` pointing to `4` elements of type `CoordS`.
-> m () |

Manual page for OpenGL 2.x.

glVertexAttrib1d Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLdouble | `x`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x. The vector equivalent of this command is `glVertexAttrib1dv`.

glVertexAttrib1dv Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLdouble | `v` pointing to `1` element of type `GLdouble`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glVertexAttrib1f Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLfloat | `x`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x. The vector equivalent of this command is `glVertexAttrib1fv`.

glVertexAttrib1fv Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLfloat | `v` pointing to `1` element of type `GLfloat`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glVertexAttrib1s Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLshort | `x`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x. The vector equivalent of this command is `glVertexAttrib1sv`.

glVertexAttrib1sv Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLshort | `v` pointing to `1` element of type `GLshort`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glVertexAttrib2d Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLdouble | `x`.
-> GLdouble | `y`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x. The vector equivalent of this command is `glVertexAttrib2dv`.

glVertexAttrib2dv Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLdouble | `v` pointing to `2` elements of type `GLdouble`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glVertexAttrib2f Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLfloat | `x`.
-> GLfloat | `y`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x. The vector equivalent of this command is `glVertexAttrib2fv`.

glVertexAttrib2fv Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLfloat | `v` pointing to `2` elements of type `GLfloat`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glVertexAttrib2s Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLshort | `x`.
-> GLshort | `y`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x. The vector equivalent of this command is `glVertexAttrib2sv`.

glVertexAttrib2sv Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLshort | `v` pointing to `2` elements of type `GLshort`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glVertexAttrib3d Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLdouble | `x`.
-> GLdouble | `y`.
-> GLdouble | `z`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x. The vector equivalent of this command is `glVertexAttrib3dv`.

glVertexAttrib3dv Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLdouble | `v` pointing to `3` elements of type `GLdouble`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glVertexAttrib3f Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLfloat | `x`.
-> GLfloat | `y`.
-> GLfloat | `z`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x. The vector equivalent of this command is `glVertexAttrib3fv`.

glVertexAttrib3fv Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLfloat | `v` pointing to `3` elements of type `GLfloat`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glVertexAttrib3s Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLshort | `x`.
-> GLshort | `y`.
-> GLshort | `z`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x. The vector equivalent of this command is `glVertexAttrib3sv`.

glVertexAttrib3sv Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLshort | `v` pointing to `3` elements of type `GLshort`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glVertexAttrib4Nbv Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLbyte | `v` pointing to `4` elements of type `GLbyte`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glVertexAttrib4Niv Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLint | `v` pointing to `4` elements of type `GLint`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glVertexAttrib4Nsv Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLshort | `v` pointing to `4` elements of type `GLshort`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glVertexAttrib4Nub Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLubyte | `x`.
-> GLubyte | `y`.
-> GLubyte | `z`.
-> GLubyte | `w`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glVertexAttrib4Nubv Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLubyte | `v` pointing to `4` elements of type `GLubyte`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glVertexAttrib4Nuiv Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLuint | `v` pointing to `4` elements of type `GLuint`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glVertexAttrib4Nusv Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLushort | `v` pointing to `4` elements of type `GLushort`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glVertexAttrib4bv Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLbyte | `v` pointing to `4` elements of type `GLbyte`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glVertexAttrib4d Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLdouble | `x`.
-> GLdouble | `y`.
-> GLdouble | `z`.
-> GLdouble | `w`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x. The vector equivalent of this command is `glVertexAttrib4dv`.

glVertexAttrib4dv Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLdouble | `v` pointing to `4` elements of type `GLdouble`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glVertexAttrib4f Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLfloat | `x`.
-> GLfloat | `y`.
-> GLfloat | `z`.
-> GLfloat | `w`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x. The vector equivalent of this command is `glVertexAttrib4fv`.

glVertexAttrib4fv Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLfloat | `v` pointing to `4` elements of type `GLfloat`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glVertexAttrib4iv Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLint | `v` pointing to `4` elements of type `GLint`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glVertexAttrib4s Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLshort | `x`.
-> GLshort | `y`.
-> GLshort | `z`.
-> GLshort | `w`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x. The vector equivalent of this command is `glVertexAttrib4sv`.

glVertexAttrib4sv Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLshort | `v` pointing to `4` elements of type `GLshort`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glVertexAttrib4ubv Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLubyte | `v` pointing to `4` elements of type `GLubyte`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glVertexAttrib4uiv Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLuint | `v` pointing to `4` elements of type `GLuint`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glVertexAttrib4usv Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLushort | `v` pointing to `4` elements of type `GLushort`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glVertexAttribPointer Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLint | `size`.
-> GLenum | `type` of type VertexAttribPointerType.
-> GLboolean | `normalized` of type Boolean.
-> GLsizei | `stride`.
-> Ptr a | `pointer` pointing to `COMPSIZE(size,type,stride)` elements of type `a`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glVertexPointer Source #

Arguments

:: MonadIO m |
=> GLint | `size`.
-> GLenum | `type` of type VertexPointerType.
-> GLsizei | `stride`.
-> Ptr a | `pointer` pointing to `COMPSIZE(size,type,stride)` elements of type `a`.
-> m () |

Manual page for OpenGL 2.x.

glViewport Source #

Arguments

:: MonadIO m |
=> GLint | `x` of type `WinCoord`.
-> GLint | `y` of type `WinCoord`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glWindowPos2d Source #

Arguments

:: MonadIO m |
=> GLdouble | `x` of type `CoordD`.
-> GLdouble | `y` of type `CoordD`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glWindowPos2dv`.

glWindowPos2dv Source #

Arguments

:: MonadIO m |
=> Ptr GLdouble | `v` pointing to `2` elements of type `CoordD`.
-> m () |

Manual page for OpenGL 2.x.

glWindowPos2f Source #

Arguments

:: MonadIO m |
=> GLfloat | `x` of type `CoordF`.
-> GLfloat | `y` of type `CoordF`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glWindowPos2fv`.

glWindowPos2fv Source #

Arguments

:: MonadIO m |
=> Ptr GLfloat | `v` pointing to `2` elements of type `CoordF`.
-> m () |

Manual page for OpenGL 2.x.

glWindowPos2i Source #

Arguments

:: MonadIO m |
=> GLint | `x` of type `CoordI`.
-> GLint | `y` of type `CoordI`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glWindowPos2iv`.

glWindowPos2iv Source #

Arguments

:: MonadIO m |
=> Ptr GLint | `v` pointing to `2` elements of type `CoordI`.
-> m () |

Manual page for OpenGL 2.x.

glWindowPos2s Source #

Arguments

:: MonadIO m |
=> GLshort | `x` of type `CoordS`.
-> GLshort | `y` of type `CoordS`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glWindowPos2sv`.

glWindowPos2sv Source #

Arguments

:: MonadIO m |
=> Ptr GLshort | `v` pointing to `2` elements of type `CoordS`.
-> m () |

Manual page for OpenGL 2.x.

glWindowPos3d Source #

Arguments

:: MonadIO m |
=> GLdouble | `x` of type `CoordD`.
-> GLdouble | `y` of type `CoordD`.
-> GLdouble | `z` of type `CoordD`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glWindowPos3dv`.

glWindowPos3dv Source #

Arguments

:: MonadIO m |
=> Ptr GLdouble | `v` pointing to `3` elements of type `CoordD`.
-> m () |

Manual page for OpenGL 2.x.

glWindowPos3f Source #

Arguments

:: MonadIO m |
=> GLfloat | `x` of type `CoordF`.
-> GLfloat | `y` of type `CoordF`.
-> GLfloat | `z` of type `CoordF`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glWindowPos3fv`.

glWindowPos3fv Source #

Arguments

:: MonadIO m |
=> Ptr GLfloat | `v` pointing to `3` elements of type `CoordF`.
-> m () |

Manual page for OpenGL 2.x.

glWindowPos3i Source #

Arguments

:: MonadIO m |
=> GLint | `x` of type `CoordI`.
-> GLint | `y` of type `CoordI`.
-> GLint | `z` of type `CoordI`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glWindowPos3iv`.

glWindowPos3iv Source #

Arguments

:: MonadIO m |
=> Ptr GLint | `v` pointing to `3` elements of type `CoordI`.
-> m () |

Manual page for OpenGL 2.x.

glWindowPos3s Source #

Arguments

:: MonadIO m |
=> GLshort | `x` of type `CoordS`.
-> GLshort | `y` of type `CoordS`.
-> GLshort | `z` of type `CoordS`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glWindowPos3sv`.

glWindowPos3sv Source #

Arguments

:: MonadIO m |
=> Ptr GLshort | `v` pointing to `3` elements of type `CoordS`.
-> m () |

Manual page for OpenGL 2.x.